title: Garder une trace de ses lectures
url: https://bribesdereel.net/traces-de-lectures
hash_url: b33f1c0179a41a26c9c75499fdc970d8

<p>Je lis trop peu de livres depuis quelques années, ça je le sais. J’en parle encore moins ici et n’en garde que très rarement une trace (surtout si ce sont des livres empruntés).</p>

<p>Impossible donc de lister les lectures de l’année. C’est la même chose chaque année, je le déplore et je réitère la même erreur. La lecture prend toujours une place considérable dans ma vie, mais elle est devenue parcellaire, découpée entre blogs, presse, divers sites web et fils Twitter.</p>

<p>J’aimerais garder une trace de mes découvertes culturelles, des réflexions et des émotions liées et constituer progressivement un corpus de références et de ressources où me replonger plus tard si je le souhaite.</p>

<h2>Chez les autres</h2>

<p>Curieuse, je suis allée (re)voir ce que font les personnes que je lis.</p>

<p>Je consulte régulièrement la rubrique <a href="https://lalunemauve.fr/inspiration/lectures/">Lectures de la Lune Mauve</a><sup id="fnref:consigner"><a href="#fn:consigner" aria-label="note de bas de page 1">1</a></sup>, les <a href="https://chutmamanlit.com/category/lectures/">recommandations de Chut, Maman lit !</a> ou encore les chroniques de <a href="https://danslanebuleuse.fr/category/lectures/">La Nébuleuse</a>.</p>

<p>J’ai adoré la série des <a href="https://grignotages.com/les-piles-horizontales-8/">piles horizontales</a> chez Grignotages et apprécie ses <a href="https://grignotages.com/tag/bulles-de-bd/">bulles de BD</a>.</p>

<p>J’admire particulièrement l’organisation de la <a href="https://biblio.metrozendodo.fr/">bibliothèque-catalogue</a> d’Anthony Nelzin-Santos et les multiples connexions et liens possibles entre les livres à travers les mots-clés, les localisations, les auteurs ou les années.</p>

<p>J’ai aussi demandé à une amie et elle liste ses lectures sur SensCritique faute de mieux, mais tenait à jour un fichier Excel.</p>

<h2>Chez moi</h2>

<p>À partir de là, j’ai réfléchi à ce que je souhaitais pour moi.</p>

<p>Je suis une diariste dilettante et étourdie qui retrouve des carnets entamés dix ans plus tôt… Si l’option journal de lecture papier est séduisante, je sais donc déjà que ça ne m’ira pas.</p>

<p>Je ne veux pas non plus dépendre d’une plateforme « gratuite » que je ne maîtrise pas et dont les règles pourraient changer du jour au lendemain<sup id="fnref:insta"><a href="#fn:insta" aria-label="note de bas de page 2">2</a></sup>. Exit donc Goodreads, SensCritique ou Babelio.</p>

<p>À ce stade, plusieurs pistes :</p>

<ul>
<li>L’austère, mais puissant, <a href="https://ig.hypotheses.org/1282">Zotero</a> : particulièrement adapté pour les revues et articles scientifiques que j’essaie de continuer à lire régulièrement, mais difficile à appréhender et surdimensionné pour mes besoins.</li>
<li>Le gestionnaire de marques-pages et de notes, <a href="https://github.com/shaarli/Shaarli">Shaarli</a> : pas de possibilité de rajouter simplement des images et pour les notes, c’est un peu léger (pas de balisage Markdown par exemple). Il nécessiterait sans doute trop d’adaptations néanmoins.</li>
<li>Un journal <a href="https://dayoneapp.com/pricing/">DayOne</a> : l’application est hyper pratique et jolie. Possibilité de partager des entrées (sans doute pas de manière accessible par contre…) si on le souhaite. Je l’utilisais occasionnellement jusqu’à ce que la synchro iOS/MacOS devienne payante et l’utilise encore ponctuellement sur mon téléphone. <br/>Si je décide de limiter l’application au téléphone, peut-être que la version basique pourrait suffire dans un premier temps avant de passer sur la version payante si je vois que l’outil me convient bien.</li>
<li>Mon blog (Dotclear) avec une rubrique dédiée que je ferai évoluer progressivement.</li>
<li>Un autre <a href="https://dotclear.org/">Dotclear</a> ou un <a href="https://fr.wordpress.org/download/">WordPress</a> : potentiellement techniquement lourd pour obtenir un résultat satisfaisant.</li>
<li>Un <span lang="en">flat</span> CMS comme <a href="https://getkirby.com/">Kirby</a> : plus léger qu’un CMS classique, ça serait également une bonne occasion pour le tester !</li>
</ul>

<p>Je ne suis pas certaine de vouloir rendre toutes mes lectures publiques donc il faut que les outils web publics aient une option pour garder certains éléments privés. A priori, c’est le cas de tous les outils listés.</p>

<p>J’ai fini par comprendre que rédiger des chroniques régulièrement ne me convenait pas et que je n’avais pas à m’imposer ce format. J’ai toujours trouvé l’exercice difficile, extrêmement chronophage et peu satisfaisant. Il est probable aussi que mes envies et mes besoins évoluent et je ne voudrais pas être bloquée dans un carcan trop rigide.</p>

<p>Le format de départ et l’outil doivent être suffisamment flexibles. Idéalement, j’aimerais même que chaque entrée soit versionnée et que je puisse voir le diff <span aria-label="nerd" lang="en" role="img">🤓</span>. Je veux pouvoir créer des ponts et des connexions avec les contenus pour avoir de multiples entrées et effectuer facilement des recherches.</p>

<p>Surtout, je dois garder en tête que le tout doit être suffisamment simple à mettre en place au départ pour que cela devienne une routine agréable.</p>

<p>Si je résume où j’en suis de mon carnet de lecture idéal :</p>

<ol>
<li><strong>Format numérique</strong>, au risque de continuer mes notes papier comme le Petit Poucet.</li>
<li><strong>Simple à mettre en place</strong> et à utiliser.</li>
<li><strong>Outil ouvert, pérenne et fiable</strong> : à minima les données doivent être facilement exportables et exploitables par la suite. Les sauvegardes doivent être automatisables idéalement.</li>
<li><strong>Contenu public et privé à la fois</strong>. Pouvoir le partager avec d’autres personnes n’est pas une priorité, mais serait la framboise sur le gâteau. Important : si partie publique, elle doit être accessible ou pouvoir être rendue accessible.</li>
<li><strong>Format flexible et personnalisable</strong> avec de multiples entrées notamment.</li>
<li><strong>Illustré</strong> avec les couvertures des livres.</li>
<li><strong>Historisé</strong> et versionnable, si possible.</li>
</ol>

<h2>Et vous, vous faites comment ?</h2>

<p>Je suis très curieuse de savoir si vous gardez une trace de vos lectures ou non. Si vous les partagez et si oui comment ? Quels seraient les critères de votre journal de lecture ?</p>

<p>Addendum - 27 décembre 2019. Coïncidence (ou non), <a href="https://twitter.com/viet_t_nguyen/status/1210365528138608640?s=20">Viet Thanh Nguyen</a>, un auteur vietnamien américain, explique dans un tweet qu’il utilise un fichier Excel pour suivre ses lectures qui lui permet d’avoir quelques statistiques (genre, race, nationalité) et ainsi d’équilibrer ses lectures.</p>
