title: Sparrow’s Guide To Meditation
url: https://www.thesunmagazine.org/issues/529/sparrows-guide-to-meditation
hash_url: fb2849b42586654e0c899bf1a31fa5a5

<p><span class="smallcaps"><strong>I have meditated</strong></span> twice a day virtually every day since 1974. That means I have spent approximately twenty-two solid months of my life in meditation. This alone qualifies me to write this guide.</p>

<p><span class="smallcaps"><strong>Early in my</strong></span> meditation career, I scrupulously filled out a daily chart supplied by my meditation group, the Ananda Marga Society. For some reason I vividly remember these charts. In the late 1970s I would sometimes miss an evening meditation, I am ashamed to say. I would go to a party, get home at two in the morning, and fall asleep. But since 1980 I have meditated twice a day without fail. If I leave a party at two in the morning now, I meditate on the subway or force myself to sit for fifteen minutes before sleep. (Though I always meditate before bed, I procrastinate my morning sitting as long as possible — sometimes until 6 <span class="smallcaps">PM</span>.)</p>

<p><span class="smallcaps"><strong>I am proud</strong></span> of my consistent meditation practice, but <em>you</em> need not be so obsessive. You may meditate for three minutes, skip a week, then meditate on a Thursday for five minutes. Be a rebel! Consistency is a virtue of bureaucrats, not mystics.</p>

<p><span class="smallcaps"><strong>I find meditation</strong></span> slightly excruciating, to be honest. It’s boring, frustrating — humiliating, actually. And even after forty-five years I can’t seem to “still” my mind.</p>

<p>So why pursue this treacherous path? For one thing, I’d be too embarrassed to stop. For another, I’m addicted to it. If I put off my first meditation until evening, I get a strange sensation in my brain, as if it were filled with styrofoam; as if all the images I’ve seen that day have cluttered up my head. After I finally do my meditation, I open my eyes and feel . . . normal. This is quite similar to how junkies describe heroin addiction. At first you feel an extraordinary high, but after two years you take the drug just to stop feeling awful.</p>

<p><span class="smallcaps"><strong>My goal for</strong></span> this guide is not to offer detailed, step-by-step instructions. (Luckily, <em>Meditation for Dummies</em> and <em>The Complete Idiot’s Guide to Meditation</em> both exist.) But here are the basics:</p>

<p>Sit comfortably, either in a chair or cross-legged on the floor. (You may wish to use a firm cushion.) Try to keep your spine as straight as possible, without being rigid. Close your eyes. Pay attention to your breathing, noticing the breath entering and leaving your nostrils (or your mouth, if that’s how you breathe). You’re not trying to breathe slowly — or quickly, for that matter — just noticing the flow of air in and out. After three or four minutes, stop. Unless you’re desperate to keep meditating; then go for as long as you like.</p>

<p>How was it? Sometimes the first sitting is extremely powerful. Most of the time it’s about as memorable as using an <span class="smallcaps">ATM</span>.</p>

<p><span class="smallcaps"><strong>Quite possibly you</strong></span> <em>shouldn’t</em> meditate. But if you’re determined to try, it’s not terribly difficult. Just expect to waste time twice a day, and you’ll do fine.</p>

<p><span class="smallcaps"><strong>Meditation teaches that</strong></span> change is constant. You fool yourself into believing that you are a fixed entity, but you are not. You are a river of transforming whims. This sounds like some Buddhist abstraction, but if you actually try to meditate, even for three minutes, you’ll discover that it’s true.</p>

<p><span class="smallcaps"><strong>While your eyes</strong></span> are closed in meditation, you don’t actually exist. Your body has disappeared. Your social identity is gone. What’s left? Not much. Just a puddle of anxieties and a vague sense of continuity. You believe these disparate thoughts are coming from your “self,” but are they? Maybe they are somehow being placed in your mind by a creepy professor with a mind-control machine! Try not to think about this. It may lead to insanity. (There is a small danger of going insane from meditating too much, but your constant inability to concentrate will modulate that threat.)</p>

<p><span class="smallcaps"><strong>Meditation teaches humility</strong></span> and patience, because you must constantly confront that most disappointing person: yourself.</p>

<p><span class="smallcaps"><strong>The inevitability of</strong></span> failure is the main lesson of meditation. It is preparation for all the other failures in your life.</p>

<p><span class="smallcaps"><strong>I sit much</strong></span> more today than I did in 1974, but I don’t feel that I’m making progress. If anything, I seem to be slightly more distracted. The only difference is in how I react to a crisis: If a subway train stops in a tunnel, I just pull out a book and read. If a fight breaks out in a bar, I don’t panic — or, at least, everyone around me panics more. Perhaps meditation teaches us to differentiate between problems we can solve and problems we can’t.</p>

<p><span class="smallcaps"><strong>In the early</strong></span> 1990s I met the poet Thaddeus Rutkowski in the East Village of Manhattan. We discovered that we had both attended Cornell University at the same time. In fact, we’d lived in the same dorm, Sperry Hall. Thaddeus, who has a remarkable memory, began naming residents of the hall, most of whom I’d forgotten.</p>

<p>“Did you know Mike Motel?” he inquired.</p>

<p>“I <em>was</em> Mike Motel,” I replied. That was the name I went by in college.</p>

<p>“But you’re nothing like him!” Thaddeus remarked. “He was a nervous, hyper guy, and you’re very calm and relaxed.”</p>

<p>This is the one piece of evidence I have that meditation works.</p>

<p><span class="smallcaps"><strong>Some books on</strong></span> meditation imply that you’ll quickly stumble upon inner peacefulness. Actually the precise opposite is true. You may think you’re a fairly calm, centered person, but the minute you cross your legs and attempt to count your breaths, you’ll discover there’s an out-of-control 2 <span class="smallcaps">AM</span> disco inside you — in fact, <em>two</em> discos, each playing separate songs at ear-splitting volume, each filled with frantic dancers in mismatched polyester.</p>

<p><span class="smallcaps"><strong>Meditation is slow</strong></span> — as slow as the moon crossing the sky. If you want to change quickly, use drugs.</p>

<p><span class="smallcaps"><strong>Thirty years ago</strong></span> I went to the beach with my parents, my sister, and my brother-in-law. At one point I sat in the sand and meditated. Afterward my brother-in-law said, “That was amazing! A volleyball player ran into you, and you didn’t even notice.”</p>

<p>“I felt someone brush by me,” I replied.</p>

<p>“No, that guy ran right into you!”</p>

<p>Maybe I actually <em>am</em> good at meditation, I thought.</p>

<p><span class="smallcaps"><strong>After we reach</strong></span> our forties, we begin to notice how swiftly time passes. We can’t slow its relentless pace, but with meditation we can come close. When you sit in silence with eyes closed, an hour can become seven, or occasionally open into a spacious eternity.</p>

<p><span class="smallcaps"><strong>There is a</strong></span> deep and hideous truth that we all spend our lives avoiding. That’s why we constantly chatter with friends, go to Lakers games, and spend hours on Facebook: we’re desperate to distract ourselves from this one heartless fact.</p>

<p>Meditation asks: Suppose we stop running from the nameless demon. Suppose we turn and behold its twisted, ugly face. What will happen?</p>

<p><span class="smallcaps"><strong>Of those who</strong></span> practice meditation, some give up, because trying to still the mind is futile and absurd. Others continue meditating, because trying to still the mind is futile and absurd, but they have a taste for absurdity.</p>

<p><span class="smallcaps"><strong>In 1984 my</strong></span> girlfriend broke up with me. Devastated, I went to a Benedictine monastery near Elmira, New York, and meditated almost continually for two days. Was it better than weeping? I don’t know. I’m not very good at weeping. If I’m really miserable, I may cry two tears. This is the problem with being an American male.</p>

<p><span class="smallcaps"><strong>My wife and</strong></span> I met at a poetry workshop in the East Village in 1985. The group met every Saturday from September until May. One day Violet and I both arrived early. We were the only ones in the room and sat on opposite sides of the table. For no apparent reason, we stared wordlessly into each other’s eyes, descending into infinite silence. This is a type of meditation called <em>traspaso</em>, because it “trespasses” the ego boundaries. Violet and I were not particularly friendly before that, but we’ve now been married twenty-eight years. This is the sort of bond wordless concentration can create.</p>

<p><span class="smallcaps"><strong>Meditation is a</strong></span> lot like marriage: You begin in pursuit of ecstasy and eventually settle for mild contentment. After twenty years you realize that contentment itself is a kind of ecstasy.</p>

<p><span class="smallcaps"><strong>Once you commit</strong></span> yourself to a meditation session, the room’s temperature suddenly becomes evident. You notice that you’re uncomfortably chilly or hot. But is it so unpleasant that you should stop meditating and get a sweater, or remove a sweater? A dialogue begins between the part of you that’s meditating and the part of you that’s <em>never</em> meditating:</p>

<blockquote>
<p><span class="interviewee-er">Meditator:</span> I’ll be all right.</p>

<p><span class="interviewee-er">Nonmeditator:</span> You’ll catch a cold! You’ll regret this for two weeks!</p>

<p><span class="interviewee-er">Meditator:</span> You worry about everything.</p>

<p><span class="interviewee-er">Nonmeditator:</span> You worry about nothing.</p>

<p><span class="interviewee-er">Meditator:</span> I’m not supposed to be worrying. I’m supposed to be meditating. [<em>Grows silent.</em>]</p>

<p><span class="interviewee-er">Nonmeditator:</span> You’ll catch a cold.</p>

<p><span class="interviewee-er">Meditator:</span> Shut up!</p>
</blockquote>

<p><strong><span class="smallcaps">In meditation you</span></strong> become vividly aware of breathing. The rest of the time we don’t notice our inhalations and exhalations, but closing the eyes brings this mostly involuntary action to the forefront of awareness. Breathing is a quiet internal labor that never ceases. We are completely dependent on an invisible ocean of air to sustain us. Air is much like God: an unseeable, omnipresent entity that gives us life.</p>

<p><span class="smallcaps"><strong>Meditation may be</strong></span> viewed as an action or as an abstention from action. In the first case, its merits are debatable. In the second, they are indisputable. Quite possibly meditation will get you nowhere, but most of us have a desperate need to be nowhere. Modern existence is a constant contemplation of brightly lit screens. We live our lives on the edge of a headache, with no escape from ubiquitous stimuli. It’s highly salubrious to sit twice a day and search for the Absolute, if only because it forces us to turn off the fucking <span class="smallcaps">TV</span>.</p>

<p><span class="smallcaps"><strong>We live in</strong></span> a visual culture. When a young woman wants to know how to tile a floor, she searches for a video on YouTube. To entertain ourselves, we stream a movie on the laptop or binge-watch <span class="smallcaps">TV</span> shows. In such a culture meditation is radical, because it removes our field of vision. When you close your eyes, the world becomes limited to the sounds of passing cars, workers hammering in the distance, and muffled voices. Sound-reality is much more fluid than visual-reality. A mooing cow can become a laughing man.</p>

<p><span class="smallcaps"><strong>Is it possible</strong></span> that everyone who possesses wisdom does some form of meditation? Yes. You can almost see in people’s faces how many hours they’ve sat in silence.</p>

<p><span class="smallcaps"><strong>“Struggle is the</strong></span> essence of life,” my guru used to say. And meditation is certainly a struggle. For eight years I was a substitute teacher. Meditating is a lot like forcing a class of unruly thirteen-year-olds to study irregular verbs.</p>

<p><span class="smallcaps"><strong>Around fifteen years</strong></span> ago trees began speaking to me. I don’t usually hear words — I just have a sense of consolation and guidance — but sometimes there is a distinct message. A tree in Brooklyn said to me today: <em>Most of the time we seek what we don’t have, but sometimes we seek what we already have.</em> This tree is describing meditation.</p>

<p><span class="smallcaps"><strong>As I stumbled</strong></span> into the Church of the Most Holy Redeemer on East 3rd Street in Manhattan, the priest was giving a sermon. “Put Christ first,” he said. “If you put yourself first, your life will be troubled. If you put Christ first, your life will be full of blessings.” You can have all the pleasures of the world, he explained, so long as Christ still comes first. (What a deal!)</p>

<p>I’m saying the same thing: Put meditation first. Meditate twice a day, if only for three minutes. Don’t give up anything else in your life. Don’t change your diet. Just put meditation first, for six minutes a day.</p>

<p><span class="smallcaps"><strong>Never try to</strong></span> “live in the moment.” It’s like attempting to shrink your body down to the size of a molecule.</p>

<p><span class="smallcaps"><strong>Meditation is an</strong></span> optimistic practice. The theory is that, by closing your eyes (or leaving them half open) and doing nothing, you can change your consciousness. Most people are too pragmatic to accept this harebrained notion, but scientific studies suggest that it’s true.</p>

<p><span class="smallcaps"><strong>You don’t have</strong></span> to meditate upon waking each morning. You can wait till you’re in a doctor’s waiting room filled with frayed copies of <em>Family Circle</em> magazine. Or stay in the car while your husband goes into Best Buy. Close your eyes; count your breaths. Don’t expect inner awakening. Don’t expect happiness. Prepare yourself for boredom and mild exasperation. After a few minutes you’re free to return to the manifold distractions of earthly life.</p>

<p><span class="smallcaps"><strong>Meditation is an</strong></span> elusive subject to describe. It’s like writing about the color blue.</p>

<p><span class="smallcaps"><strong>In the early</strong></span> 1970s, there were numerous slogans to summarize the spiritual life: “Be here now.” “Love, serve, remember.” “The universe is perfect.” “Everything is everything” was probably my favorite. They all seem archaic now, like Coca-Cola ads from the 1920s. In this apocalyptic era of hurricanes, mass shootings, Donald Trump, <span class="smallcaps">ISIS</span>, and millions of refugees, no one wants to “be here now.” Everyone wants to watch <em>Game of Thrones</em> while simultaneously texting on a cell phone.</p>

<p><span class="smallcaps"><strong>Meditation is like</strong></span> practicing the guitar, but without the guitar.</p>

<p><span class="smallcaps"><strong>There aren’t many</strong></span> synonyms for meditation in English. Ananda Marga uses the term <em>sādhanā</em>, which derives from the Sanskrit for “effort.” I’ve invented other phrases to describe meditating: “brain-cleansing,” “cross-legged nonthinking,” “silence-chewing,” “mind-yoga.” Sometimes I refer to meditation as “self-kidnapping”: you stick a revolver in your own ribs, throw a bag over your head, and drive yourself to a warehouse where you sit in silence, awaiting ransom.</p>

<p><span class="smallcaps"><strong>It’s a big</strong></span> mistake to expect joy and happiness from meditation. That’s like expecting bliss from a bag of pinto beans. It’s much more logical to expect bafflement: Why am I meditating? What can this possibly achieve? These questions recur throughout the decades.</p>

<p><span class="smallcaps"><strong>I don’t meditate</strong></span> to achieve mystical heights, but rather to appreciate the rest of my life. I want to wash the dishes with gratitude, like a slow-motion dance.</p>

<p>Mostly, though, I meditate to “kill time.” (I like this violent, somewhat outdated phrase.) Once you have murdered time, you can continue with the rest of your day nonviolently.</p>

<p><span class="smallcaps"><strong>Meditation is largely</strong></span> a pretense. Sitting with eyes closed and legs elegantly folded, you resemble an ancient sage. Inside, you’re still the same idiot you always were.</p>

<p><span class="smallcaps"><strong>One virtue of</strong></span> meditating is that you learn to forgive yourself: each day you fail at pure concentration, and each day you compassionately accept your failure. Ideally this self-forgiveness will lead to friend-forgiveness, spouse-forgiveness, even world-forgiveness.</p>

<p><span class="smallcaps"><strong>My parents were</strong></span> Communists, and my father used to tell this joke: A Communist is giving a speech. At a climactic moment he shouts, “Come the revolution, we’ll all have strawberries and sour cream!” A voice from the back of the crowd replies, “But I don’t like strawberries and sour cream!” The orator pauses, then announces, “Come the revolution, you’ll <em>like</em> strawberries and sour cream!”</p>

<p>This joke conveys a great paradox of political transformation: Just jailing all the capitalists and setting up an equal distribution system is insufficient. Individuals must evolve somehow. We need personal transmutation, what the Soviets called a “new man.” But how do we create this new self? The best tool for self-transformation I’ve found is conscious breath-awareness. Crystals are worthless. Incense is annoying. New-age music is awful. Most “spiritual” books are nonsense. What’s helpful is to sit still and observe the fretful mind.</p>

<p><span class="smallcaps"><strong>We all lie</strong></span> to ourselves every day, especially about our emotions. We tell ourselves we’re happy when we’re actually anxious, dismayed, resentful. When you close your eyes and listen to your breathing, you discover what a liar you are.</p>

<p><span class="smallcaps"><strong>The biggest surprise</strong></span> about meditating — and it remains a surprise after four decades — is how ineffective I am at controlling my own thoughts. In normal life my mind seems to work fine: I choose words and say them. I tell my hand to move, and it does. But closing my eyes and attempting to quiet my thoughts is almost impossible. The mind is a formidable adversary! You try to shut out the world, and the world pours in. You go to a quiet room and close your eyes, and suddenly you remember your fourth-grade teacher, or a friend you haven’t seen in thirty-seven years, or a visit to Puerto Rico. The riches of this earth arrive, in disarray.</p>

<p>Sometimes, though, you can undress the mind — remove, one by one, the mind’s habitual garments. Afterwards the mind stands momentarily naked.</p>

<p><span class="smallcaps"><strong>Each of us</strong></span> feels that we are separate from our environment, an island of ego looking out through eyeholes. In fact, our lungs are in constant dialogue with the atmosphere, and with all the earthly plants and animals producing that atmosphere. This dialogue literally gives us life. Separation is illusory; atmospheric unity is truth.</p>

<p><span class="smallcaps"><strong>Joan of Arc</strong></span> heard celestial voices in church bells. Dr. Seuss wrote his first book, <em>And to Think That I Saw It on Mulberry Street</em>, after taking a trip to Europe and hearing the ship’s engines say the title over and over.</p>

<p>I suspect that invisible beings are constantly speaking to us: through a stream, or the wind, or the subway. Meditation may open our ears to these benevolent voices.</p>

<p><span class="smallcaps"><strong>There are many</strong></span> arguments against meditation. One is that it shields us from the passions and grime of the world. It creates a manufactured bliss, immune to the oscillations of human emotion. Is it really better to stay in a middle range of emotion than to have highs and lows? Don’t we occasionally want to fall into a rage, burst out weeping, or scream at traffic?</p>

<p>As a prospective meditator — or a current one — you should consider this problem.</p>

<p><span class="smallcaps"><strong>Has meditation improved</strong></span> my life? I can’t tell. There’s only one of me. If I had an identical twin who’d never meditated, scientists could examine the two of us and analyze the differences. As it is, I can only guess. I do suspect that, had I never performed <em>sādhanā</em>, trees would not speak to me.</p>

<p><span class="smallcaps"><strong>If meditation is</strong></span> addictive, is it any better for us than drugs? Undoubtedly. Old stoners ruin their lungs. Speed freaks die young. Cokeheads inflate their egos and eventually go bankrupt. Meditation makes one younger, not older. It “strengthens the immune system,” as we say nowadays.</p>

<p><span class="smallcaps"><strong>Incremental progress appeals</strong></span> to me. I apply this method to books and records. I just finished the opera <em>Gianni Schicchi</em>, which I listened to in two-minute increments over the course of five months. Meanwhile I was nibbling away at Jane Austen’s <em>Persuasion</em>. Each day I tootle a brief improvisation on my plastic flutophone.</p>

<p>I enjoy the idea of slowly achieving mastery.</p>

<p><span class="smallcaps"><strong>The most painful</strong></span> place to meditate is in a quiet room with a ticking clock. I would rather do my sitting practice in the midst of the Russo-Japanese War than next to <em>tick-tock, tick-tock</em>.</p>

<p><span class="smallcaps"><strong>Meditation is supposed</strong></span> to empty the mind the way a pump empties water from the bilge of a ship. To be honest, I never quite feel empty after I’ve meditated. But I do feel <em>emptier</em>.</p>

<p><span class="smallcaps"><strong>Actually once in</strong></span> my life I did feel empty. In 1975, the day after attending a retreat with Swami Muktananda in Ocala, Florida, I was walking down a sidewalk and saw an azalea bush. Suddenly I had no thoughts! I could <em>see</em> the azaleas lucidly, without any interference from ideas, concepts, memories. I felt fulfilled, timeless — and a little scared: What if I never had another thought again?</p>

<p>Since then, I haven’t stopped thinking.</p>

<p><span class="smallcaps"><strong>One danger of</strong></span> meditation is the “rubber-band effect.” My old friend Satyamundi coined this term in 1979 for the tendency to “snap back” after long periods of virtuous and selfless action. Satyamundi would be scrupulous in his spiritual practices for months, then suddenly run off to visit a prostitute. So don’t try to be perfect.</p>

<p><span class="smallcaps"><strong>My friend Barium</strong></span> was telling me he had started to write a book about his sex life. “Then I realized,” he said, “I don’t have a very interesting sex life.”</p>

<p>“How do you know?” I replied. “You can’t see what anyone else is doing in the bedroom. And porn is no help — those people are just acting.”</p>

<p>Meditation is the same way. I have no idea whether my meditation life is exemplary or lousy. There’s even a meditational equivalent to porn: videos of swamis entering <em>samādhi</em> (union with the divine). But, just like porn actors, these swamis may be pretending. It’s as easy to fake spiritual bliss as it is to fake sexual ecstasy.</p>

<p><span class="smallcaps"><strong>I’m cat-sitting for</strong></span> a phlegmatic tabby named Baby. Last night was the first time I meditated in the house, and Baby playfully rubbed her muzzle on my folded hands. Perhaps cats are drawn to a meditator because they sense it’s a person aspiring to be catlike.</p>

<p><span class="smallcaps"><strong>Meditation is the</strong></span> closest humans come to purring.</p>

<p><span class="smallcaps"><strong>At some point</strong></span> your practice will be threatened — by a sudden emergency, a family crisis, a crucial deadline. Feel free to stop meditating or, conversely, to charge into the face of the enemy and meditate twice as long.</p>

<p><span class="smallcaps"><strong>Wisdom is found</strong></span> not in books or intellectual lectures but in the struggle to hear silence.</p>

<p><span class="smallcaps"><strong>I project an</strong></span> unnecessary piety on my meditation practice. Meditating should be the same as taking a shower: an act of renewal without “spiritual” connotations.</p>

<p><span class="smallcaps"><strong>If you offer</strong></span> your meditation to God, it becomes a prayer. If you offer your meditation to the universe, it becomes an affirmation. If you offer your meditation to humanity, it becomes activism.</p>

<p><span class="smallcaps"><strong>Don’t be afraid</strong></span> of the word <em>God</em>, but don’t get too excited about it either.</p>

<p><span class="smallcaps"><strong>Bob Jacobson was</strong></span> an artist who lived in a trailer near me in the Catskills. The outside of his home was an art gallery of sorts, bedecked with paintings he’d made on aluminum panels. He also carved abstract wooden sculptures in his front yard.</p>

<p>“No one knows how to look at art anymore,” Bob once told me. “You should be able to gaze at a painting for an hour.”</p>

<p>A few months later he elaborated: “You can look at <em>anything</em> as if it’s a painting. Sometimes I’ll go into the woods and just stare at the scene in front of me as if it were a Cézanne canvas.”</p>

<p>Bob Jacobson died a few weeks ago. I just realized he was teaching me meditation.</p>

<p><span class="smallcaps"><strong>You recharge your</strong></span> cell phone by plugging it into an electric current. You recharge your mind by plugging it into the Vast Oceanic Current of the Universe.</p>

<p><span class="smallcaps"><strong>The message of</strong></span> meditation is: “You already have everything you need — if not forever, at least for the next ten minutes.”</p>
