title: Hey, Google, why are your contractors listening to me?
url: https://nakedsecurity.sophos.com/2019/07/12/hey-google-why-are-your-contractors-listening-to-me/
hash_url: 3c4dd88180e3bda7fb6742a9af7c29a2

<p>Thanks to how your Google Home voice assistant records our conversations, which are sometimes triggered by mistake, audio clips – both those recorded on purpose and otherwise – are being sent to engineers working on Google Home voice processing.</p>
<p>How it’s supposed to work: Google Home should only be activated when someone says the triggers “OK, Google” or “Hey, Google.” But it’s not hard to flip that switch accidentally: if someone nearby says “Google,” or even a word that sounds like “Google,” the speaker often starts recording.</p>
<p>The audio clips have included people’s bedroom sound symphonies, their kids’ or grandkids’ voices, payment information from transactions, medical information they divulge when searching on their ailments, and far more.</p>
<p>This all comes from a new report from Belgian broadcaster <a href="https://www.vrt.be/vrtnws/nl/2019/07/10/google-luistert-mee/" rel="nofollow">VRT News</a> that relied on input from three Google insiders.</p>
<h2>Listening in on the kids</h2>
<p>With the help of a whistleblower, VRT listened to some of the clips. Its reporters managed to hear enough to discern the addresses of several Dutch and Belgian people using Google Home, in spite of the fact that some of them never said the listening trigger phrases. One couple looked surprised and uncomfortable when the news outlet played them recordings of their grandchildren.</p>
<p>The whistleblower who leaked the recordings was working as a subcontractor to Google, transcribing the audio files for subsequent use in improving its speech recognition. They reached out to VRT after reading about how Amazon workers are listening to what you tell Alexa, as <a href="https://www.bloomberg.com/news/articles/2019-04-10/is-anyone-listening-to-you-on-alexa-a-global-team-reviews-audio" rel="nofollow">Bloomberg reported</a> in April.</p>
<p>They’re listening, but they aren’t necessarily deleting: a few weeks ago, Amazon confirmed – in <a href="https://www.coons.senate.gov/imo/media/doc/Amazon%20Senator%20Coons__Response%20Letter__6.28.19%5B3%5D.pdf" rel="nofollow">a letter</a> responding to a lawmaker’s request for information – that it keeps transcripts and recordings picked up by its Alexa devices forever, unless a user explicitly requests that they be deleted.</p>
<p>VRT talked to cybersecurity expert Bavo Van den Heuvel, who spotted potential dangers in the prospect of humans listening to our voice assistant recordings, given that they can be made just about anywhere: in a doctor’s office, in a business meeting, or where people deal with sensitive files, such as police stations, lawyers’ offices or courts.</p>
<p>It’s not just Dutch and Belgian contractors who are listening to Google Home requests, though those are the only recordings VRT listened to. The whistleblower showed the news outlet a platform with recordings from all over the world, meaning that there are likely thousands of contractors listening in on Assistant recordings. From VRT:</p>
<blockquote><p>That employee let us look into the system in which the employees have to listen to recordings from the Google Assistant. There must be thousands of employees worldwide; in Flanders and the Netherlands, a dozen employees are likely to hear recordings from Dutch-speaking users.</p></blockquote>
<h2>‘Anonymous’ data?</h2>
<p>Google’s well aware that its contractors can listen to these recordings, and it’s aware of the privacy questions that raises. To keep those contractors from identifying the people they’re listening to, Google strips identifying data from the recordings.</p>
<p>Of course, it’s common for data-gorging companies to point to a lack of identity details and equate that lack to a privacy shield. But in these days of <a href="https://nakedsecurity.sophos.com/2015/02/12/the-big-data-picture-just-how-anonymous-are-anonymous-records/">Big Data</a>, the claim has been proved to be flawed. After all, as we’ve noted in the past, data points that are individually innocuous can be enormously powerful and revealing when aggregated. That is, in fact, the essence of Big Data.</p>
<p>Take, for example, <a title="Science: Unique in the shopping mall: On the reidentifiability of credit card metadata" href="http://science.sciencemag.org/content/347/6221/536" rel="nofollow">the research</a> done by MIT graduate students a few years back to see how easy it might be to re-identify people from three months of credit card data, sourced from an anonymized transaction log.</p>
<p>The upshot: with 10 known transactions – easy enough to rack up if you grab coffee from the same shop every morning, park at the same lot every day and pick up your newspaper from the same newsstand – the researchers found they had a <a title="Naked Security: The Big Data picture – just how anonymous are “anonymous” records?" href="https://nakedsecurity.sophos.com/2015/02/12/the-big-data-picture-just-how-anonymous-are-anonymous-records/">better than 80% chance of identifying you.</a></p>

<p>But we don’t need to go to Big Data science to identify the people in these recordings. They do it themselves. That’s how VRT managed to identify the people in the recordings they listened to. Here’s VRT:</p>
<blockquote><p>By listening to the things the users themselves say, it is not rocket science to find out their identity…</p>
<p>In addition, employees who listen to the excerpts must search every word, address, name or company name [when] they are not sure how they are written, via Google or Facebook, to find out the correct spelling. In this way they often find out quickly who has spoken the piece in question.</p></blockquote>
<h2>Google: Yes, we’re listening. Just a little.</h2>
<p>Google responded to VRT with an emailed statement in which it acknowledged that people are indeed listening to recordings… but not many.</p>
<p>Google said that humans listen to only 0.2% of all audio clips. And those clips have been stripped of personally identifiable information (PII) as well, Google said.</p>
<p>We’ve got to do this work to make the technology better, Google said:</p>
<blockquote><p>We work with language experts around the world to improve speech technology by making transcripts from a small number of audio clips. This work is crucial for the development of technology that makes products such as the Google Assistant possible.</p></blockquote>
<h2>Heads will roll, ears and all</h2>
<p>…and we’ve got to find that whistleblower, Google said:</p>
<blockquote><p>We have recently learned that one of these language experts may have violated our data security policy by leaking Dutch-language audio clips.</p>
<p>We are actively investigating this and when we find a breach of our policy, we will take action quickly, up to and including the termination of our agreement with the partner.</p></blockquote>
