title: Perspectives économiques pour nos petits-enfants, par J.M. Keynes
url: http://www.les-crises.fr/keynes-perspectives-eco/
hash_url: 3fd06b408a3ee459f7f0da9bb1823d09


<p>Nous souffrons, en ce moment précis, d’un grave accès de pessimisme économique.</p>
<p>C’est chose courante que d’entendre les gens dire que la période des gigantesques progrès économiques caractérisant le XIXe siècle est désormais révolue, que la rapide amélioration du niveau de vie est en train de marquer le pas, en Grande-Bretagne du moins, et que la décennie qui commence nous réserve plus probablement une diminution de notre prospérité qu’un nouvel accroissement.</p>
<p><img src="http://contreinfo.info/IMG/arton2336.jpg" alt=" "/>J’estime que tout cela est une interprétation furieusement erronée des événements qui sont notre lot actuellement. Nous souffrons non pas des rhumatismes de la vieillesse, mais des troubles de croissance dus à des changements d’une rapidité excessive, nous souffrons des difficultés que provoque la réadaptation à une phase économique nouvelle. Le rendement technique a augmenté plus vite que nos moyens d’absorber la main-d’œuvre rendue disponible de la sorte; l’élévation du niveau de vie a été un peu trop rapide; le système bancaire et monétaire mondial a empêché le taux de l’intérêt de diminuer aussi vite que les nécessités de l’équilibre l’exigent. Quoi qu’il en soit, le gaspillage et le désordre qui en résultent ne représentent pas plus de 7,5 % du revenu national; la gabegie nous coûte 1 shilling et 6 pence par livre, et nous ne disposons que de 18 shillings et 6 pence quand nous pourrions disposer d’une livre si nous étions plus raisonnables. Et pourtant les 18 shillings et 6 pence d’aujourd’hui ont quand même une valeur égale à celle de la livre il y a cinq ou six ans. Nous oublions que la production de l’industrie britannique, exprimée en volume, était plus grande en 1929 qu’elle n’avait jamais été, et que l’excédent net de notre balance avec l’étranger, une fois payées toutes nos importations, permettait de nouveaux placements à l’extérieur qui étaient supérieurs, l’an dernier, à ceux de tout autre pays, dépassant même de 50 % l’excédent de la balance américaine. Ou bien supposons encore, s’il faut en faire un sujet de comparaisons, que nous réduisions nos salaires de moitié, que nous refusions d’honorer les quatre cinquièmes de notre dette publique et que nous thésaurisions nos richesses excédentaires sous forme d’or stérile au lieu de les prêter à 6 % d’intérêt où à un taux supérieur, nous ressemblerions alors à cette France qui excite aujourd’hui tant d’envie. Mais serait-ce mieux pour nous? La dépression qui sévit dans le monde entier, la gigantesque anomalie du chômage sur une planète où les besoins non satisfaits abondent, et les erreurs désastreuses que nous avons commises, tout cela nous rend aveugles à ce qui se déroule sous la surface, et qui correspond à la vraie interprétation de la tendance des événements. Je prédis en effet que, de notre temps déjà, les deux erreurs opposées du pessimisme qui font tant de tapage de par le monde, seront reconnues pour ce qu’elles sont, que l’on considère le pessimisme des révolutionnaires qui croient les choses si mauvaises que seule une mutation violente pourra nous sauver, ou celui des réactionnaires qui jugent l’équilibre de notre vie économique et sociale si précaire que nous devons éviter le risque de toute expérimentation.</p>
<p>Mon intention dans cet essai n’est pourtant pas d’examiner le présent ou le proche avenir, mais de m’affranchir des vues sans perspective et de prendre mon vol dans le futur. Dans cent ans d’ici quel est le niveau que nous pouvons raisonnablement attendre du développement de notre vie économique?</p>
<p>Quelles sont les perspectives économiques offertes à nos petits-enfants?</p>
<p>Depuis l’époque la plus reculée pour laquelle nous disposons de témoignages, disons en gros depuis l’an 2000 avant J.-C, jusqu’au début du XVIIIe siècle, il n’y eut pas de très grande modification dans le niveau de vie de la moyenne des hommes vivant dans les centres de civilisation de la terre.</p>
<p>Des hauts et des bas, il y en eut certainement. Les fléaux de la peste, de la famine et de la guerre alternant avec des périodes d’or. Mais point de changement brutal pour le mieux. Certaines périodes ont peut-être été de 50 % meilleures que d’autres, mettons même de 100 % meilleures au maximum, dans le cours des quatre millénaires qui ont pris fin vers 1700 de notre ère. Cette lenteur du progrès, voire l’absence totale de progrès, eurent deux causes: l’absence frappante de tout perfectionnement technique d’importance et l’incapacité du capital à s’accumuler. L’absence d’invention technique importante entre l’époque préhistorique et les temps relativement modernes est vraiment digne de remarque.</p>
<p>Presque tout ce qui importe réellement et que le monde possédait au début des temps modernes était déjà connu de l’humanité à l’aube de l’histoire.</p>
<p>Le langage, le feu, les mêmes animaux domestiques qu’aujourd’hui, le froment, l’orge, la vigne et l’olivier, la charrue, la roue, l’aviron, la voile, le cuir, la toile et le drap, les briques et la poterie, l’or et l’argent, le cuivre, l’étain et le plomb, à quoi s’ajouta le fer avant l’an mille de l’ère pré-chrétienne, le commerce de la banque, l’art de la politique, les mathématiques, l’astronomie et la religion : autant de choses si anciennes qu’il n’a pas été gardé trace de leur origine ou de leur adoption. A un moment quelconque antérieur à l’aube des temps historiques, peut-être même au cours de l’un des confortables entractes qui précédèrent la dernière période glaciaire, il y a probablement eu une ère de progrès et d’inventions comparable à celle que nous connaissons actuellement. Mais tout au long de la majeure partie des temps historiques il n’y eut rien de ce genre.</p>
<p>Les temps modernes s’ouvrirent, me semble-t-il, avec l’accumulation du capital qui commença au XVIe siècle. Des raisons, que je suis obligé de passer sous silence dans cet exposé, m’ont induit à penser que ce phénomène eut pour cause initiale la hausse des prix et l’augmentation consécutive des profits qui résultèrent de l’introduction de ces réserves d’or et d’argent transportées par l’Espagne du Nouveau Monde dans l’Ancien. Depuis cette époque jusqu’à nos jours, la capacité d’accumulation que possède l’intérêt composé et qui, selon toutes apparences, avait été en sommeil pendant de nombreuses générations, se développa avec une force renouvelée après s’être réveillée. Or, la capacité d’accumulation de l’intérêt composé sur une période de deux cents ans est telle que l’imagination est saisie de stupeur.</p>
<p>Qu’il me soit permis d’illustrer ce point par une somme que j’ai calculée.</p>
<p>La valeur actuelle des investissements britanniques à l’étranger est estimée à 4 milliards de livres environ.</p>
<p>Ces investissements nous procurent un revenu au taux d’intérêt de 6,5 % environ.</p>
<p>Nous rapatrions la moitié de ce revenu et en avons la jouissance; quant à l’autre moitié, soit 3,25 %, nous la laissons s’accumuler à l’étranger par le jeu de l’intérêt composé. Or, voilà250 ans à peu près qu’un processus de ce genre est en cours.</p>
<p>Je fais remonter en effet les origines des investissements britanniques à l’étranger au trésor que Drake enlevj) en 1580 à l’Espagne. Cette année-là, il regagna l’Angleterre en rapportant le fabuleux butin du Golden Hind. La reine Elizabeth était un important actionnaire au sein du syndicat qui avait financé cette expédition. Au moyen de sa part du butin elle remboursa la totalité de la dette extérieure de l’Angleterre, équilibra son budget et se trouva disposer encore d’un reliquat de 40000 livres.</p>
<p>Elle plaça cette somme dans la Compagnie du Levant, laquelle devait prospérer. Grâce aux bénéfices procurés par la Compagnie du Levant on fonda la Compagnie des Indes Orientales, et ce sont les bénéfices réalisés par cette vaste entreprise qui servirent de base à tous les investissements que l’Angleterre allait effectuer à l’étranger par la suite. Or il se trouve que l’accroissement de ce capital de 40 000 livres au taux de 3,25 % à intérêt composé équivaut approximativement au montant réel des investissements britanniques à l’étranger à différentes dates, et aujourd’hui serait effectivement égal à cette somme de 4 milliards de livres que j’ai déjà citée comme étant le total actuel de nos investissements à l’étranger.<br/>
Ainsi donc, chaque livre sterling rapportée en Angleterre par Drake en 1580 est maintenant devenue 100000 livres. Tel est le pouvoir de l’intérêt composé!</p>
<p>A partir du XVIe siècle, avec un crescendo cumulatif après le XVIII•, nous sommes entrés dans l’âge grandiose de la science et des inventions techniques, et cet âge a donné toute sa mesure depuis le début du XIXème siècle. Voici quelques jalons : le charbon, la vapeur, l’électricité, le pétrole, l’acier, le caoutchouc, le coton, les industries chimiques, le machinisme automatisé, et les méthodes de production de masse, la T. S. F., l’imprimerie, Newton, Darwin et Einstein, et des milliers d’autres choses et d’autres hommes trop célèbres et trop familiers pour qu’on puisse en dresser la liste.<br/>
Et à quel résultat sommes-nous arrivés? Malgré un prodigieux accroissement de la population mondiale qu’il a fallu équiper de maisons et de machines, le niveau de vie moyen en Europe et aux États-Unis est allé toujours en augmentant pour être maintenant, à mon avis, quatre fois supérieur à ce qu’il était.</p>
<p>L’accroissement du capital s’est fait sur une échelle dépassant de loin le centuple de ce qu’avait pu connaître n’importe quelle époque antérieure. Et désormais il n’y a pas lieu de prévoir une expansion démographique aussi considérable. Que le capital s’accroisse de 2 % l’an, pour fixer un chiffre, et l’équipement du monde entier se trouvera augmenté de 50 % en vingt ans et de 750 % en cent ans.</p>
<p>Que l’on se représente donc cette croissance en termes de biens matériels, tels que maisons, moyens de transports, etc.<br/>
En outre, les perfectionnements techniques apportés aux industries de transformation et aux transports se sont multipliés au cours des dix dernières années à un rythme plus rapide que jamais auparavant.<br/>
Aux États-Unis la production industrielle par tête était en 1925 plus élevée de 40 % qu’en 1919. En Europe, s’il est vrai que nous sommes retardés par des obstacles temporaires, il n’en reste pas moins que la productivité technique croît de plus de 1 % l’an à taux cumulatif.</p>
<p>On a des preuves que les changements techniques à caractère révolutionnaire qui, jusqu’à maintenant, affectaient surtout l’industrie, vont prochainement gagner l’agriculture.<br/>
Peut-être sommes-nous à la veille d’assister à des améliorations dans le rendement des productions alimentaires qui égaleront en importance celles qu’ont connues l’industrie des mines, les industries de transformation et les transports. Dans quelques années tout bonnement – je veux dire: du vivant de notre génération- il se peut que nous réussissions à effectuer toutes les opérations agricoles, minières et industrielles nécessaires avec seulement le quart de l’effort humain que nous avons été habitués à leur consacrer.</p>
<p>Pour le moment la rapidité même de ces transformations nous fait souffrir et soulève des problèmes difficiles à résoudre. Ce sont les pays qui ne figurent pas à l’avant-garde du progrès qui souffrent modérément. Nous sommes actuellement affligés d’une maladie nouvelle dont certains lecteurs peuvent bien ignorer encore le nom, mais dont ils entendront beaucoup parler dans les années à venir, et qui est le chômage technologique.</p>
<p>Il faut entendre par là le chômage qui est dû au fait que nous découvrons des moyens d’économiser de la main-d’œuvre à une vitesse plus grande que nous ne savons trouver de nouvelles utilisations du travail humain. Mais ce n’est là qu’une période passagère d’inadaptation.</p>
<p>A long terme tout cela signifie que l’humanité est en train de résoudre son problème économique. Je prédirais volontiers que dans cent ans d’ici le niveau de vie dont jouiront les pays les plus dynamiques sera entre quatre et huit fois plus élevé qu’aujourd’hui. Il n’y aurait rien de surprenant à ce qu’il en soit bien ainsi, même en tenant compte des insuffisances de nos connaissances actuelles. Et il n’y aurait nulle déraison à envisager la.</p>
<p>Supposons donc, simplement pour concrétiser notre raisonnement, que dans cent ans d’ici nous serons tous, en moyenne, dans une situation économique huit fois meilleure qu’à présent.<br/>
A coup sûr, il n’y a vraiment pas de quoi nous étonner ici.</p>
<p>Or, que les besoins de l’être humain puissent paraître insatiables est vrai. Mais il faut y distinguer deux catégories :<br/>
-les besoins qui ont un caractère absolu en ce sens que nous les éprouvons quelle que soit la situation de nos semblables, et<br/>
-ceux qui possèdent un caractère relatif en ce que nous ne les ressentons que si leur assouvissement nous place au-dessus de nos semblables ou nous donne l’impression de leur être supérieurs.</p>
<p>Les besoins de cette seconde catégorie, ceux qui correspondent à un désir de supériorité, sont peut-être tout à fait insatiables, car ils sont d’autant plus élevés que le niveau général de satisfaction est lui-même élevé.</p>
<p>Mais ce n’est pas si vrai des besoins ayant un caractère absolu : il se peut qu’un seuil soit bientôt atteint, bien plus tôt même que nous n’en avons conscience, seuil au-delà duquel ces besoins seront assouvis et que nous préférerons consacrer alors nos énergies encore disponibles à des buts non économiques.</p>
<p>Et j’en arrive maintenant à ma conclusion qui va vous paraître, j’imagine, de plus en plus saisissante à mesure que vous y réfléchirez. Cette conclusion est que, à supposer l’absence de grandes guerres et d’importants progrès démographiques, le problème économique peut être résolu, ou que sa solution peut au moins être en vue, d’ici à cent ans. Ce qui veut dire que le problème économique n’est point, pour le regard tourné vers l’avenir, le problème permanent de l’espèce humaine.</p>
<p>Pourquoi est-ce donc si saisissant, pouvez-vous vous demander? Cette conclusion est saisissante parce que, si nous scrutons le passé au lieu de scruter l’avenir, le problème économique, la lutte pour la subsistance nous apparaissent comme ayant toujours été jusqu’ici le problème primordial et le plus pressant de l’espèce humaine.<br/>
Et c’est encore trop peu dire, car ce n’est pas seulement de l’espèce humaine, mais de tout l’univers biologique depuis les premiers commencements de la vie sous ses formes les plus primitives que la recherche de la subsistance a été le problème dominant.</p>
<p>Ainsi la nature a-t-elle expressément guidé notre développement, avec tout ce que cela comporte en fait d’impulsions et de profonds instincts, vers la solution du problème économique comme tâche spécifique.</p>
<p><img src="http://lecercle.lesechos.fr/sites/default/files/John_Maynard_Keynes.jpg" alt=" "/>Si le problème économique est résolu, l’humanité se trouvera donc privée de sa finalité traditionnelle.</p>
<p>Est-ce que ce sera un avantage? Pour peu que l’on donne foi aux valeurs authentiques de la vie, cette perspective offre à tout le moins la possibilité d’un avantage.</p>
<p>Cependant je pense avec inquiétude à la réadaptation requise de l’humanité commune qui peut se voir poussée à répudier dans quelques décennies les habitudes et les instincts qu’elle s’est assimilés depuis d’innombrables générations.</p>
<p>Pour parler le langage qui fait fureur aujourd’hui, ne devons-nous pas nous attendre à une « dépression nerveuse» universelle?<br/>
Nous avons déjà, sur une petite échelle, quelque connaissance vécue de ce que je veux dire: une dépression nerveuse comme celle dont souffrent dès à présent de nombreuses femmes mariées appartenant aux classes les plus aisées d’Angleterre et des États-Unis.</p>
<p>Ce sont de malheureuses femmes que la richesse a privées de leurs tâches et occupations traditionnelles et qui ne trouvent plus assez amusant de faire la cuisine, le ménage et le ravaudage maintenant que la nécessité économique ne leur est plus un aiguillon, mais qui sont pourtant totalement incapables de trouver quoi que ce soit de plus amusant.</p>
<p>A ceux qui gagnent leur pain quotidien à la sueur de leur front l’oisiveté apparaît comme une friandise ardemment désirée … jusqu’au moment où elle est obtenue.</p>
<p>On connaît l’épitaphe traditionnelle rédigée pour sa propre tombe par la vieille femme de ménage :</p>
<blockquote><p>Pas de deuil pour moi, amis, et de pleurs jamais,<br/>
Car je n’aurai rien à faire, jamais, jamais.</p></blockquote>
<p>Tel était son paradis. Comme d’autres qui se réjouissent à l’avance de l’oisiveté qu’ils connaîtront plus tard, elle se représentait combien il serait merveilleux de passer son temps à écouter de la musique.</p>
<p>En effet, il y avait aussi cette strophe dans sa composition poétique :</p>
<blockquote><p>Au ciel, douce musique et psaumes sonneront,<br/>
L’effort de chanter d’autres, pas moi, le feront.<br/>
Et pourtant la vie ne sera supportable que pour ceux qui font l’effort de chanter; et combien sont rares ceux qui, parmi nous, savent chanter!</p></blockquote>
<p>Ainsi, pour la première fois depuis sa création, l’homme fera-t-il face à son problème véritable et permanent : comment employer la liberté arrachée aux contraintes économiques? Comment occuper les loisirs que la science et les intérêts composés auront conquis pour lui, de manière agréable, sage et bonne?</p>
<p>Il se peut que la détermination et l’effort acharné des faiseurs d’argent nous transportent tous avec eux dans le giron de l’abondance économique. Mais ce seront les peuples capables de préserver l’art de vivre et de le cultiver de manière plus intense, capables aussi de ne pas se vendre pour assurer leur subsistance, qui seront en mesure de jouir de l’abondance le jour où elle sera là.</p>
<p>Toutefois il n’est point de pays ni de nation qui puisse, je pense, voir venir l’âge de l’abondance et de l’oisiveté sans craindre. Car nous avons été entraînés pendant trop longtemps à faire effort et non à jouir.</p>
<p>Pour l’individu moyen, dépourvu de talents particuliers, c’est un redoutable problème que d’arriver à s’occuper, plus redoutable encore lorsque n’existent plus de racines plongeant dans le sol ou les coutumes ou les conventions chéries d’une société traditionnelle. A en juger par le comportement et les exploits des classes riches aujourd’hui dans n’importe quelle région du monde, la perspective de ce qui nous attend est très déprimante. Car les gens appartenant à ces classes sociales sont en quelque sorte notre avant-garde, les éclaireurs qui explorent à l’intention de nous tous la terre promise et y plantent leur tente.</p>
<p>Or, il me semble que la plupart de ces gens qui ont un revenu indépendant mais ni liens, ni obligations, ni solidarité avec leur prochain, ont échoué lamentablement devant le problème qui leur était posé.</p>
<p>J’ai la certitude qu’avec un peu plus d’expérience nous emploierons tout autrement que les riches d’aujourd’hui cette munificence de la nature qui vient d’être découverte, et que nous nous tracerons un plan de vie tout différent du leur.</p>
<p>Pendant longtemps encore le vieil Adam sera toujours si fort en nous que chaque personne aura besoin d’effectuer un certain travail afin de lui donner satisfaction.</p>
<p>Trop heureux d’avoir encore de petites tâches, obligations et routines, nous ferons par nous-mêmes beaucoup plus de choses que ce n’est généralement le cas aujourd’hui chez les riches. Mais, au-delà, nous nous efforcerons de faire des tartines de beurre en faisant les tranches de pain aussi fines que possible, et la quantité de travail qu’il sera encore nécessaire de faire, nous nous arrangerons pour que le plus grand nombre d’entre nous en ait sa part. Trois heures de travail chaque jour par roulement ou une semaine de quinze heures peuvent ajourner le problème pour un bon moment. En effet, trois heures par jour font une ration suffisante pour assouvir le vieil Adam chez la plupart d’entre nous.</p>
<p>Il y aura des changements dans d’autres domaines également qu’il nous faudra nous attendre à voir venir.</p>
<p>Quand l’accumulation de la richesse ne sera plus d’une grande importance sociale, de profondes modifications se produiront dans notre système de moralité. Il nous sera possible de nous débarrasser de nombreux principes pseudo-moraux qui nous ont tourmentés pendant deux siècles et qui nous ont fait ériger en vertus sublimes certaines des caractéristiques les plus déplaisantes de la nature humaine. Nous pourrons nous permettre de juger la motivation pécuniaire à sa vraie valeur. L’amour de l’argent comme objet de possession, qu’il faut distinguer de l’amour de l’argent comme moyen de se procurer les plaisirs et les réalités de la vie, sera reconnu pour ce qu’il est : un état morbide plutôt répugnant, l’une de ces inclinations à demi criminelles et à demi pathologiques dont on confie le soin en frissonnant aux spécialistes des maladies mentales.</p>
<p>Nous serons enfin libres de rejeter toutes sortes d’usages sociaux et de pratiques économiques touchant à la répartition de la richesse et des récompenses et pénalités économiques, et que nous maintenons à tout prix actuellement malgré leur caractère intrinsèquement dégoûtant et injuste parce qu’ils jouent un rôle énorme dans l’accumulation du capital.</p>
<p>Bien entendu, il y aura encore bien des gens, dotés d’une « intentionalité » puissante et inassouvie, qui poursuivront aveuglément la richesse, à moins qu’ils ne sachent trouver un succédané acceptable. Mais tous les autres d’entre nous cesseront d’être obligés de les applaudir et de les encourager.</p>
<p>Car nous examinerons alors plus curieusement qu’il n’est sain de le faire aujourd’hui le véritable caractère de cette « intentionalité » dont la nature a doté chacun d’entre nous, ou presque, à des degrés divers. En effet, par intentionalité il faut entendre que nous nous intéressons davantage aux résultats de nos actions qui sont le plus éloignés dans le temps qu’à leur qualité intrinsèque ou à leurs effets immédiats sur notre propre environnement. L’homme plein d’ « intentionalité», celui qui est occupé à viser des buts, est toujours en train de chercher à procurer à ses actes une immortalité illusoire et factice en projetant dans l’avenir l’intérêt qu’il peut leur porter. Il n’aime pas son chat, mais les chatons de son chat, ni même, en vérité, les chatons, mais les chatons des chatons, et ainsi de suite jusqu’à la consommation des temps dans l’univers des chats.</p>
<p>Pour lui, de la confiture n’est pas de la confiture, à moins qu’il s’agisse d’une caisse de confiture pour demain et jamais de confiture pour aujourd’hui même.<br/>
Ainsi, en rejetant toujours sa confiture loin dans l’avenir, essaie-t-il d’assurer l’immortalité à son acte confiturier.</p>
<p>Qu’il me soit permis de vous remettre en mémoire le personnage du Professeur dans Sylvie and Bruno:<br/>
« Ce n’est que le tailleur, Monsieur, avec votre petite facture », dit une voix humble de l’autre côté de la porte.<br/>
« Eh! bien, soit. Il ne me faudra pas longtemps pour arranger l’affaire avec lui », déclara le Professeur aux enfants, « si vous voulez bien patienter une minute.<br/>
Combien est-ce, cette année, mon brave? » Le tailleur était entré pendant qu’il parlait.</p>
<p>« Mon Dieu, c’est allé en doublant pendant tant d’années, voyez-vous », répondit le tailleur sur un ton assez bourru, « et je crois que je voudrais mon argent maintenant. Cela fait deux mille livres, voilà! »<br/>
« Oh! mais ce n’est vraiment rien! », remarqua négligemment le Professeur en tâtant dans ses poches, comme s’il portait toujours sur lui une somme au moins égale.</p>
<p>« Mais est-ce que vous ne préféreriez pas attendre juste une année de plus et arriver à quatre mille livres? Songez seulement comme vous seriez riche! Voyons, vous pourriez être roi, si vous vouliez! »<br/>
« Je ne sais pas si je tiendrais à être roi », dit l’homme pensivement.<br/>
« Mais cela représente sûrement une énorme quantité d’argent! Bon, je crois que je m’en vais attendre … »<br/>
« Naturellement, c’est ce que vous allez faire! », dit le Professeur.<br/>
« Je vois que vous avez du bon sens. Au revoir, mon brave! »<br/>
« Aurez-vous donc à lui payer ces quatre mille livres un jour? », demanda Sylvie tandis que la porte se refermait sur le créancier en train de se retirer.</p>
<p>« Jamais de la vie, mon enfant! », répondit le Professeur en faisant sonner ses mots. •<br/>
« Il va continuer à doubler ce que je lui dois, jusqu’à sa mort. Il vaut toujours mieux attendre une année de plus et recevoir le double, voyez-vous! »</p>
<p><img src="http://a3.idata.over-blog.com/235x300/1/53/99/06/photos4/keynes.png" alt=" "/>Peut-être n’est-il pas fortuit que le peuple qui a le plus contribué à introduire la promesse d’immortalité dans le coeur et l’essence de nos religions, soit aussi celui qui a fait le plus pour le système des intérêts composés et porte une affection particulière à cette institution humaine des plus « intentionnelles ».</p>
<p>Je nous vois donc libres de revenir à certains des principes les plus assurés et les moins ambigus de la religion et de la vertu traditionnelle : que l’avarice est un vice, que c’est un méfait que d’extorquer des bénéfices usuraires, que l’amour de l’argent est exécrable, et qu’ils marchent le plus sûrement dans les sentiers de la vertu et de la sagesse, ceux qui se soucient le moins du lendemain.</p>
<p>Une fois de plus nous en reviendrons à estimer les fins plus que les moyens, et à préférer le bon à l’utile.<br/>
Nous honorerons ceux qui sauront nous apprendre à cueillir le moment présent de manière vertueuse et bonne, les gens exquis qui savent jouir des choses dans l’immédiat, les lys des champs qui ne tissent ni ne filent.</p>
<p>Mais attention! Les temps ne sont pas encore venus. Pendant au moins un siècle de plus, il nous faudra faire croire à tout un chacun et à nous-mêmes que la loyauté est infâme et que l’infamie est loyale, car l’infamie est utile et la loyauté ne l’est point. Avarice, Usure et Prudence devront rester nos divinités pour un petit moment encore. Car elles seules sont capables de nous faire sortir du tunnel de la nécessité économique pour nous mener à la lumière du jour.</p>
<p>Je me réjouis donc de voir se réaliser, dans un avenir pas si lointain, le plus grand changement qui se soit jamais produit dans les conditions matérielles de la vie des êtres humains considérés globalement. Mais, bien entendu, cela se fera graduellement et non pas en un bouleversement soudain. Au vrai, cela a déjà commencé.</p>
<p>Le cours de l’évolution tiendra simplement en ce que des classes sociales toujours plus larges et des groupes humains toujours plus nombreux seront délivrés pratiquement du problème de la nécessité économique. Le point critique sera atteint quand cette situation sera devenue si générale que la nature de nos devoirs vis-à-vis d’autrui en sera changée. Car il restera raisonnable d’avoir une « intentionnalité » économique au profit des autres quand il ne sera plus raisonnable d’en avoir une pour soi-même.</p>
<p>La vitesse à laquelle nous pourrons atteindre notre destination de félicité économique dépendra de quatre facteurs : notre capacité à contrôler le chiffre de la population, notre volonté d’éviter les guerres et les discordes civiles, notre consentement à nous en remettre à la science pour diriger toutes les affaires qui sont proprement du ressort de la science, et le taux d’accumulation tel que le fixera la marge entre notre production et notre consommation. Le dernier de ces facteurs prendra bien soin de lui-même, une fois l’accord réalisé sur les trois premiers.</p>
<p>Dans l’intervalle il n’y aura nul inconvénient à faire de doux préparatifs pour notre future destinée, à encourager et à mettre à l’épreuve les arts de la vie au même titre que les activités répondant à un but utilitaire.</p>
<p>Mais, surtout, ne nous exagérons pas l’importance du problème économique, ne sacrifions pas à ses nécessités supposées d’autres affaires d’une portée plus grande et plus permanente. Ce problème devrait rester une affaire de spécialistes, tout comme la dentisterie. Si les économistes pouvaient parvenir à se faire considérer comme des gens humbles et compétents, sur le même pied que les dentistes, ce serait merveilleux.</p>
