title: Falsehoods Programmers Believe About Names
url: https://www.kalzumeus.com/2010/06/17/falsehoods-programmers-believe-about-names/
hash_url: 61fb6db44e7173cd9318753c955f7dda

<p>[This post has been translated into Japanese by one of our readers: <a href="http://www.emptypage.jp/translations/kalzumeus/falsehoods-programmers-believe-about-names.html">和訳</a>もあります。]</p>

<p>John Graham-Cumming wrote an <a href="http://blog.jgc.org/2010/06/your-last-name-contains-invalid.html">article</a> today complaining about how a computer system he was working with described his last name as having invalid characters.  It of course does not, because anything someone tells you is their name is — by definition — an appropriate identifier for them.  John was understandably vexed about this situation, and he has every right to be, because <strong>names are central to our identities</strong>, <em>virtually by definition</em>.</p>

<p>I have lived in Japan for several years, programming in a professional capacity, and I have broken many systems by the simple expedient of being introduced into them.  (Most people call me Patrick McKenzie, but I’ll acknowledge as correct any of six different “full” names, any many systems I deal with will accept precisely none of them.) Similarly, I’ve worked with Big Freaking Enterprises which, by dint of doing business globally, have theoretically designed their systems to allow all names to work in them.  <strong>I have never seen a computer system which handles names properly and doubt one exists, anywhere</strong>.</p>

<p>So, as a public service, I’m going to list assumptions your systems probably make about names.  <strong>All of these assumptions are wrong</strong>.  Try to make less of them next time you write a system which touches names.</p>

<ol>
  <li>People have exactly one canonical full name.</li>
  <li>People have exactly one full name which they go by.</li>
  <li>People have, at this point in time, exactly one canonical full name.</li>
  <li>People have, at this point in time, one full name which they go by.</li>
  <li>People have exactly N names, for any value of N.</li>
  <li>People’s names fit within a certain defined amount of space.</li>
  <li>People’s names do not change.</li>
  <li>People’s names change, but only at a certain enumerated set of events.</li>
  <li>People’s names are written in ASCII.</li>
  <li>People’s names are written in any single character set.</li>
  <li>People’s names are all mapped in Unicode code points.</li>
  <li>People’s names are case sensitive.</li>
  <li>People’s names are case insensitive.</li>
  <li>People’s names sometimes have prefixes or suffixes, but you can safely ignore those.</li>
  <li>People’s names do not contain numbers.</li>
  <li>People’s names are not written in ALL CAPS.</li>
  <li>People’s names are not written in all lower case letters.</li>
  <li>People’s names have an order to them.  Picking any ordering scheme will automatically result in consistent ordering among all systems, as long as both use the same ordering scheme for the same name.</li>
  <li>People’s first names and last names are, by necessity, different.</li>
  <li>People have last names, family names, or anything else which is shared by folks recognized as their relatives.</li>
  <li>People’s names are globally unique.</li>
  <li>People’s names are <em>almost</em> globally unique.</li>
  <li>Alright alright but surely people’s names are diverse enough such that no million people share the same name.</li>
  <li>My system will never have to deal with names from China.</li>
  <li>Or Japan.</li>
  <li>Or Korea.</li>
  <li>Or Ireland, the United Kingdom, the United States, Spain, Mexico, Brazil, Peru, Russia, Sweden, Botswana, South Africa, Trinidad, Haiti, France, or the Klingon Empire, all of which have “weird” naming schemes in common use.</li>
  <li>That Klingon Empire thing was a joke, right?</li>
  <li>Confound your cultural relativism!  People <strong><em>in my society</em></strong>, at least, agree on one commonly accepted standard for names.</li>
  <li>There exists an algorithm which transforms names and can be reversed losslessly.  (Yes, yes, you can do it if your algorithm returns the input.  You get a gold star.)</li>
  <li>I can safely assume that this dictionary of bad words contains no people’s names in it.</li>
  <li>People’s names are assigned at birth.</li>
  <li>OK, maybe not at birth, but at least pretty close to birth.</li>
  <li>Alright, alright, within a year or so of birth.</li>
  <li>Five years?</li>
  <li>You’re kidding me, right?</li>
  <li>Two different systems containing data about the same person will use the same name for that person.</li>
  <li>Two different data entry operators, given a person’s name, will by necessity enter bitwise equivalent strings on any single system, if the system is well-designed.</li>
  <li>People whose names break my system are weird outliers.  They should have had solid, acceptable names, like 田中太郎.</li>
  <li>People have names.</li>
</ol>

<p>This list is by no means exhaustive.  If you need examples of real names which disprove any of the above commonly held misconceptions, I will happily introduce you to several.  Feel free to add other misconceptions in the comments, and refer people to this post the next time they suggest a genius idea like a database table with a first_name and last_name column.</p>
