title: Coworking et permaculture
url: http://www.mutinerie.org/coworking-et-permaculture/
hash_url: 738a188cdb9a4854c34b4fa4b60803ab

<p><i>Vous le savez surement, mais Mutinerie a récemment lancé un espace de coworking / gite à la campagne: <a href="http://www.mutinerie.org/village-homepage-2/">Mutinerie Village</a>. Tant qu’à pouvoir travailler de n’importe où, pourquoi pas le faire entouré de verdure, forêts et rivières plutôt que de bétons, voitures et immeubles ? Ne faisant pas les choses à moitié, nous nous sommes mis en tête de mettre en place un potager en <a href="http://fr.wikipedia.org/wiki/Permaculture" target="_blank">permaculture</a>, l’idée étant, à terme, de viser une quasi-indépendance alimentaire puis énergétique au village. En nous penchant sur le sujet, nous avons été frappés des similitudes entre les logiques qui sous-tendent coworking et permaculture :</i></p>
<a href="http://www.mutinerie.org/coworking-et-permaculture/arrosage_ete/" rel="attachment wp-att-29111"><img class="aligncenter size-full wp-image-29111" alt="Potager de Mutinerie Village" src="http://www.mutinerie.org/wp-content/uploads/2014/08/arrosage_été.jpg"/></a>
<h1>La logique d’écosystème</h1>
<p>A l’inverse de l’agriculture industrielle qui vise à augmenter la productivité par agriculteur via la mécanisation, la standardisation des semences et l’utilisation de produits chimiques et OGM, la permaculture raisonne en terme d’écosystèmes. Elle tente de recréer un « mini-monde » ou chaque plante ou insectes joue un rôle positif et est complémentaire avec les autres plantes.</p>
<p>Les pucerons peuvent par exemple être éliminés si vous parvenez à attirer dans votre potager des coccinelles qui en feront leurs repas. La permaculture refuse l’utilisation de semences « standards » qui placent les agriculteurs dans une dépendance face aux grands groupes et empêchent l’adaptation des plantes et espèces à leur environnement. Saviez-vous qu’il faut par exemple seulement deux générations aux graines pour adapter leur patrimoine génétique aux spécificités de leur sol ?</p>
<p>Au lieu de mettre en place d’énormes surfaces en monoculture, la permaculture va procéder par association judicieuses de plantes. Certaines enrichissant le sol en azote, seront placées à proximité de plantes qui en prélèvent en quantité. Certains types de plantes repoussant ou attirant certains types d’insectes seront stratégiquement réparties sur le potager, rendant inutile l’utilisation de quelconques produits chimiques.</p>
<blockquote><p>Cette idée de complémentarité et de diversité est omniprésente dans les espaces de coworking. La pluridisciplinarité est par exemple un élément clé. Il ne s’agit pas ici de mettre les « experts » entre eux, mais plutôt de diversifier les compétences et personnalités.</p></blockquote>
<p>Nous ne comptons aujourd’hui plus le nombre de collaborations entre coworkers. Allant du simple conseil à des contrats signés ensemble, elles sont quotidiennes. Cela ne veut pas dire qu’elles sont automatiques ! Elles ne sont pas un dû mais le résultat d’une certaine posture de la part des coworkers.</p>
<p>C’est l’un des paradoxes des espaces de coworking: la plus grande valeur qu’ils délivrent n’est pas « garantie ». Pourtant, statiquement, nous pouvons aujourd’hui affirmer que pour la grande majorité des coworkers, rejoindre Mutinerie fut un excellent investissement.</p>
<h1>Le « design » de l’espace</h1>
<p>Oui, la permaculture demande un vrai travail de design en amont ! L’idée est double: tirer au maximum parti des éléments constitutifs du terrain d’une part (topologie, composition du sol, exposition, présence d’eau…) afin de maximiser l’efficacité de la ferme, et minimiser le travail humain et les déplacements d’autre part. Les plantes demandant un entretien plus fréquent ou utilisées fréquemment dans la cuisine (plantes aromatiques par exemple) seront placées à proximité du lieu de vie.</p>
<blockquote><p>Le créateur d’un espace de coworking de la même manière prend en compte ces contraintes lors du design de son espace.</p></blockquote>
<p>D’abord il doit s’adapter à la « morphologie » de son espace. Il n’y a pas de recettes miracles pour designer un espace, d’autant que ceux-ci se localisent principalement dans des anciens lieux à réhabiliter (ancienne usine, commerces, fabriques…). Il faut donc composer avec ce que l’on a.</p>
<p>Le design prendra également en compte l’importance des différentes composantes de l’espace et tentera de maximiser les opportunités de rencontres et d’interactions tout en laissant la possibilité aux coworkers de s’isoler. A Mutinerie, la localisation de la zone café à l’entrée est par exemple primordiale. D’une part c’est un lieu souvent fréquenté, et d’autres part il créé une interaction entre les coworkers car avant de s’installer à leur poste, les coworkers doivent traverser cet espace vivant. Enfin le coworking sera conçu de façon à être efficace d’un point de vue purement opérationnel (rangements, stocks, événementiel etc…)</p>
<h1>La pollinisation</h1>
<p>Les paysans l’ont toujours su: la présence de pollinisateurs est essentielle ! Si l’on parle si souvent des abeilles, c’est que leur rôle est crucial dans la production agricole. L’exemple de <a href="http://usbek-et-rica.fr/yann-moulier-boutang" target="_blank">Yann Moulier-Boutang</a> dans son ouvrage « <a href="http://www.amazon.fr/Labeille-l%C3%A9conomiste-Yann-Moulier-Boutang/dp/2355360308" target="_blank">l’abeille et l’économiste</a> » illustre bien le fonctionnement et l’importance de la pollinisation aussi bien dans l’agriculture que dans la société:</p>
<p>Le marché du miel dans le monde est un marché, d’environ 4 milliards d’euro, mais sans les abeilles, on estime que c’est 30% de la production agricole totale qui disparaitrait. Ce qui représenterait une perte de 1000 milliards d’Euro !</p>
<blockquote><p>Que dirait-on d’une science économique qui, observant les abeilles ne voyait que le rendement en miel et oublierait presque totalement l’activité représentant l’essentiel de la valeur d’une ruche; la pollinisation ?</p></blockquote>
<p>Cela ne vaudrait évidement pas grand chose. C’est pourtant comme cela qu’a été construite la science économique moderne et c’est cette mauvaise interprétation de la création de valeur qui amène a des situations écologiques aberrantes où des agriculteurs chinois doivent désormais polliniser leurs pommiers à la main…</p>
<p>La pollinisation est également cruciale dans les espaces de coworking et contribue largement à la valeur ajoutée de l’espace; échanges d’informations, de contacts, de compétences, créations de liens de confiance, entraide…</p>
<blockquote><p>Chaque jour, les nombreuses interactions d’apparence aléatoires et chaotiques, contribuent à tisser un ensemble cohérent et utile à tous.</p></blockquote>
<p><a href="https://copass.org" target="_blank">Copass</a>, le réseau international d’espace de coworking permet de développer cette logique, cette fois pas seulement entre les coworkers mais entre les espaces de coworking et les communautés qui les peuplent afin de créer un sorte « d’écosystème entre écosystèmes »</p>
<h1>La « durabilité »</h1>
<p>Comme son nom l’indique, l’un des piliers de la permaculture et son aspect durable. Alors que l’agriculture industrielle et les engrais chimiques détruisent les sols en éradiquant les micro-organismes et autres vers de terre indispensables à la formation de l’humus, la permaculture enrichi en permanence la terre. Ainsi année après année, la terre devient de plus en plus riche et généreuse.</p>
<p>Le coworking applique ces mêmes logiques.</p>
<blockquote><p>Plus une communauté existe depuis longtemps, plus elle a de valeur.</p></blockquote>
<p>Au delà des coworkers, la communauté peut compter sur les « anciens », sur les connections faites lors des nombreux évènements qu’elle accueille, ainsi que sur des liens plus forts entre personnes car forgés sur le temps long. Ainsi l’espace deviendra de plus en plus efficace à mesure qu’il grandit.</p>
<p><strong>Conclusion :</strong></p>
<p>En somme, coworking et permaculture fonctionnent selon les même logiques. Ils s’adaptent à l’environnement plutôt que de tenter de le plier et de le standardiser. Ils valorisent la diversité et raisonnement en terme de complémentarité et d’écosystème plutôt que de fragmenter les tâches et professions. Ils maximisent l’occurrence des rencontres et des complémentarités. Ils ne tentent pas de tout contrôler mais savent créer les conditions propices à l’épanouissement.</p>
<p>Ce faisant, ils permettent la création de valeur de manière durable et respectueuse du vivant. Les logiques « industrielles » montrent aujourd’hui leurs limites. Elles épuisent les ressources, génèrent bien souvent des externalités négatives et ne sait prendre en compte toute la complexité des logiques du vivant, à la base de l’agriculture et des sociétés humaines.</p>
