title: À propos
url: https://beta.gouv.fr/apropos/
hash_url: 86939b13f2cea3d1ffbaa5b544fe5e45

<h2 id="historique">Historique</h2>

<p>Depuis juin 2013, l’État a expérimenté une nouvelle manière de construire des services publics numériques, d’abord au sein du <a href="https://modernisation.gouv.fr">Secrétariat Général pour la Modernisation de l’Action Publique</a> (SGMAP) en réussissant tout d’abord la refonte de <a href="https://data.gouv.fr">data.gouv.fr</a><sup><a href="#fn1" id="r1">[1]</a></sup>, avant la création en septembre 2015 d’une structure dédiée. Cette structure, l’Incubateur de Services Numériques, est une Mission de la <abbr title="Direction interministérielle du numérique et du système d'information et de communication">DINSIC</abbr>.</p>

<h2 id="principe-fondateur-des-incubateurs-de-services-numériques">Principe fondateur des incubateurs de services numériques</h2>

<p>La complexité administrative s’est bâtie à la fois sur le cloisonnement des guichets et selon un principe de méfiance par défaut. Cette alternance de « vous n’êtes pas au bon guichet » et de « il me faudrait votre fiche d’impôt que l’administration possède déjà » induit beaucoup de frictions avec les usagers. La simplicité qu’exige désormais le numérique appelle de nouvelles règles du jeu.</p>

<h2 id="une-conception-fondée-sur-la-simplicité-et-la-confiance">Une conception fondée sur la simplicité et la confiance</h2>

<p>Agir selon un principe de confiance, cela signifie pouvoir déposer une candidature à un marché public avec simplement son numéro SIRET et recueillir une déclaration sur l’honneur, plutôt qu’exiger des attestations ou une signature numérique compliquée. Cette confiance vis-à-vis des usagers induit de la simplicité.</p>

<p>Tourné vers les agents, ce principe de confiance accélère le décloisonnement en leur offrant les mêmes niveaux d’accès. Il devient par exemple possible d’instruire un dossier de subvention entre collectivités et préfecture, ou un dossier d’aide sociale entre Pôle emploi, la CAF et un Conseil Départemental.</p>

<p>Le design numérique par la confiance, c’est aussi reconnaître la nécessité du contrôle, mais pas à n’importe quel prix : contrôle ex-post des attestations aux seuls candidats retenus, pression sociale sur la réputation, évaluation et signalement par les internautes, audit des accès par les agents publics…</p>

<p>En somme, nous pensons les services d’abord pour l’immense majorité bien intentionnée, et nous nous protégeons des abus par un contrôle a posteriori puissant. Fou ? Pas vraiment : c’est ainsi que sont gérés les communs collaboratifs comme Wikipedia, OpenStreetMap, OpenFoodFacts…</p>

<h2 id="une-startup-détat-nest-pas-une-startup">Une Startup d’État n’est pas une startup</h2>

<p>L’exigence d’innovation radicale impose d’initier une Startup d’État loin de toute contrainte, pour qu’elle ne reproduise pas les règles explicites ou implicites qui fondent le service tel qu’il existe aujourd’hui. Pour autant, elle n’a pas besoin de capital privé. <strong>Une Startup d’État est donc simplement une équipe de 2 à 4 personnes financée par une administration et totalement autonome</strong> pour trouver son marché.</p>

<p>Cette posture iconoclaste induit des changements profonds. Elle impose de s’appuyer sur des utilisateurs volontaires qui vont créer de la conviction autour des premiers bénéfices observés. Corollaire : une Startup d’État ne cherche pas à obtenir un consensus général avant de démarrer, elle cherche un premier usager satisfait.</p>

<h2 id="lincubateur-nest-pas-une-dsi">L’incubateur n’est pas une DSI</h2>

<p>Le cycle de vie d’une Startup d’État se termine par son intégration à coût marginal dans le système d’information d’une administration, après un à trois ans d’incubation. Elle va contribuer à le déformer (méthodes agiles &amp; lean, équipe pluridisciplinaire intégrée, design par la confiance…), mais aussi à l’inverse s’adapter à certaines de ses contraintes (formats standards de données, politique d’achat, standards technologiques…) en accueillant pendant 6 à 12 mois des opérationnels de l’administration cible.</p>

<p><strong>L’incubateur est donc responsable d’un flux de produits numériques et non le dépositaire d’un stock.</strong></p>

<h2 id="nos-résultats">Nos résultats</h2>

<p><a href="/startups">Nos réalisations</a> sont la meilleure illustration de nos pratiques. Un résumé de notre activité annuelle est disponible <a href="/rapportannuel.pdf">au format PDF</a>.</p>

<h2 id="notes">Notes</h2>

<p><span id="fn1"><a href="#r1">[1]</a></span> Pour comprendre plus en profondeur ces origines, un <a href="https://raw.github.com/wiki/betagouv/beta.gouv.fr/files/memoire-azoulay.pdf">mémoire universitaire</a> retrace le contexte de la création de cet incubateur : notamment (pp 53-67) les enjeux et les motivations des choix organisationnels et techniques qui ont présidé à cette refonte.</p>

<blockquote>
  <p>Créer un incubateur de « start-ups d’État » pour impulser une véritable dynamique d’innovation au cœur de l’appareil administratif, contribuant à ce que l’État s’inscrive, bien plus que dans une politique d’open data, dans une politique de gouvernement ouvert. (p. 77)</p>
</blockquote>
