title: Blogging with public drafts
url: https://fvsch.com/articles/public-drafts/
hash_url: c14e13977628f73b6bffba87c3eca568

<p>The <a href="/code/css-locks/">last big article I published</a> took ten days of research and writing. While I’m happy with the result, and have received positive comments, the prospect of writing another one like this is daunting. It was a year and a half ago.</p>
<p>Every article I write starts with a small itch to scratch, and I kinda decide to dedicate a few hours to it at most. And every single time, it takes at least 10 hours of work, and sometimes days. What starts as “I’ll write up this bit of information” ends up as a full guide with context and examples. I run a bunch of Google (or, lately, DuckDuckGo) searches to check if an English or French phrase does exist and means what I think it means (not always). I have a bunch of drafts that I’ve worked on for 5 or 10 hours, and that would need at least as much time to get out of the door.</p>
<p>It gets hard to just write some words and publish. Doubt creeps in. Does this even make sense? Who will want to read about that anyway? Hasn’t this topic been beaten to death already?</p>
<p>I’ve wanted to make the whole mental process easier for a long time, so here are a few steps I took already:</p>
<ol>
<li>Scratched my old, carefully wrought design. Hello black-on-white Georgia, you look like a nice notepad to me.</li>
<li>Installed an editing interface, so I could work online and not on the command line (which, in practice, meant working on my own computer).</li>
</ol>
<p>On top of that, I’d like to propose something a bit different for people who want to blog more: <strong>publish the damn draft</strong>. Finish, edit, rewrite or refine later.</p>
<p>I understand why print publications need cleaned-up stuff. And if I’m paying for articles, in print or not, I’d like them to be intelligent and edited. But the free blogging we do, who said it had to observe the same standards?</p>
<p>Talking to other ordinary bloggers (aka people who blog once in a full moon or less), it sounds like we’re holding ourselves to the unrealistic standard of published authors <em>who often work with an editor</em>. We try to be our own editor, but without any actual editorial review we end up doubting our words and our intent.</p>
<p>So here’s the trick I’d like to try: publish unfinished drafts. I mean drafts where you haven’t even reached the end of your thoughts or message. Get it out, tweet or signal-boost it maybe, and finish tomorrow or next weekend.</p>
<p>Just add a banner which says “hey, this is a draft and might not be complete yet; I hope to finish this article in the next days, but do go on reading”.</p>
