title: The Weight of the WWWorld is Up to Us by Patty Toland
url: https://adactio.com/journal/15740
hash_url: c6e4ebb566c5d74a7e0d340a8771165c

<p>It’s Patty Toland’s first time at <a href="https://aneventapart.com/event/chicago-2019">An Event Apart</a>! She’s from the fantabulous <a href="https://www.filamentgroup.com/">Filament Group</a>. They’re dedicated to making the web work for everyone.</p>

<p>A few years ago, a good friend of Patty’s had a medical diagnosis that required everyone to pull together. Another friend shared an article about how not to say the wrong thing. This is <a href="https://www.psychologytoday.com/us/blog/promoting-hope-preventing-suicide/201705/ring-theory-helps-us-bring-comfort-in">ring theory</a>. In a moment of crisis, the person involved is in the centre. You need to understand where you are in this ring structure, and only ever help and comfort <em>inwards</em> and dump concerns and problems <em>outwards</em>.</p>

<p>At the same time, Patty spent time with her family at the beach. Everyone reads the same books together. There was a book about a platoon leader in Vietnam. 80% of the story was literally a litany of stuff—what everyone was carrying. This was peppered with the psychic and emotional loads that they were carrying.</p>

<p>A month later there was a lot of coverage of Syrian refugees arriving in Europe. People were outraged to see refugees carrying smartphones as though that somehow showed they weren’t in a desperate situation. But smartphones are absolutely a necessity in that situation, and most of the phones were less expensive, lower-end devices. Refugeeinfo.eu was a useful site for people in crisis, but the navigation was designed to require JavaScript.</p>

<p>When people thing about mobile, they think about freedom and mobility. But with that JavaScript decision, the developers piled baggage on to the users.</p>

<p>There was a common assertion that slow networks were a third-world challenge. Remember Facebook’s network challenges? They always talked about new markets in India and Africa. The implication is that this isn’t <em>our</em> problem in, say, Omaha or New York.</p>

<p>Pew Research provided a lot of data back then that showed that this thinking was wrong. Use of cell phones, especially smartphones and tablets, escalated dramatically in the United States. There was a trend towards mobile-only usage. This was in low-income households—about one third of the population. Among 5,400 panelists, 15% did not have a JavaScript-enabled device.</p>

<p>Pew Research provided updated data this year. The research shows an increase in those trends. Half of the population access the web primarily on mobile. The cost of a broadband subscription is too expensive for many people. Sometimes broadband access simply isn’t available.</p>

<p>There’s a term called “the homework gap.” Two thirds of teachers assign broadband-dependent homework, while one third of students have no access to broadband.</p>

<p>At most 37% of people have unlimited data. Most people run out of data on a frequent basis.</p>

<p>Speed also varies wildly. 4G doesn’t really mean anything. The data is all over the place.</p>

<p>This shows that network issues are definitely not just a third world challenge.</p>

<p>On the 25th anniversary of the web, Tim Berners-Lee said the web’s potential was only just beginning to be glimpsed. Everyone has a role to play to ensure that the web serves all of humanity. In his contract for the web, Tim outlined what governments, companies, and users need to do. This reminded Patty of ring theory. The user is at the centre. Designers and developers are in the next circle out. Then there’s the circle of companies. Then there are platforms, browsers, and frameworks. Finally there’s the outer circle of governments.</p>

<p>Are we helping in or dumping in? If you look at the data for the average web page size (2 megabytes), we are definitely dumping in. The size of third-party JavaScript has octupled.</p>

<p>There’s no way for a user to know before clicking a link how big and bloated the page is going to be. Even if they abandon the page load, they’ve still used (and wasted) a lot of data.</p>

<p>Third party scripts—like ads—are really bad at dumping in (to use the ring theory model). The <em>best</em> practices for ads suggest that up to 100 additional HTTP requests is totally acceptable. Unbelievable! It doesn’t matter how performant you’ve made a site when this crap gets piled on top of it.</p>

<p>In 2018, the internet’s data centres alone may already have had the same carbon footprint as all global air travel. This will probably triple in the next seven years. The amount of carbon it takes to train a single AI algorithm is more than the entire life cycle of a car. Then there’s fucking Bitcoin. A single Bitcoin transaction could power 21 US households. It is <em>designed</em> to use—specifically, waste—more and more energy over time.</p>

<p>What should we be doing?</p>

<p>Accessibility should be at the heart of what we build. Plan, test, educate, and advocate. If advocacy doesn’t work, fear can be a motivator. There’s an increase in accessibility lawsuits.</p>

<p>Our websites should be as light as possible. Ask, measure, monitor, and optimise. <a href="http://requestmap.webperf.tools/">RequestMap</a> is a great tool for visualising requests. You can see the size and scale of third-party requests. You can also see when images are far, far bigger than they need to be.</p>

<p>Take a critical guide to everything and pare everything down. Set perforance budgets—file size budgets, for example. Optimise images, subset custom fonts, lazyload images and videos, get third-party tools out of the critical path (or out completely), and seek out lighter frameworks.</p>

<p>Test on real devices that real people are using. See Alex Russell’s data on the differences between the kind of devices <em>we</em> use and typical low-end devices. We literally need to stop people in JavaScript.</p>

<p>Push the boundaries. See the amazing work that Adrian Holovaty did with Soundslice. He had to make on-the-fly sheet music generation work on old iPads that musicians like to use. He recommends keeping old devices around to see how poorly your product is working on it.</p>

<blockquote>
  <p>If you have some power, then your job is to empower somebody else.</p>
</blockquote>

<p>—Toni Morrison</p>
