title: Weeknote 18 - Uncertainty and Discomfort
url: https://www.baldurbjarnason.com/weeknote-18/
hash_url: c7691fa8cf87c52384df1f7a89512680

<p>Idle thoughts on the consequences of success.</p>

<h2 id="work">Work</h2>

<p>I’ve often referred to my current project at work here in these weeknotes. I’ve generally avoided naming it or giving any detail because IMO it still isn’t ready for the full promotional push. Which will hopefully happen November-ish.</p>

<p>In broad strokes, the idea we had over three years ago was to create an alternative approach to digital reading, one that embraced the web, was delivered on the web as a progressive web app, and tried to address use cases that aren’t being covered that well by existing solutions, closed or open.</p>

<p>By going all-in on progressive web apps we could circumvent the native app platforms which have a deserved reputation for being closed silos that aren’t particularly friendly to open source and open communities.</p>

<p>Our research showed that academia, in particular, isn’t particularly well served by existing solutions and is more or less stuck using PDFs.</p>

<p>Others agreed, so we got funding to build a progressive web app with the goal of selling it as a service that university libraries could offer to students and staff alike.</p>

<p>The fact that we’re likely to fail has never worried me much. Trying deliberately to create something new that works differently from the norm is always risky—in addition to a healthy dollop of implementation risk you are also likely to start off much much lower on the <a href="https://en.wikipedia.org/wiki/Technology_adoption_life_cycle">adoption curve</a> than your competitors.</p>

<p>Basically, we’ve picked a task that’s both implicitly harder to do and is less likely to be broadly accepted than many other approaches to similar problems.</p>

<p>Which, honestly, makes the job all the more interesting. Even if we fail, there’s a decent chance that others will find value in what we do. Some of our crazy ideas will be revealed to be obviously crazy so others will know not to bother. Some of them might turn out to be practical enough to be copied by other projects. Some of them will inevitably be half-baked but interesting enough for others to take on and fully bake.</p>

<p>Because it’s a research project that’s making an open source web app, failure is still valuable and worthwhile. Unlike the work of most closed source start-ups, ours won’t be flushed down the toilet if we run out funding.</p>

<p>So, failure? Not that scary, even if it would mean having to search for a new job.</p>

<p>Which means that it’s all upside, right? Failure being the worst case scenario, right?</p>

<p>That’s the weird part. Because of how much the academic and tech landscape has changed over the past three years, there’s actually a lot <em>more</em> uncertainty in success than in failure. (Which is obvious when you think about it, there aren’t any error bars when the result is a zero. But I digress.)</p>

<ul>
<li>The relationship between academic libraries and other university institutions and many Software-as-a-Service providers have gone from contentious but cordial to almost openly hostile.</li>
<li>It’s become clearer and clearer that it’s extremely hard to deliver a Software-as-a-Service business that preserves and protects the user’s privacy.</li>
<li>Students, especially, often aren’t in the position to deny consent to privacy-invasive services that have been bought by their teaching institutions.</li>
<li>Any given SaaS, if successful, has very strong business incentives to become privacy-invasive in the long run.</li>
<li>Your reading is <em>extremely</em> sensitive private information and changing political circumstances have only made reading data more sensitive. It’s easy to imagine a university expelling a student just for the act of reading ‘The Anarchist Cookbook’ in a university-provided reading app.</li>
<li>‘Open’ in particular has turned out to be a little bit too morally neutral as a general approach—often all too easily leveraged by unethical and manipulative corporations.</li>
<li>And it turns out Apple, at least, had a good point about the value of locking down the platform somewhat, letting it provide its users with more privacy guarantees than a progressive web app can realistically deliver. Even a die hard web nut like me has to admit that they might be on to something.</li>
</ul>

<p>If, in a year’s time, we are substantially successful and our web app has been adopted by numerous libraries and academic institutions, that puts us in a very uncertain situation. We will need to have a clear idea about how to protect readers both from us and from the institutions that will be paying us. We’re likely to have every incentive not to and the institutions that will be our clients are likely to be <em>very</em> opposed to the idea that students and staff need to be protected from them. We’ll likely be under pressure to ‘tone down’ the app to make it more broadly accessible. Finally, odds are that we will have to build native apps <em>anyway</em>. Not because they provide a better experience but because many institutions actually like the control that closed native app platforms provide.</p>

<p>Success, for any project, always requires a shift from fast-paced experimentation to a more conservative focus on stability and integrations. Which is interesting in its own right. It could be fun. The privacy and power dynamics involved with selling a SaaS to universities while serving a very vulnerable student population, however, are very worrying.</p>

<p>You could say that if universities are going to buy into a SaaS, you’d want it to be one run exactly by people who are uncomfortable with the burden and who actively worry about the power they’ve been given.</p>

<p>Possibly true. Still stressful. And power has a way of corrupting those that get it.</p>

<h2 id="books">Books</h2>

<p>I’ve been reading a <em>lot</em> of comics over the past few days:</p>

<p>Read two-thirds of Warren Ellis’s <em>The Wild Storm</em> which looks pretty good so far and honestly owes more to cyberpunk sci-fi than it does to the superhero genre. Which is good because the superhero genre is getting a bit tired.</p>

<p>Read a few Gaston LaGaffe albums, in both Icelandic and French. I’m struggling somewhat with the French but having the Icelandic versions when possible helps a lot.</p>

<p>Read three books in Schuiten and Peeter’s <em>The Obscure Cities</em> series. All are technically excellent and marvellously structured. <em>Samaris</em> is enticing and weird—intentionally confusing in an entertaining way. <em>The Leaning Girl</em> is an technical marvel that’s full of references to Jules Verne and the like. But it’s also a work that is totally ruined by the entire story building up to a scene where a middle-aged author stand-in has sex with the teenage girl protagonist.</p>

<p>Ick.</p>

<p>I mean, really? That’s what you were building up to this entire time? That’s the big climax? It turned a potentially interesting, if overly intertextual and partially overwrought story into a self-indulgent piece of incoherent nonsense.</p>

<p>I almost didn’t read <em>The Theory of The Grain of Sand</em> as a result, but that turned out to be much, much better. Thoroughly indecipherable and weird in an extremely entertaining way.</p>

<p>None of these three books are for those who prefer their stories to have coherent plots and <em>The Leaning Girl</em> is <strong>definitely</strong> not for anybody who’s had their fill of self-indulgent middle-aged men writing wish-fulfilment fantasies about bedding teenage girls. But if you like brilliantly illustrated weird stories, <em>Samaris</em> and <em>The Theory of The Grain of Sand</em> are a lot of fun.</p>

<h2 id="photography">Photography</h2>

<p>I’ve been digging through my archives to find old photos and came across a few that were quite tolerable, despite being a few years old and, in many cases shot on an iPhone 6 Plus.</p>

<p class="FullWidth"><img src="https://www.baldurbjarnason.com/images/weeknote-18/clifton-down-adb88a5d80c5ca75.jpg" alt="Heading into the light at the Clifton Down park in Bristol"/></p>

<p class="FullWidth"><img src="https://www.baldurbjarnason.com/images/weeknote-18/tourists-DSCF2941.jpeg" alt="A silhouette of a group of tourists in Iceland"/></p>

<p class="FullWidth"><img src="https://www.baldurbjarnason.com/images/weeknote-18/snæfellsjökull-6dd8e30ddc8c0653.jpeg" alt="Heading up the Snæfellsjökull peak"/></p>

<p class="FullWidth"><img src="https://www.baldurbjarnason.com/images/weeknote-18/snæfellsjökull-03a333f6e2b8c75f.jpeg" alt="Heading down the Snæfellsjökull peak"/></p>

<p>These last two are interesting as they are taken at the peak of the glacier that you can see on the horizon in this picture I posted a couple of weeks ago.</p>

<p class="FullWidth"><img src="https://www.baldurbjarnason.com/images/weeknote-16/DSCF2856.jpg" alt="Snæfellsjökull visible by Garðsviti"/></p>
