title: Web design is dead
url: http://mashable.com/2015/07/06/why-web-design-dead/
hash_url: cfea7986147a83150a85fb636d396a99

<p>Web design is (finally!) dying of irrelevance. Web pages themselves are no longer the center of the Internet experience, which is why designers need to move on to the next challenges — products and ecosystems — if they want to stay relevant.</p>
<p>Web design has no future — a risky statement I know, but this article explains why it has no future and what we, as designers, can do about it. As a discipline, web design has already exhausted its possibilities, an emerging combination of tech and cultural trends highlight the need for a broader approach.</p>
<p>Let's start with the symptoms of this imminent death.</p>
<h3>Symptom 1: Commoditization by templates</h3>
<p>Most of the content that you see on the web today is run by some framework or service — WordPress, Blogger, Drupal, you name it. Frameworks provide you a foundation and shortcuts so you spend less time struggling with the creation of a web site, and more time creating content.</p>
<p>As a consequence of the ubiquity of these frameworks, a whole world of free and paid templates lets you get started with a professional-looking design in minutes. Why hire a web designer if you can achieve a fairly acceptable design for a fraction of the cost using a template? Actually, many web designers (especially the ones on the cheaper side) just pick a pre-made template and make some minor branding customizations.</p>
<p>Either way, if your web page is a standard, informational one, there's probably a template out there that can do the job for you.</p>
<h3>Symptom 2: Web design patterns are mature</h3>
<p>What is the latest web design innovation you can point a finger on? Responsive design? That's digital ages old. Parallax? Useless eye-candy. The web has had all the <a href="http://uxmag.com/topics/interface-and-navigation-design" target="_blank" class="topics-tag">user interface components</a> and patterns you might need for a while now (and no, parallax is not something we really ever needed). And that's why you don't see much innovation in web patterns as of late.</p>
<p>This maturity is good for users: they will find consistency in their daily use of the web. Checkout forms, shopping carts, and login pages should all behave in a similar way. Trying to get creative at this point will probably be pointless or even harmful.</p>
<h3>Symptom 3: Automation and artificial intelligence are already doing the job</h3>
<p>There's a new trend of automated web design services, arguably started by <a href="https://thegrid.io/" target="_blank">The Grid</a>. It's a service to build basic websites which makes design decisions — semantic ones — based on artificial intelligence. It analyzes your content to detect the best layouts, colors, fonts, and extra imagery for your site. Using cleverly chosen design basics (made by humans) as the foundation, it's hard to go wrong with it, and the result will probably be better than what an average web designer can do.</p>
<p>When something can be successfully automated, it means that its practices and standards are established enough as not to need much human input.  And this is obviously the beginning. There will be a fierce competition about which service can deliver better designs, faster, and with less human intervention.</p>
<h3>Symptom 4: Facebook pages as the new small-business homepage</h3>
<p>In the late 1990's, future-minded businesses would buy their .com's, purchase expensive hosting plans, and hire a "web master" in order to have The Web Page, the one that would make them visible to the rest of the Internet. By 2005, creating a site in Blogger or WordPress.com was more than enough for your new wedding photo business (it was also quick and free).</p>
<p>Today, this function has been completely overridden by <a href="http://uxmag.com/topics/facebook" target="_blank" class="topics-tag">Facebook</a> pages. They are free, made to be viral out of the box, offer powerful tools only available to big businesses a decade ago (like subscription for updates or media posting), and are as easy to set up as your own profile page. They are so efficient in making a business visible that they are rendering basic web pages useless.</p>
<h3>Symptom 5: Mobile is killing the web</h3>
<p>How often do you visit a web site from your <a href="http://uxmag.com/topics/mobile-technology" target="_blank" class="topics-tag">mobile device</a> by directly typing the address? Only when you don't have the app, right? People don't seem to think much in terms of web pages these days: they think of digital brands, which mostly translate to apps or subscriptions (likes, follows, etc). That's why most big websites, blogs, and portals are pushing their mobile apps to you — out of home screen, out of mind.</p>
<p><span class="microcontent" data-fragment="mobile-web-has-always" data-description="Mobile web has always been slow and cumbersome." data-url="http://mashable.com/2015/07/06/why-web-design-dead/" data-micro="1">Mobile web has always been slow and cumbersome.</span> Typing addresses is weird. Navigating between tabs is weird. Our underpowered mobile devices and saturated data networks don't help create a smooth web experience like the one we have in our desktop machines.</p>
<p>As vital as responsive web design is (not adopting it is commiting digital suicide), it only guarantees that your user can view your page in a mobile device, if she ever finds it in first place. And the limited space in her mind is already mostly occupied by apps.</p>
<h3>The rise of web services and the content that finds you</h3>
<p>The truth is, we need fewer web pages, not more of them. There are already too many competing for our attention and assuming selfishly that we have all the time in the world to close pop-up ads, explore navigational hierarchies, and be dazzled by transitions, intros, and effects.</p>
<p>But what really matters is not how you arrange things on a page: it's the content, in terms of a specific user need.  That's why Google is starting to display actual content in some search results, without you having to visit another page. Just an example: if you Google a nearby restaurant from your mobile device, the search results include a button to directly call the place. You don't even need to visit the page. The page designer's ego and the visits-counter may suffer a bit, but ultimately the user experience is improved.</p>
<p>Things are moving in the direction of digital assistants like Siri, and especially Google Now with the new changes announced for Android M: they aim to provide you the exact bit of information you need, when you need it.  This implies a shift from web pages to web services: self-sufficient bits of information that can be combined to other services to deliver value.  So if you are looking for a restaurant, you get the reviews from Foursquare or Yelp, the directions from Google Maps and the traffic conditions from Waze.</p>
<p>Even more: <span class="microcontent" data-fragment="we-are-transitioning-to" data-description="we are transitioning to a push-based model of content consumption" data-url="http://mashable.com/2015/07/06/why-web-design-dead/" data-micro="1">we are transitioning to a push-based model of content consumption</span>, where the right information arrives without you even requesting it. Google Now, for instance, warns you of how early you should depart in order to arrive on time to your meeting. All of this is already happening thanks to APIs — interfaces that let other services interact with your data.  In this world, web pages are not required at all. </p>
<p>This is not to say that web pages will die — they will be around for a long time, because they are  — and will continue to be —  useful for certain purposes.  But there's nothing interesting there for designers anymore. They are a commodity and a medium, no longer the default state for digital products and businesses. </p>
<p>Web pages are static content that need to be found and visited (pull-based). But in the emerging push-based paradigm, the content finds you. Through data obtained from your context, your activity, and even your biometrics, content and tools will smartly present themselves to you when you are most likely to need them.</p>
<p>That's the big thing about the new breed of smartwatches: they obtain data from your body and show you proactively tiny bits of information for your brain to chew on.  Computer technology is already making big steps in order to dissapear from your sight. </p>
<p>Where does this leave us?</p>
<h3>Web design is dead, long live UX design</h3>
<p>Here's the good news: designers are really far from being obsolete. Quite to the contrary, you can see that the demand for UX designers is still on the rise, and everyone seems to be redesigning their digital products these days.</p>
<p><span class="microcontent" data-fragment="this-switch-from-web" data-description="This switch from web design to experience design is directly caused by the shift from web pages to digital products, tools, and ecosystems." data-url="http://mashable.com/2015/07/06/why-web-design-dead/" data-micro="1">This switch from web design to experience design is directly caused by the shift from web pages to digital products, tools, and ecosystems.</span> Web pages are just part of something much bigger: mobile apps, API's, social media presence, search engine optimization, customer service channels, and physical locations all inform the experience a user has with a brand, product, or service. Pretending that you can run a business or deliver value just by taking care of the web channel is naïve at best and harmful at worst.</p>
<p>And all these touch points need to be designed, planned, and managed.  This is a job that will continue to exist, regardless of the channel. We will still need cohesive experiences and valuable content across smart climatizers, virtual reality devices, electronic contact lenses, and whatever we invent in the decades to come.</p>
<p>In fact, as technology fades into the background, all we can see is the value transmitted by it.  The designers who want to stay in business need to be experts in managing content and value across channels. </p>
<p>It's time for us to grow up, because we have been part of the problem:  We have helped to give birth to self-righteous web pages that assume they deserve to be watched and awarded just for the time we invested in crafting them.  Now more than ever, in a world flooded with cognitive noise, the world needs simple, intelligent, integrated ecosystems of information. The sooner designers embrace this need, the better prepared we'll be for the future.</p>
