title: Frustration
url: https://adactio.com/journal/13893
hash_url: e284f4f1b8a684cc7c3211d60e8da481

<p>I had some problems with my bouzouki recently. Now, I know my bouzouki pretty well. I can navigate the strings and frets to make music. But this was a problem with the pickup under the saddle of the bouzouki’s bridge. So it wasn’t so much a musical problem as it was an electronics problem. I know nothing about electronics.</p>

<p>I found it incredibly frustrating. Not only did I have no idea how to fix the problem, but I also had no idea of the scope of the problem. Would it take five minutes or five days? Who knows? Not me.</p>

<p>My solution to a problem like this is to pay someone else to fix it. Even then I have to go through the process of having the problem explained to me by someone who understands and cares about electronics much more than me. I nod my head and try my best to look like I’m taking it all in, even though the truth is I have no particular desire to get to grips with the inner workings of pickups—I just want to make some music.</p>

<p>That feeling of frustration I get from having wiring issues with a musical instrument is the same feeling I get whenever something goes awry with my web server. I know just enough about servers to be dangerous. When something goes wrong, I feel very out of my depth, and again, I have no idea how long it will take the fix the problem: minutes, hours, days, or weeks.</p>

<p>I had a very bad day yesterday. I wanted to make a small change to the <a href="https://clearleft.com/">Clearleft</a> website—one extra line of CSS. But <a href="https://clearleft.com/posts/the-living-component-library">the build process for the website</a> is quite convoluted (and clever), automatically pulling in components from <a href="http://fractal.clearleft.com/">the site’s pattern library</a>. Something somewhere in the pipeline went wrong—I still haven’t figured out what—and for a while there, the Clearleft website was down, thanks to me. (Luckily for me, <a href="https://clearleft.com/team/danielle-huntrods">Danielle</a> saved the day …again. I’d be lost without her.)</p>

<p>I was feeling pretty down after that stressful day. I felt like an idiot for not knowing or understanding the wiring beneath the site.</p>

<p>But, on the other hand, considering I was only trying to edit a little bit of CSS, maybe the problem didn’t lie <em>entirely</em> with me.</p>

<p>There’s a principle <a href="https://en.wikipedia.org/wiki/Rule_of_least_power">underlying the architecture of the World Wide Web</a> called <a href="https://en.wikipedia.org/wiki/Rule_of_least_power">The Rule of Least Power</a>. It somewhat counterintuitively states that you should:</p>

<blockquote>
  <p>choose the <em>least</em> powerful language suitable for a given purpose.</p>
</blockquote>

<p>Perhaps, given the relative simplicity of the task I was trying to accomplish, the plumbing was over-engineered. That complexity wouldn’t matter if I could circumvent it, but without the build process, there’s no way to change the markup, CSS, or JavaScript for the site.</p>

<p>Still, <em>most</em> of the time, the build process isn’t a hindrance, it’s a help: concatenation, minification, linting and all that good stuff. Most of my frustration when something in the wiring goes wrong is because of how it makes me <em>feel</em> …just like with the pickup in my bouzouki, or the server powering my website. It’s not just that I find this stuff hard, but that I also feel like it’s stuff I’m <em>supposed</em> to know, rather than stuff I <em>want</em> to know.</p>

<p>On that note…</p>

<p>Last week, Paul wrote about <a href="https://paulrobertlloyd.com/2018/05/javascript">getting to grips with JavaScript</a>. On the very same day, Brad wrote about <a href="http://bradfrost.com/blog/post/my-struggle-to-learn-react/">his struggle to learn React</a>.</p>

<p>I think it’s really, really, <em>really</em> great when people share their frustrations and struggles like this. It’s very reassuring for anyone else out there who’s feeling similarly frustrated who’s worried that the problem lies with them. Also, this kind of confessional feedback is absolute gold dust for anyone looking to write explanations or documentation for JavaScript or React while battling <a href="https://adactio.com/journal/13521">the curse of knowledge</a>. As Paul says:</p>

<blockquote>
  <p>The challenge now is to remember the pain and anguish I endured, and bare that in mind when helping others find their own path through the knotted weeds of JavaScript.</p>
</blockquote>
