title: The great challenge of the 21st century is learning to consume less. This is how we can do it
url: https://medium.com/world-economic-forum/the-great-challenge-of-the-21st-century-is-learning-to-consume-less-this-is-how-we-can-do-it-ae82b4cc1d78
hash_url: 02fabe23e3fc45303b659417eaf6ddad

<div class="section-inner sectionLayout--insetColumn"><p name="9b92" id="9b92" class="graf graf--p graf--leading">Ecological collapse is hard to miss in the headlines. From deforestation to soil depletion, species extinction to climate change, the past few years have brought countless troubling reports. We are living in the age of the Anthropocene, and we’re reminded on a daily basis of our uncertain future on an unstable planet.</p><p name="6531" id="6531" class="graf graf--p graf-after--p">Whenever I give public talks, there is always someone who sticks their hand in the air and tells me that really, it all comes down to overpopulation. They are almost always a white man, and their argument generally comes with a helping of racism. People in poor countries just have too many babies, and they need to get it under control. They’re ruining everything for the rest of us.</p><p name="0d52" id="0d52" class="graf graf--p graf-after--p">What astounds me about this position is that it gets it completely backward. We do have a population problem, it’s true. But it has nothing to do with poor countries. The real problem is that there are too many rich people.</p><h3 name="782a" id="782a" class="graf graf--h3 graf-after--p">Unbalanced consumption</h3><p name="6d1c" id="6d1c" class="graf graf--p graf-after--h3">There’s an easy way to show this. In recent years, scientists have published estimates of the world’s total consumption of material stuff, including everything from fish to livestock, minerals to metals, forests to fossil fuels. It comes to more than 80 billion tons of stuff per year. A sustainable level of consumption is about 50 billion tons per year, scientists believe. We are overshooting the mark by 60%.</p><p name="c0b6" id="c0b6" class="graf graf--p graf-after--p">This means we are eating away at the web of life on which we all depend for our survival. This might sound impossibly abstract, but we can see the consequences around us. Fish stocks are collapsing. Pollinators are dying off. Agricultural topsoils are turning to dust. Huge swathes of coastal ocean have become dead zones.</p><p name="cc3d" id="cc3d" class="graf graf--p graf-after--p">However, material consumption is not evenly distributed across the human population. People in rich nations consume vastly more than their counterparts in the rest of the world, according to <a href="http://www.worldmrio.com/" data-href="http://www.worldmrio.com/" class="markup--anchor markup--p-anchor" rel="nofollow noopener" target="_blank">the most recent data</a>. The average resident of the average high-income country burns through 28 tons of stuff every year. By contrast, people in low-income countries use less than two tons every year. Indians consume 3.6 tons. People in upper-middle-income countries such as China and Brazil consume about 12 tons. That’s right on the world average, and less than half the amount consumed by their counterparts in nations such as Britain and the US.</p><figure name="eabc" id="eabc" class="graf graf--figure graf-after--p"/><p name="1e52" id="1e52" class="graf graf--p graf-after--figure">If everybody in the world consumed as much as the average person in the average high-income country, we would need 3.8 Earths to sustain us. By contrast, if everyone consumed as much as the average person in the rest of the world, we would sit right at the level of sustainability, with a little breathing room.</p><p name="4581" id="4581" class="graf graf--p graf-after--p">If we want to know who is to blame for our ecological crisis, the data are clear. Since 1990, annual global consumption has increased by a whopping 33 billion tons, pushing us deep into the emergency zone. Growth in the per capita consumption of rich countries accounts for 81% of this. In other words, almost all of our overshoot is driven by the global rich.</p><h3 name="3366" id="3366" class="graf graf--h3 graf-after--p">Not every human is causing the crisis</h3><p name="449d" id="449d" class="graf graf--p graf-after--h3">This is the problem with the language of the Anthropocene. The word itself leads us to assume that humans, in some abstract, generic form, are destabilizing our planetary biome. If that’s your starting point, then of course you are going to worry about population growth in the Global South. But there are no generic humans in the world. People live in different kinds of societies, with different values, histories and economic systems. It’s not humans <em class="markup--em markup--p-em">per se</em> who are causing our crisis, it’s a particular subset of humans. It’s those who live in societies — mostly in North America and Western Europe — that see material consumption as a paramount virtue, and who insist that their economies deliver more of it each year, on an exponential curve, regardless of the consequences.</p><p name="4f49" id="4f49" class="graf graf--p graf-after--p"><strong class="markup--strong markup--p-strong">Have you read?</strong></p><p name="2a23" id="2a23" class="graf graf--p graf-after--li">If we are going to have a decent shot of surviving the Anthropocene, rich countries will have to scale down their consumption, and fast. This may sound scary. People worry that cutting consumption by 75% — the amount needed for rich countries to operate at the safe boundary — means poverty and misery. But it doesn’t have to be so. We have been told that high levels of consumption are necessary for high levels of human development, but it’s simply not true.</p><p name="d875" id="d875" class="graf graf--p graf-after--p">Consider Costa Rica, for example. Costa Rica’s per capita consumption is just over the sustainable level, yet they have some of the highest human development indicators in the world. Costa Ricans can expect to live longer than Americans, and with a level of well-being and life satisfaction that rivals even Scandinavian countries. In this sense, Costa Rica is one of the most efficient economies on Earth: it delivers high levels of human well-being with relatively little ecological pressure. We have been thinking about development all wrong. We have been holding countries such as the US and Sweden up as our goal, when we should have been paying attention to those such as Costa Rica.</p><h3 name="d4b8" id="d4b8" class="graf graf--h3 graf-after--p">How do we get there?</h3><p name="6e0e" id="6e0e" class="graf graf--p graf-after--h3">The first step is to introduce caps on resource consumption, ideally by an international treaty, much as we have done for carbon emissions. This would change prices to reflect the true cost of resource use. We could enforce the caps with fines for overconsumption.</p><p name="2243" id="2243" class="graf graf--p graf-after--p">The second step would be to introduce new indicators of progress. This would mean switching from GDP to a more balanced measure such as the Genuine Progress Indicator (GPI), which accounts for figures such as pollution and natural asset depletion. Focusing on GPI would help us maximize social goods while minimizing ecological bads.</p><p name="7565" id="7565" class="graf graf--p graf-after--p">Let’s not kid ourselves. This is going to require a radical paradigm shift. Right now, our primary economic goal is growth, growth, growth. This objective may have made sense in the early 20th century, but it’s no longer fit for purpose, especially for rich countries. It’s time to evolve towards a different kind of economy, focused on achieving well-being for all within the limits of our planet’s ecology. This is the challenge of the 21st century. We are the generation that has to make it happen.</p><p name="f4c3" id="f4c3" class="graf graf--p graf-after--p"><strong class="markup--strong markup--p-strong"><em class="markup--em markup--p-em">The Divide</em> by Jason Hickel is published in paperback by Windmill on 17 May, priced £9.99</strong></p><p name="c845" id="c845" class="graf graf--p graf-after--p"><strong class="markup--strong markup--p-strong">Have you read?</strong></p></div>