title: Why the Luddites Matter
url: https://librarianshipwreck.wordpress.com/2018/01/18/why-the-luddites-matter/
hash_url: 5fe80f554500939836cd94620723570d

<blockquote><p>Chant no more your old rhymes about bold Robin Hood,</p>
<p>His feats I but little admire</p>
<p>I will sing the achievements of General Ludd</p>
<p>Now the Hero of Nottinghamshire</p>
<p><em>– General Ludd’s Triumph, </em><a href="#_edn1" name="_ednref1">[1]</a></p></blockquote>
<p>Colloquialisms have a remarkable way of convincing their users that they have done their homework. All that is needed is a spoonful of vaguely historically adjacent meaning to be stirred in with the waters of repeat usage, and suddenly a speaker feels confident that they understand the capital “t” truth behind a term or idea. After all, the thinking goes, if this usage of this term isn’t historically accurate, then why has this term become used in this way? Why indeed. But if you are going to use a term because of the evocative historic meaning you think is bound up in it, you probably want to make sure that you’re getting your history right.</p>
<p>Which brings us to the Luddites.</p>
<p>It is undeniable that the term Luddite has become fairly common shorthand in much of the English speaking world. As it is commonly deployed in regular discourse the term has come to be an easy descriptor for someone who “hates technology,” someone who is “afraid of technology,” or someone who is simply “bad with technology.” Depending on its specific usage, Luddite is can either be used as an expression of comical self-deprecation, or it is thrown about as an insult. Lurking somewhere in the background of most people’s usage of the term is just enough historical knowledge to get partial credit on a history test: the Luddites were some people long ago in England who smashed some machines. Onto this basic foundation, other things wind up getting thrown in as well: the Luddites hated technology, the Luddites hated progress, if the Luddites won we’d be living in caves, the Luddites were illiterate idiots, and so forth. As the historian E.P. Thompson aptly observed before laying waste to the historical basis of this belief, “Luddism lingers in the popular mind as an uncouth, spontaneous affair of illiterate handworkers, blindly resisting machinery.”<a href="#_edn2" name="_ednref2">[2]</a> For a society awash in smartphones, in love with the Internet, and with its hopes for a better future pinned on Silicon Valley – the Luddites appear as the perfect bogeymen. The specter of the Luddites makes it easy to disparage anyone who dares speak out against anything technological by painting them as fools pining for the past who really just want everyone to go live in caves in the woods.</p>
<p>Of course, much of this popular imaginary of the historic Luddites is dead wrong. When the term Luddite is swung about carelessly it smashes any sense of historical nuance, and supplants contemporary values and ideologies for those actually held by the Luddites. Used as a colloquial epithet, Luddite is a powerful method for cutting off critical thinking.</p>
<p>Yet, to put it directly, why does it matter how we talk about the Luddites?</p>
<p>Because when we talk about the Luddites, we aren’t talking about the real Luddites, we’re talking about ourselves. And so we should be very careful about the values that are being snuck into the way we talk.</p>
<p>So, who were the real Luddites?</p>
<p>The historic Luddites were skilled craft workers laboring in England in the early 19th century, and they were amongst the first groups to see their jobs and lifestyles fall victim to mechanization; their opposition to “obnoxious” machinery was in keeping with their view that the imposition of these machines would bring “a sad end to an honourable craft.”<a href="#_edn3" name="_ednref3">[3]</a> The turn to machine-breaking, the tactic for which they are remembered, was not a “spontaneous affair” but came only after the workers appeals to parliament to protect their “honourable craft” were ignored.<a href="#_edn4" name="_ednref4">[4]</a> The Luddites took up arms but they did so with support of their communities,<a href="#_edn5" name="_ednref5">[5]</a> and they rose up out of a sense that they were protecting rights that had been established by “Custom and Law.”<a href="#_edn6" name="_ednref6">[6]</a> The actions of the Luddites took on a variety of forms, not solely limited to machine-breaking, that are best captured by Eric Hobsbawm’s description of them as: “collective bargaining by riot.”<a href="#_edn7" name="_ednref7">[7]</a> The assaults on machines were not simply about “blindly resisting machinery,” rather the Luddites chose the sites of their ire based on how the new machines were being set to action in those particular factories. The Luddites picked their targets carefully as they waged their campaign, the frames they targeted for breaking were those that belonged to employers who had used these new machines as an excuse to lower worker’s wages,<a href="#_edn8" name="_ednref8">[8]</a> and this was a trend seen across the areas where the Luddites rose .<a href="#_edn9" name="_ednref9">[9]</a></p>
<p>Eventually the Luddites were suppressed, violently at that. Soldiers were deployed to quell the unrest, and parliament made machine breaking punishable by death. Yet, it would be unwise to suggest that the Luddites actions met with no success. By the time that Luddism died down the actions of this “army of redressers” had succeeded in convincing many of the factory owners to pay better wages; and the end of Luddism was not the result of the rising’s failure but due to the number of soldiers that had been mobilized to quash it and by the threat of the new legislation.<a href="#_edn10" name="_ednref10">[10]</a> Importantly, this did not mark the end of machine breaking as a tactic, far from it. <a href="https://librarianshipwreck.wordpress.com/2014/08/28/who-was-captain-swing/">From the latter part of 1830 into 1831, England was once more convulsed by machine-breaking in the form of The Swing Riots.</a><a href="#_edn11" name="_ednref11">[11]</a> In the course of which, displaced workers attacked threshing machines, in what Eric Hobsbawm and George Rudé called the “Luddism of the poor.”<a href="#_edn12" name="_ednref12">[12]</a> And though this movement was eventually repressed as well, it was both more destructive of machinery and more successful for those who participated, which prompted Hobsbawm and Rudé to observe that “the real name of King Ludd was Swing.”<a href="#_edn13" name="_ednref13">[13]</a></p>
<p>One cannot fully encapsulate all of a complex history in two paragraphs – but what the above summary hopefully demonstrates is a few pertinent details regarding the Luddites that run counter to what most people think when they hear that term thrown around. First, the Luddites did not indiscriminately attack “all machines,” but directed their outrage at certain machines, in certain factories, being used in certain ways. Second, the Luddites were a popular movement in their time and their end came not due to “inevitable technological progress” but due to the deployment of soldiers and the introduction of harsh legislation. Third, the tactic of “machine breaking” though it is often associated with the Luddites is not exclusive to them: history is filled with examples of workers purposely breaking their machines as a way of resisting not against machinery (as such) but the broader economic system. Lastly, and perhaps most importantly is that which is bound up in Hobsbawm’s evocative phrase “collective bargaining by riot” a term that suggests that the best way to think of the Luddites is as forerunners of the labor movement; as workers they had no protections (a point confirmed for them when parliament refused to protect their craft) and so they quite literally took matters into their own hands.</p>
<p>As for the question of what the Luddites wanted, or what the world would look like if the Luddites had been able to “have their way”? Frankly, the Luddites wanted to be able to feed their children, they didn’t want to be driven into poverty, and they thought those things were more important than the factory owners becoming wealthier and more powerful. There is nothing particularly radical or incomprehensible about such desires. You probably want to be able to feed your children (if you have any), you probably don’t want to be driven into poverty, and you probably feel that your economic security is at least as important as your boss’s ability to buy a new vacation home. Had the Luddites had “their way” they would have been given a voice in determining their labor conditions, and they would have been allowed to share in the benefits of the new machinery. It’s ridiculous to suggest they were opposed to “progress” because the ideologies hung on that term today were unknown in that time; but if we must keep with the language of “progress” it’s not that the Luddites opposed it, they just thought they should get to benefit as well. As the historian David Noble commented, “the Luddites were perhaps the last people in the West to perceive technology in the present tense and to act upon that perception.”<a href="#_edn14" name="_ednref14">[14]</a> That which makes the Luddites so strange, so radical, and so dangerous is not that they wanted everyone to go back to living in caves (they didn’t want that), but that they thought that those who would be impacted by a new technology deserved a voice in how it was being deployed.</p>
<p>Of course, we know that today the Luddites are not viewed particularly kindly. And the “why” of this brings us back to an earlier point: when we talk about the Luddites, we aren’t talking about the real Luddites, we’re talking about ourselves. Or, as Theodor Roszack once put it: “if the Luddites had never existed, their critics would have to invent them.”<a href="#_edn15" name="_ednref15">[15]</a></p>
<p>The contemporary moment is one in which technological tales dominate many headlines: delivery drones, thinner smartphones, wearable gadgets, driverless cars, robots, big data, bitcoin, social media, nuclear weapons, hacking, virtual reality…and the list could go on. And behind those tales stand publicly praised tech moguls: Jeff Bezos, Bill Gates, Mark Zuckerberg, Elon Musk, Jeff Bezos…and the list goes on. Generally, these new technologies are framed as inevitable, these fortunes are framed as being linked to “geniuses,” furthermore the hoi polloi are told that “resistance is futile” and that all of these things represent “progress.” And you don’t want to resist progress, do you? You aren’t [gasp!] some kind of Luddite, are you?</p>
<p>There is a widespread belief in contemporary computer dominated societies, that regular people are not allowed any say in the discussions around the types of technologies that radically reshape their lives. And the way that the term Luddite is commonly used functions to reify this belief by making people believe that they cannot push back against technology. Of course, as the above history demonstrated, the irony is that what the Luddites prove is that you actually can push back, you can build up a mass movement around it, and you can in fact be so successful that the government is forced to deploy soldiers and pass harsh legislation in order to squash you.</p>
<p>Need a more recent example? <a href="https://librarianshipwreck.wordpress.com/2015/01/21/on-broken-glass/">How about Google Glass</a>. When Google unveiled that wearable high-tech headset it was framed as “inevitable,” those who raised worries were dismissed as “Luddites,” and Google seemed hellbent on pushing forward regardless. Google Glass was going to be the next thing, not because regular people wanted it to be, but because Google insisted that it would be. But a funny thing happened: people said no, and Google’s “world changing” product was shelved. There’s certainly a difference between the public rejecting a piece of consumer technology and workers pushing back against mechanization – but the common thread that connects them is that you do not have to let a tech company screaming “technological progress” in your face turn you into a paragon of passivity. And what’s more you don’t have to accept a false dichotomy wherein saying no to one kind of technology means that you are rejecting all technology.</p>
<p>What an honest consideration of the Luddites allows is for us to see ourselves as active forces within the technological world. We can choose what to use. We can choose what not to use. We can choose how we use things. We can unite with other people to push for certain things, to push against other things. We can reclaim our ability to recognize that technology is not a neutral force in our lives or in our society. In the midst of recent years that have shown the sorts of racist and misogynistic biases that are often endemic in the tech world, we would be well advised to accept some Luddite skepticism about the values embodied in new technologies. As the computer scientist and AI pioneer Joseph Weizenbaum wisely it: “the myth of technological and political and social inevitability is a powerful tranquilizer of the conscience. Its service is to remove responsibility from the shoulders of everyone who truly believes in it. But, in fact, there <em>are</em> actors!”<a href="#_edn16" name="_ednref16">[16]</a> The Luddites remind us that there <em>are</em> people behind these technologies, those people have their own values, those values get built into the technological systems they’re building – and those values aren’t necessarily the same as our values. Moreover, the Luddites remind us that we too <em>are</em> actors.</p>
<p>Before closing it is essential to recognize a key bait and switch that is pulled when Luddite is used as an ahistorical insult: it serves to turn particular acts of resistance, against particular technologies, in particular contexts, into acts that are against all technology. It would be ridiculous to claim that a person who dislikes McDonald’s or critiques factory farming is “anti-food,” and it is just as ridiculous to claim that a person who dislikes Google or who critiques the labor practices behind high-tech gadgets is “anti-technology.” That a person opposes Google Glass doesn’t mean that they oppose eyeglasses, that a person is wary of facial recognition software doesn’t mean they oppose cameras. <a href="https://librarianshipwreck.wordpress.com/2017/07/20/against-the-anti-technology-strawman/">As it is commonly used “Luddite” is a strawman</a>, it transmutes any criticism of a certain piece of technology or a certain use of a certain piece of technology into an attack on all technology. And though this is ridiculous, it works to advance a particular set of ideological and economic values wherein the only thing that matters is “technological progress.” And what often goes unseen and unsaid is that “technological progress” is not a game in which everyone wins, oftentimes such “progress” only serves to increase the power of those who are already powerful. As Langdon Winner observed: “Current developments in the information age suggest an increase in power by those who already had a great deal of power, an enhanced centralization of control by those already prepared for control, an augmentation of wealth by the already wealthy.”<a href="#_edn17" name="_ednref17">[17]</a> At risk of being crass, the more religiously someone sings the praises of “technological progress” the further they and their family live from an e-waste dump. And of course the supreme irony of the idea that had the Luddites won we’d be “living in caves” is that what is threatening to send us back to the stone age is nuclear war (decidedly high-tech), and technologically exacerbated climate change.</p>
<p>Those who bristle at the suggestion that they stop using Luddite as an epithet often say that “meanings change over time.” This is clearly true, but it’s worth considering the value systems that are behind those changes. Furthermore, it also demonstrates a discomforting level of fecklessness meshed with a stunning disregard for history. One also frequently hears people defend the use of the term by claiming “we need this term,” but in all seriousness: what “we” is being used here? Certainly, massive tech companies and the tech press want a useful strawman/bogeyman in order to convince you that the best you can be in the contemporary world is a hapless consumer. But do you really need such a term? And do you really want to defend the position that the history bound up in a term doesn’t matter if lots of people use that term?</p>
<p>Admittedly, I write this as a doctoral student whose research focuses on the history of technology, and the traditions of critiques of technology. And I must report that it seems quite obvious that terms like “anti-technology” and even “technophobia” are just signs of lazy thinking, they say far more about the person using those terms than the people being accused of being “anti-technology.” In the vast majority of cases when you actually consider what these so-called “anti-technology” folks believe you realize that they don’t oppose “all” technology but (brace yourself) particular technologies, being used in particular ways, in a particular context. This is not to pretend that genuinely “extreme” cases don’t exist, but to claim that someone who thinks Facebook has become too big wants us all to go back to living in the woods is patently absurd. Yet it is the type of absurdity that becomes common in a society that has lost the ability to think critically about technology. And having the right terminology, can be an important step in renewing critical thinking. Which is why many individuals have, with unfortunately limited success, tried to rehabilitate the term Luddite. Alas, many serious thinkers remain so terrified of being tarred as Luddites that they begin their books (or articles, or talks) by carefully intoning how much they love technology – but the result of all of this is that it cedes the terms of the argument to the companies that want you to buy a new phone, want you to keep hitting like, and want you to upload a selfie to their fun new app so that you can help hone their facial recognition algorithms.</p>
<p>We are in the midst of a moment in time when many people are emphasizing how important it is for people to think seriously about history. So let us think about the history of technology. And let us think about the Luddites not as caricatures, but as real people.</p>
<p>The Luddites were not “anti-technology.” They were skilled craft workers who believed that the new machinery being deployed by factory owners would impoverish, disempower, and immiserate them. They were right. They didn’t want “zero technology,” they wanted to feed their families. If they had their way we wouldn’t be living in a world with “no technology,” we’d be living in a world where communities have a say in the technological decisions that will impact them.</p>
<p>It is truly a shame that in 2018 many people have a less nuanced understanding of technology and progress than the Luddites had in 1812.</p>
