title: Démocratie directe, violence et technologie : un entretien avec Francis Dupuis-Déri
url: http://partage-le.com/2018/11/democratie-directe-violence-et-technologie-un-entretien-avec-francis-dupuis-deri/
hash_url: 67725b8987c7e7ddbc05bf000f093569

<p>Note de l’intervieweur (Nicolas Casaux)<em> : je me suis entretenu, par mail, avec Francis Dupuis-Déri (</em><strong>FDD</strong><em>, dans le texte ci-après), professeur de science politique à l’université du Québec à Montréal, militant et auteur de plusieurs excellents livres, que je vous recommande vivement. Voici donc :</em></p>
<p><strong>***</strong></p>
<blockquote>
<p>1. Dans ton dernier livre, <a href="http://www.luxediteur.com/catalogue/la-peur-du-peuple/" target="_blank" rel="noopener"><em>La peur du peuple</em></a>, tu proposes une démonstration assez convaincante de la capacité des êtres humains à s’autogérer. Mais tu ne sembles pas aborder, ou alors pour l’évacuer assez rapidement, la question de la limite, de l’échelle à laquelle cela pourrait s’appliquer, la question de la taille (cf. le livre d’Olivier Rey, <em>Une question de taille</em>), également développée par Ivan Illich, Leopold Kohr, et d’autres : cette observation selon laquelle au-delà d’une certaine limite, d’une certaine densité de population, au-delà d’une certaine quantité d’individus, l’auto-organisation égalitaire n’est plus possible. Il me semble que c’est un point crucial, cette reconnaissance de limites, et leur acceptation (il me semble que le libéralisme, et l’idéologie du progrès se caractérisent justement par cette tendance à refuser voire à volontairement transgresser tout ce qui s’apparente à une limite). C’est-à-dire que je suis bien d’accord avec toi sur la possibilité et l’importance pour les humains de s’organiser entre eux de manière égalitaire, souveraine, mais contrairement à ta récusation (pour faire bref) de l’idée qu’il est impossible d’autogérer la société industrielle telle qu’elle existe actuellement, avec ses hautes-technologies, etc., je pense au contraire que c’est effectivement impossible et de toute manière indésirable (pour des questions sociales et écologiques). Je pencherais plutôt pour l’idée qu’il nous faut impérativement dissoudre la société industrielle en plus petites entités jusqu’à parvenir à des entités à taille humaine, qu’on pourrait alors autogérer, en quelque sorte. Qu’en penses-tu ?</p>
</blockquote>
<p><strong>FDD.</strong> Je vais répondre à ta question en deux temps, premièrement en expliquant l’importance de rappeler les débats au sujet de l’autogestion et des conseils ouvriers, dans le cadre de la logique générale du livre, puis en admettant ensuite que cet enjeu n’est peut-être pas si important en soi, indépendamment du livre…</p>
<p>L’objectif général que je poursuivais dans <em>La peur du peuple</em> était de présenter de manière synthétique les débats et les luttes politiques entre celles et ceux qui défendent et pratiquent la démocratie directe (que je désigne comme des <em>agoraphiles</em>), et celles et ceux qui s’y opposent, soit les <em>agoraphobes</em> qui entretiennent la haine, la peur ou le mépris à l’égard de la démocratie directe. Ma réflexion théorique s’appuie sur des exemples historiques d’agoraphilie et de démocratie directe, entre autres chez les peuples autochtones de l’Amérique du Nord d’avant la colonisation, des peuples d’Afrique comme les Igbos, des assemblées d’habitantes et d’habitants dans les villages du Moyen Âge (un court article vient de paraître à ce sujet : <a href="https://www.cairn.info/revue-tumultes-2017-2-page-139.html)">https://www.cairn.info/revue-tumultes-2017–2-page-139.html)</a>. J’évoque aussi des exemples contemporains, comme les zapatistes, ainsi que le camp des femmes pour la paix de Greenham Common, Occupy, Nuit debout, etc. Ces expériences sont celles de communautés humaines plutôt limitées quant à leur taille — population et territoire — et qui ont évacué la question du travail salarié (mais pas nécessairement de la division sexuelle du travail, entre autres problèmes).</p>
<p>J’ai donc considéré qu’il était important de revenir à l’expérience des conseils ouvriers (les fameux soviets) et aux débats à leur sujet, à la fois pour démontrer que la démocratie directe peut aussi s’incarner dans les grands ensembles de production économique, soit les usines exploitant le prolétariat massifié, mais aussi et surtout pour rappeler que l’opposition entre l’agoraphilie et l’agoraphobie s’incarne aussi à l’extrême-gauche, et que les communistes étatistes sont agoraphobes, c’est-à-dire contre l’autogouvernement direct du peuple par le peuple pour le peuple. J’ai relu, par exemple, des textes de Lénine favorables à la planification étatique de l’économie et contre l’autogestion ouvrière, dans lesquels il exprime son agoraphobie très clairement et violemment. À l’inverse, j’ai aussi discuté des arguments pour l’autogestion, tels qu’ils étaient exprimés lors de périodes révolutionnaires en Russie, puis ensuite en Hongrie (1956) à l’époque soviétique, ainsi que dans des communautés paysannes pendant la révolution espagnole (1936–1939).</p>
<p>Est-ce que ces exemples nous aident à répondre avec précision à la question : « au-delà de quelle taille et densité une population humaine ne peut plus s’autogérer ? » Non. Et je ne crois pas qu’il puisse exister une réponse précise à cette question, puisque la réponse dépend de trop de variables : environnement naturel, ressources disponibles (pénurie ou surplus), moyens de production, moyens de communication (naturels, comme les rivières, ou artificiels), énergie, etc.</p>
<p>Évidemment, pour les anarchistes et les adeptes de la démocratie directe, la solution reste le fédéralisme ou le réseau, c’est-à-dire un mode de fonctionnement et de prises de décision où les plus petites unités restent autonomes et libres, même si elles peuvent s’associer volontairement à d’autres pour former une fédération, selon des intérêts communs. Le mandat impératif prime alors sur la représentation, pour les personnes déléguées qui sont révocables en tout temps (je consacre une courte section à ce thème, dans le livre).</p>
<p>Maintenant, est-ce désirable de privilégier l’autogestion industrielle et le fédéralisme de grands réseaux de production économique, considérant le processus accéléré de destruction de la planète ? Pour le dire en des mots plus crus : à quoi bon une centrale nucléaire autogérée ? Ou une mine de charbon autogérée ? À cela, deux réponses sans doute trop rapides. Premièrement, je considère toujours l’autogestion — démocratie directe ou anarchie — comme un système de processus de prise de décision plus juste et légitime. Deuxièmement, je reste conscient que ce régime ne s’incarne pas toujours dans des sociétés ou des communautés justes, ni que les décisions prises collectivement soient toujours justes d’un point de vue politique, économique, culturel ou moral. C’est le processus collectif qui est plus juste qu’un processus élitiste et autoritaire, mais pas nécessairement le résultat, soit la décision et ses conséquences.</p>
<p>Aujourd’hui, l’agoraphilie est très présente du côté des assemblées générales de sites occupés (Zones À Défendre), etc.. La démocratie directe est aussi le régime privilégié par l’écologie sociale du municipalisme libertaire, théorisé par Janet Biehl et <a href="http://ecosociete.org/livres/le-municipalisme-libertaire" target="_blank" rel="noopener">Murray Bookchin</a>. Cela dit, au sujet de la question de la taille, un autre anarcho-écologiste, John Clark, s’inquiète que l’assemblée générale citoyenne, centrale au municipalisme libertaire, soit de trop grande taille et qu’elle ait un effet d’homogénéisation qui effacerait <a href="https://fr.scribd.com/document/288186443/Beyond-the-Limits-of-the-City-John-P-Clark" target="_blank" rel="noopener">la diversité propre à une communauté de la taille d’une municipalité</a>. Sans nécessairement renoncer à l’assemblée citoyenne de la commune autonome, il propose donc qu’il y ait aussi des assemblées dans de plus petits ensembles, par exemple dans des lieux de travail, et aussi de conserver les groupes d’affinité où se retrouveraient des catégories d’individus partageant des désirs, besoins et intérêts spécifiques, par exemple des femmes, des personnes trans, des jeunes et des enfants, des musiciennes et musiciens, etc. Le système apparait alors — un peu — comme ce qui a été mis sur pied lors d’Occupy et de Nuit debout : une assemblée générale, mais aussi un ensemble de comités ou commissions regroupant les individus qui s’intéressent à tel ou tel sujet, qui s’organisent de manière autonome et qui participent aussi (ou non) à l’assemblée générale.</p>
<p>Bref, la question de la taille réapparait même dans des communautés de taille plutôt réduite, comme une simple municipalité ou une occupation d’une place dans un centre-ville. Car la question n’est pas seulement mathématique, à savoir le nombre d’individus ; il s’agit aussi d’une question de diversité, de pluralisme, un enjeu qui touche même des communautés comptant un nombre restreint d’individus. John Clark insiste aussi beaucoup sur l’importance, pour élargir notre imagination politique, de s’informer sur les expériences agoraphiles hors de l’Occident. Il prend pour exemple, autre autres, le mouvement paysan Sarvodaya (Welfare of All), en Inde, qui se structure avec des assemblées communales (<em>gram sabhas</em>), des conseils de village (<em>panchayats</em>) et un groupe de médiation qualifié de police ou d’armée de la paix (<em>shanti sena</em>), le tout dans une perspective écologiste<sup><a id="post-9985-footnote-ref-1" href="#post-9985-footnote-1">[1]</a></sup>.</p>
<figure class="wp-caption aligncenter site-typeface-body typo-size-xsmall"><img class="" src="http://www.luxediteur.com/wp-content/uploads/2016/08/la-peur-du-peuple.jpg"/><figcaption class="wp-caption-text">L’avant-dernier livre de Francis Dupuis-Déri, dont il parle ici.</figcaption></figure>
<blockquote>
<p>2. Penses-tu qu’il soit possible qu’une organisation sociale véritablement démocratique intègre des processus de formation de spécialistes en mesure de concevoir et gérer une centrale nucléaire (par exemple) ? Autrement dit, que penses-tu de la distinction de Lewis Mumford entre <a href="http://partage-le.com/2015/05/techniques-autoritaires-et-democratiques-lewis-mumford/" target="_blank" rel="noopener">techniques démocratiques et techniques autoritaires</a>, qui suggère que certains types de technologies requièrent nécessairement une organisation sociale hiérarchique, non démocratique, qu’ils ne pourraient pas être conçus par une organisation sociale véritablement démocratique ?</p>
</blockquote>
<p><strong>FDD.</strong> Cette question sur le nucléaire illustre malheureusement peut-être la futilité des questions auxquelles j’essaie de répondre. Je me préoccupe des questions de légitimité, de justice, de liberté (individuelle et collective), d’égalité et de solidarité. Est-ce que tout cela a encore un sens, après le développement de la « mégamachine », pour reprendre une expression de Lewis Mumford, soit l’industrie atomique civile et militaire ? Est-ce que tout cela aura encore un sens si les civilisations s’effondrent dans une ou deux générations, des causes de la pollution résultant de la surproduction et de la surconsommation, et donc de leur propre faute ? J’étais punk dans les années 1980, et je me reconnaissais dans le slogan « No Future », qui évoquait à la fois le désastre écologique et l’hiver nucléaire (nous étions en pleine « Guerre froide », ou « équilibre de la terreur »). Or ce slogan punk me semble aujourd’hui encore tout à fait approprié, sinon plus encore.</p>
<p>Mais si je mets de côté mon pessimisme ou mon fatalisme, pour répondre à ta question, voilà les réflexions qu’elle me suggère. Le politologue Robert Dahl discutait de cette question du nucléaire, dans Democracy and Its Critics (1989). Selon lui, l’exploitation de l’énergie nucléaire est sans doute l’activité humaine qui nécessite le plus haut niveau de spécialisation et d’expertise. Or, disait-il, la volonté et la décision politique de développer des réacteurs et des armes atomiques, et de les disposer ici plutôt que là, n’a rien à voir — ou si peu — avec l’expertise scientifique et technique. Il s’agit à chaque fois d’un choix politique. En ce sens, il peut être imposé par une élite politique ou discuté par la communauté elle-même, de manière autonome. Surtout, il est tout à fait légitime et juste, pour une communauté qui n’a pas de connaissance scientifique ou technique, de dire « Non ! » à un projet de centrale nucléaire ou de déploiement de missiles atomiques. L’expertise scientifique et technique ne devrait pas se traduire en monopole de la décision politique, et l’ignorance scientifique ou technique ne devrait pas priver les communautés humaines de prendre leurs propres décisions.</p>
<p>Je pense aussi à l’anarchiste Michel Bakounine, qui avait développé une réflexion intéressante sur l’éventualité d’instaurer un gouvernement de savants. D’un point de vue philosophique, voire métaphysique, Bakounine mettait en garde contre le caractère souvent abstrait de la science, en donnant l’exemple du naturaliste qui dissèque un lapin pour déterminer les caractéristiques générales des lapins, sans prendre en compte l’individualité ou la personnalité de tel ou tel lapin (en particulier, celui qui git éventré, sur sa table à dissection). De ce point de vue, Bakounine considérait l’art infiniment supérieur à la science. Quant à savoir s’il faut permettre aux savants de nous gouverner, car ils (ou elles, mais c’est plus rare) seraient plus éclairés que l’individu « moyen », Bakounine expliquait : premièrement, il ne faut pas accorder une confiance aveugle aux savants, car la science est en perpétuelle évolution et transformation et ce qui était vrai un jour peut être faux le lendemain ; ensuite, quiconque est en position d’autorité risque d’abuser de cette position et de céder à la corruption, y compris des savants que la soif du pouvoir pourrait détourner de la recherche de la vérité scientifique. Si Bakounine admet, évidemment, que certains individus ont des talents ou des compétences spécifiques, le peuple qui veut conserver sa liberté doit toujours pouvoir écouter librement le spécialiste et avoir la possibilité d’en consulter d’autres, et toujours avoir le droit de le critiquer et de ne pas écouter ses conseils. Si cela est vrai pour le nucléaire, c’est aussi vrai pour des spécialistes comme les cordonniers : on veut avoir leur conseil et bénéficier de leur expertise, mais on ne veut pas que le cordonnier nous oblige à porter tel ou tel soulier.</p>
<p>Pour revenir à Lewis Mumford, il précisait, dans sa discussion au sujet de la démocratie, que : <strong>« La vie, dans sa plénitude et son intégrité, ne se délègue pas. » Voilà sans doute une des plus belles définitions de la démocratie ou une des plus belles critiques de la délégation de pouvoir (le plus souvent, en fait, une simple usurpation). </strong>Voilà aussi pourquoi toute cette discussion sur l’énergie atomique, civile et militaire, est si désespérante : des chefs d’États, d’armées et d’entreprises, ont pris des décisions qui mettent à risque la vie, et cela pour des milliers d’années. Et on nous dit : « Les chefs sont encore nécessaires, car ils (parfois elles, mais c’est plus rare) sont les seuls à pouvoir nous sauver. » On se fout de nous, non ? Soyons sérieux : les chefs ont créé un monstre qu’ils ne contrôlent pas, ce qui leur importe peu car ils seront sans doute bien protégés quand ça va déraper, ou même morts. Et les États ne nous prémuniront pas contre des désastres majeurs, conséquence inévitable de la (mauvaise) gestion des réacteurs nucléaires, et surtout des déchets.</p>
<p>J’admets que des groupes d’affinité de quelques dizaines d’anarchistes autonomes ne peuvent sans doute pas gérer ce désastre à venir, mais je ne crois pas non plus que les États permettront d’éviter d’immenses désastres. Peut-être parviendront-ils à sauver les apparences dans les prochaines décennies, mais dans les prochains siècles ou millénaires ? Peu probable, voire impossible. De toute façon, les États seront-ils encore des États ?</p>
<p>En fait, il n’y a peut-être pas de solution politique à ce problème, dans la mesure où le désastre annoncé est inévitable, que le régime politique soit tyrannique ou démocratique, monarchique ou républicain. Si je voulais me laisser aller à de l’humour noir, je dirais que seul un régime théocratique pourra peut-être donner un sens à cette catastrophe atomique, qui entrainera une destruction immense de la vie, sur d’immenses territoires, et pour des milliers d’années. Voilà pourquoi je considère un peu absurde ou même futile cette question sur l’autorité ou la démocratie, quand on parle de pollution atomique.</p>
<blockquote>
<p><span>3. J’aime bien ta réponse, même si je ne suis pas entièrement d’accord sur la question du nucléaire et des experts, mais tu ne réponds pas exactement à ma question… Je te demandais si on ne ferait pas mieux d’admettre que certaines hautes technologies ne sont pas compatibles avec la démocratie, au lieu de tenter de gérer démocratiquement des technologies extrêmement complexes, à moins que tu penses qu’un système de fédérations pourrait parvenir à gérer des technologies très complexes démocratiquement ? Mumford propose de s’en remettre uniquement à ce qu’il appelle les « techniques démocratiques », car il considère que des sociétés véritablement démocratiques ne peuvent pas gérer de la technologie de très haut niveau. Il faudrait alors renoncer à l’imaginaire hypertechnophile qui fait que certaines personnes sont plus attachées à certaines technologies (disons, Internet) qu’à quoi que ce soit d’autre. Ou encore autrement : certains critiques de la civilisation, comme Derrick Jensen, pensent que la production de hautes technologies comme les panneaux solaires photovoltaïques, les éoliennes industrielles, les smartphones, les télévisions, et ce genre de choses, ne pourra jamais être démocratique (ni écologique, mais c’est une autre histoire), car ce type de production nécessite une forme d’organisation étatique.</span></p>
</blockquote>
<p><strong>FDD. </strong>Tu as raison, je n’avais pas répondu à cette partie de ta question… Pour être tout à fait honnête avec toi, je préfère admettre que je n’ai pas de réponse… Je suis d’accord avec Mumford, l’agoraphilie telle que je la comprends et la défends ne se réalise qu’à petite échelle, soit l’assemblée, le comité et le groupe d’affinité, même si cela peut se pratiquer dans une structure en réseau ou fédérale. Mais disant cela, je suis conscient que je ne dis rien de la question de la technologie et de la production d’énergie pour d’immenses populations humaines fortement densifiées. Je crois qu’une partie du problème, c’est que nous sommes aujourd’hui pris avec des problèmes qui sont là pour des milliers d’années, comme je viens de le souligner. Je pense encore aux « poubelles » de déchets radioactifs. Je ne suis pas spécialiste de la question, mais je n’arrive pas à me convaincre qu’un jour, ces poubelles creusées dans la roche et recouvertes de ciment ne vont pas se fissurer, qu’il n’y aura pas de fuite, et que cela entrainera un immense désastre sur des dizaines, voire des centaines ou des milliers de kilomètres. Quand ? Dans cent ans, ou mille ans, qu’importe.</p>
<p>On peut donc volontairement revenir à de petites communautés qui auraient abandonné la haute technologie, pour fonder de nouvelles communautés plus petites, mais cela ne nous permettra pas d’éviter ces immenses problèmes qui ne peuvent être contrôlés par quelques individus avec des pelles et des pioches (si je comprends bien, dois-je encore préciser). C’est pour cela que deux anarcho-écologistes du Québec, Maude Prud’homme et Bruno Massé, ont expliqué que face aux grands problèmes globaux qui nécessitent de la haute technologie pour être contrôlés ou neutralisés, l’État reste le seul système qui a la capacité de recueillir l’information, d’analyser le problème et de mobiliser les ressources nécessaires (bref, pour activer de la haute technologie). Par exemple, pour procéder à la fermeture et le démantèlement « sécuritaire » de dizaines de centrales nucléaires. En conséquence, Maude et Bruno proposent aux anarchistes de s’engager aussi dans des organisations environnementalistes ou écologistes qui discutent et collaborent avec l’État, mais toujours avec l’objectif d’« anarchiser les écologistes », c’est-à-dire d’insuffler dans ces réseaux des modes de prises de décision, d’organisation et même d’action qui sont plus cohérents avec les principes de l’anarchisme : horizontalisme, délibération et participation, anticapitalisme, action directe, etc.<sup><a id="post-9985-footnote-ref-2" href="#post-9985-footnote-2">[2]</a></sup> Je mentionne la position de Maude et Bruno non pas parce que je suis persuadé que voilà la bonne voie à emprunter, mais simplement pour montrer ce que des anarcho-écologistes font, ici et maintenant, pour développer des pratiques plus démocratiques (évidemment, bien d’autres anarcho-écologistes proposent bien d’autres pratiques aujourd’hui, y compris les attaques clandestines menées par les camarades de Earth First! ou du Animal Liberation Front).</p>
<p>Enfin, je suis toujours impressionné, mais aussi mal à l’aise, face aux grandes théories globalisantes, qui cherchent à nous montrer la voie pour sortir totalement de notre système capitalo-étatiste. Tu affirmais, dans ta toute première question, « qu’il nous faut impérativement dissoudre la société industrielle en plus petites entités jusqu’à parvenir à des entités à taille humaine, qu’on pourrait alors autogérer ». Je ne suis pas en désaccord, mais je ne comprends pas la signification politique réelle d’une telle affirmation, sinon que ce n’est que l’expression d’un souhait, d’un espoir, d’un rêve. Ce n’est pas que je considère ces thèses inintéressantes, ou fausses, mais elles dépassent de beaucoup ma propre capacité à théoriser ou même imaginer la sortie de notre système, voire sa fin. Surtout, je ne suis pas certain que les civilisations s’effondrent à coup de théories, ni même à coups d’espoir et de rêves. L’effondrement des civilisations, y compris la nôtre, me semble inévitable au fil des siècles ou des millénaires, mais ce sont de vastes mouvements, souterrains ou non, qui provoquent les fissures, les crises, le chaos, les transformations et les renaissances. Pas la théorie de tel ou tel grand penseur, ni telle ou telle affirmation avançant « qu’il faut impérativement… », si tu vois ce que je veux dire.</p>
<p>Si j’apparais peut-être moi aussi trop arrogant dans mes écrits sur la démocratie et l’agoraphilie, le cœur de ma proposition est pourtant tout simple, et bien plus modeste : il est toujours plus juste et légitime de prendre des décisions ensemble, sans que personne ne puisse imposer sa volonté, ses désirs et ses intérêts sur les autres. Ni plus, ni moins. Je n’ai aucune idée si une telle proposition peut sauver l’humanité de sa perte, ni permette rapidement de détruire cette civilisation et d’en développer une nouvelle. En fait, j’en doute. Mais je n’ai pas d’autre solution à proposer. Et ce que je propose peut être mis en pratique ici et maintenant, et partout, sans attendre <em>la</em> solution globale.</p>
<blockquote>
<p>4. Je comprends ta réponse, et ta remarque sur la théorie, qui est juste. Cependant, proposer un horizon théorique permet de rassembler, et de savoir où l’on veut aller. Et puis cela pourrait donner une fausse impression concernant Derrick Jensen et son ouvrage, notamment avec l’organisation Deep Green Resistance (DGR), qui encourage et participe à la lutte écologiste radicale. Loin de se contenter de théorie,  il a participé à créer cette organisation militante, basée sur un livre éponyme de 800 pages qui constitue une sorte de guide pratique pour organiser une véritable résistance contre l’industrialisme, saboter les projets destructeurs, etc., et que l’on s’apprête <a href="http://editionslibre.org/produit/deep-green-resistance-un-mouvement-pour-sauver-la-planete-derrick-jensen-lierre-keith-et-aric-mcbay/" target="_blank" rel="noopener">à publier en français</a>.</p>
<p>Cela dit, dans ton dernier livre, toujours, tu sembles récuser la critique que certains détracteurs de la démocratie directe (<em>agoraphobes</em>) émettent à l’encontre de la démocratie athénienne, à savoir qu’elle n’était pas vraiment une démocratie (les femmes et les esclaves n’étaient pas inclus dedans). Mais il me semble qu’il y aurait une autre manière de voir les choses : si le programme scolaire d’État nous enseigne que la démocratie c’est Athènes, n’est-ce pas une manière pour lui de justifier la fausse démocratie qu’on connaît en ce moment ? Autrement dit, ne se pourrait-il pas qu’en ne proposant comme définition de la démocratie que la démocratie athénienne, qui était relativement oligarchique, il justifie par-là l’ordre social existant (appeler une oligarchie démocratie pour pouvoir justifier d’appeler démocratie une oligarchie) ?</p>
</blockquote>
<p><strong>FDD.</strong> Là encore, je vais répondre en deux temps. Premièrement, Athènes représente un bon exemple d’un régime de démocratie directe qui a pris des décisions injustes, à savoir d’exclure les femmes et les étrangers, et de maintenir l’esclavage. Évidemment, bien des monarchies, des aristocraties et des républiques ont également exclu les femmes et les étrangers du corps politique, et ont maintenu l’esclavage. Misogynie, racisme et esclavagisme ne sont donc pas des conséquences de la démocratie directe ; cela peut concerner toutes les formes de régimes politiques, y compris le républicanisme. D’où le dernier chapitre de mon livre, où je propose de discuter de quelques enjeux de lutte de pouvoir et d’exclusion spécifiques à l’agoraphilie (démocratie directe), et à certaines solutions, soit le mandat impératif, le consensus et les regroupements autonomes en non-mixité pour les catégories subalternes opprimées, exploitées, exclues.</p>
<p>Deuxièmement, je ne crois pas qu’Athènes soit aujourd’hui présentée comme la référence ultime à la démocratie dans l’objectif de justifier les inégalités sociales que l’on retrouve dans les régimes libéraux-républicains. Je crois plutôt [c’est ce que j’ai essayé de démontrer dans un autre livre : voir la vidéo ci-après] que la référence à Athènes comme lieu de naissance de la démocratie permet de faire croire que les « démocraties » d’aujourd’hui sont des régimes dans lesquels le peuple serait réellement souverain, quoi que par le biais de la représentation, justement à cause des nations modernes qui comptent trop d’individus et s’étendent sur de trop vastes territoires pour pratiquer la démocratie directe (on revient au problème moderne de la taille des communautés politiques humaines).</p>
<p class="caption"><iframe src="https://www.youtube.com/embed/KVW5ogGDlts" frameborder="0" allowfullscreen="allowfullscreen">VIDEO<span data-mce-type="bookmark" class="mce_SELRES_start">﻿</span></iframe></p>
<p>Or les régimes libéraux-républicains ne sont évidemment pas des démocraties, et le peuple n’y est évidemment pas souverain : ce sont des monarchies et des aristocraties électives.</p>
<blockquote>
<p>5. Dans la plupart des mouvements sociaux et écologistes, certains partisans d’une non-violence stricte (assez dogmatique) se réfèrent souvent (immanquablement) à Gandhi et à MLK (principalement) de manière assez abstraite, naïve, pour justifier et appuyer l’idée que la non-violence (stricte, seule) peut permettre de remporter des victoires. Ainsi que le rappelle Peter Gelderloos dans son livre <em>Comment la non-violence protège l’État</em>, il me semble que cette tendance émane d’une certaine ignorance des réalités des luttes dont Gandhi et MLK ont participé (probablement liée, en partie, à ce que le système scolaire enseigne l’histoire de manière partielle et largement déformée), qui n’étaient pas strictement non violentes (et dont on pourrait questionner le succès réel, la portée). Qu’en penses-tu ?</p>
</blockquote>
<p><strong>FDD.</strong> Pour qui s’intéresse à ce débat, je suggère aussi la lecture du livre de Stephen D’Arcy, <a href="http://ecosociete.org/livres/le-langage-des-sans-voix" target="_blank" rel="noopener"><em>Le langage des sans-voix : les bienfaits du militantisme pour la démocratie</em></a>, qui propose des analyses très nuancées de la désobéissance civile, des Black Blocs, des émeutes et même de la lutte armée. Dans une perspective plus radicale et plus désespérée, il faut lire le livre de Günther Anders, <a href="http://www.librairie-quilombo.org/La-violence-oui-ou-non" target="_blank" rel="noopener"><em>La violence : oui ou non — une discussion nécessaire</em></a>.</p>
<p>Si, de plus, tu me permets de m’adonner encore ouvertement à de l’autopromotion, j’ose rappeler que j’ai traité assez longuement de cette question dans <a href="http://www.luxediteur.com/catalogue/les-black-blocs/" target="_blank" rel="noopener">un autre de mes livres, sur les Black Blocs</a>, ainsi que dans une préface rédigée pour <a href="https://editionslibre.org/produit/prevente-comment-la-non-violence-protege-l-etat-peter-gelderloos/" target="_blank" rel="noopener">la version française du livre <em>Comment la non-violence protège l’État</em> de Peter Gelderloos</a>. La non-violence et les personnages historiques comme Gandhi et Martin Luther King sont en effet généralement présentés de manière très caricaturale, simpliste et dogmatique. Le mouvement antinucléaire, par exemple, a connu des débats et des déchirements parce que des militantes et militants proposaient d’apporter une pince pour découper une clôture entourant un chantier de réacteur nucléaire, ce que d’autres considéraient comme une violence inacceptable. Dans d’autres cas, la non-violence est invoquée pour critiquer et même justifier l’arrestation de camarades parce qu’elles ont fracassé des vitrines d’une banque. Cela m’apparaît absurde.</p>
<p>Le discours contemporain présente trop souvent une fausse histoire de l’accession de l’Inde à l’indépendance (Gandhi), ou du mouvement des droits civiques aux États-Unis (King), de la fin de l’Apartheid ou de la Chute du mur de Berlin : dans tous ces cas, la violence a joué un rôle important. Le mouvement de non-violence de Gandhi participait d’un vaste mouvement politique dont certains éléments maniaient les armes, de même pour le mouvement des droits civiques aux États-Unis, sans compter que les États-Unis ont connu des dizaines d’émeutes, parfois pendant plusieurs jours, dans les quartiers africains-américains dans les années 1960. Martin Luther King a déclaré alors que l’« émeute est le langage des sans-voix ». Il n’est pas possible de savoir quel aurait été l’impact des mobilisations non violentes sans les actions violentes, individuelles et collectives.</p>
<blockquote>
<p>6. Je n’ai jamais autant appris et étudié qu’après avoir arrêté « mes études ». J’ai alors réalisé ce que cela implique que l’école soit une institution d’État, conçue par et pour lui, en tant qu’outil de contrôle social (et non pas comme outil d’émancipation humaine), ainsi que l’exprimaient ouvertement certains fondateurs de l’école moderne, comme Napoléon Bonaparte :</p>
<p>« Tant qu’on n’apprendra pas dès l’enfance s’il faut être républicain ou monarchique, catholique ou irréligieux etc., l’État ne formera point une nation ; il reposera sur des bases incertaines et vagues ; il sera constamment exposé aux désordres et aux changements. » / « Mon but principal, dans l’établissement d’un corps enseignant, est d’avoir un moyen de diriger les opinions politiques et morales. »</p>
<p>Ou François Guizot : « L’autorité souveraine peut diriger l’Instruction publique de deux manières : 1° par la voie et d’après les principes de l’administration ordinaire ; 2° en la confiant à un grand corps formé d’après certaines règles et soumis à un gouvernement spécial […]. Or l’administration de l’Instruction publique diffère essentiellement de tout le reste […]. Elle ne peut réussir qu’en inspirant un même esprit […]. Réunir tous les établissements publics en un grand corps soumis à la surveillance d’une autorité supérieure, placée au centre même du gouvernement ; donner à cette autorité tous les moyens de répandre et de distribuer convenablement l’instruction, de propager les bonnes doctrines religieuses, morales et politiques […]. Ce sont là les motifs qui commandent la formation d’un corps enseignant, comme l’unique moyen par lequel on puisse aujourd’hui donner à l’Instruction publique cette régularité, cette stabilité, cette confiance sans lesquelles les hommes qui s’y vouent ne procureraient point à l’État les avantages qu’il est en droit d’attendre de leurs travaux. »</p>
<p>Ou encore Jules Ferry : « Quand nous parlons d’une action de l’État dans l’éducation, nous attribuons à l’État le seul rôle qu’il puisse avoir en matière d’enseignement et d’éducation : il s’en occupe pour maintenir une certaine morale d’État, certaines doctrines d’État qui sont nécessaires à sa conservation. »</p>
<p>Cela semble impliquer que lorsque l’école parvient à former des esprits critiques, des esprits libres, libertaires, capables de remettre en question l’existence de l’État, par exemple, c’est en dépit de — et non grâce à — ce qu’elle est. Qu’en penses-tu ?</p>
</blockquote>
<p><strong>FDD.</strong> Premièrement, l’Université aujourd’hui forme avant tout des techniciens dans les grandes facultés ou les grandes écoles de génie, de médecine, de droit, de commerce. Dans mon université, qui se prétend la plus progressiste au Québec, environ 30 % du corps enseignant et du corps étudiant relèvent de l’École de gestion, qui forme les cadres supérieurs et intermédiaires du système capitaliste dans des agences de comptabilité et de marketing ou dans des firmes privées. Il y a bien des poches de pensée critique dans les sciences humaines et sociales, mais là aussi s’imposent souvent des conceptions plutôt conventionnelles des institutions, des sociétés, des dynamiques sociales. L’État occupe un rôle central en science politique, la discipline dans laquelle j’ai été formé. L’existence de l’État et sa légitimité ne sont presque jamais remises en question, pas plus que l’importance des élections, des partis politiques, etc. Plusieurs collègues et des étudiantes et des étudiants semblent incapables d’imaginer des communautés fonctionnant sans État, ou même sans chef. C’est plutôt décourageant.</p>
<p>Or, même quand on veut « brasser un peu la cage », on ne l’abolit pas tout à fait. J’enseigne par exemple depuis plusieurs années un cours sur les théories et pratiques de l’anarchisme. À la fin de la session, je dois attribuer des notes (une obligation de l’institution) et l’enseignement reste plutôt traditionnel, même si j’essaie d’encourager la participation étudiante. Plusieurs dans la classe veulent une bonne note, pour s’assurer d’une bonne moyenne générale dans une perspective de diplomation, puis de recherche d’un emploi salarié.</p>
<p>Cela dit, en comparaison à d’autres institutions hiérarchiques, certaines universités et certains départements de sciences humaines et sociales, ou encore en art et lettres, offrent un environnement plutôt stimulant en termes d’échanges et de réflexions dans des perspectives critiques. Dans mon contrat d’embauche, il est aussi stipulé que j’ai le droit à la liberté d’expression, y compris pour critiquer mon employeur : bien des compagnies privées n’accepteraient jamais de telles frondes de la part de leurs salariés. Le corps étudiant reste aussi dans une position particulière par rapport à l’institution et au système en général : pas encore tout à fait intégré, par encore tout à fait assimilé. Dans mon université, je croise beaucoup de féministes radicales, de queers révolutionnaires, d’anarchistes et de communistes, d’écologistes et d’antispécistes. L’institution en soi est un espace de mobilisations contestataires, mais aussi un espace de recrutement pour des mobilisations <em>extra muros</em>.</p>
<p>Mais il s’agit du résultat d’une histoire institutionnelle spécifique, d’un contexte particulier, et non d’une nature propre à l’université qui serait en soi et pour soi un espace cultivant la pensée critique ; il s’agit là d’une conception stéréotypée et fausse de l’université. L’Université a été fondée et continue d’être une institution qui produit et reproduit des élites politiques, économiques, culturelles et scientifiques.</p>
<figure class="wp-caption aligncenter site-typeface-body typo-size-xsmall"><img class="" src="http://www.luxediteur.com/wp-content/uploads/2015/08/democratie-site.jpg"/><figcaption class="wp-caption-text">Un autre excellent livre de Francis Dupuis-Déri, qu’il mentionne plus haut.</figcaption></figure>
<blockquote>
<p>7. Parmi les rares universitaires qui suggèrent plus ou moins timidement ou ouvertement qu’ils aspirent à un monde meilleur, à une société plus juste, qu’ils voudraient que les choses changent (qui vont parfois même jusqu’à soutenir que tous les fondements idéologiques de la culture dominante sont mauvais ; je pense à certains anthropologues, etc.), certains semblent uniquement compter sur le pouvoir de la persuasion, de la suggestion, de la raison, du discours, pour ce faire. Ils ne discutent jamais (ou presque) de l’irrationalité de nos institutions et de nos dirigeants, de leur caractère psychopathologique, de la limite de l’appel à la raison ou des recours légaux. Ils se lamentent sur l’état des choses et pourtant se contentent de discourir sans jamais suggérer qu’on pourrait (et devrait) aller bien au-delà. <em>L’esprit de révolte </em>disparaît-t-il du milieu universitaire où il avait timidement subsisté (au grand dam des dirigeants étatiques et corporatistes) pendant quelques temps ?</p>
</blockquote>
<p><strong>FDD.</strong> C’est un problème à l’université, mais aussi chez plusieurs agoraphiles qui rêvent de démocratie directe, et qui pensent qu’il faut dépasser les clivages entre la droite et la gauche, ou transcender les classes, ou les rapports sociaux de sexe (entre autres choses). Bref, on postule que toutes les paroles sont égales et que la force du meilleur argument doit l’emporter, que la vérité ressortira nécessairement d’une délibération bien menée ou d’un franc débat.</p>
<p>Je me suis déjà buté à cette posture, quand on voulait me convaincre de participer à un débat avec un raciste misogyne et homophobe comme Alain Soral, sous prétexte que nous avions en partage la critique radicale des élites et du régime électoral, mais aussi sous prétexte qu’il faut bien débattre avec tout le monde (c’est d’ailleurs un de mes soucis avec Etienne Chouard, un éducateur à la démocratie directe qui a insisté pour prendre la défense d’Alain Soral et le qualifier de résistant, sans doute parce que lui aussi critique les élites politiques et capitalistes, mais Soral rêve d’une dictature, et non d’une démocratie directe).</p>
<p>En Amérique du Nord présentement, les forces antifascistes sont régulièrement critiquées par des progressistes qui leur reprochent de ne pas respecter la liberté d’expression (des fascistes et des racistes) et d’être identiques aux fascistes, puisque les deux camps pratiqueraient les mêmes méthodes d’intimidation.</p>
<p>Or, j’ai voulu montrer dans mon livre <em>La peur du peuple </em>(désolé, encore de l’autopromotion…) que l’agoraphilie ne se limite pas à la délibération dans une agora formelle ou informelle, mais s’incarne aussi dans des rassemblements contestataires, des manifestations, voire des émeutes. Je présente de nombreux exemples où le <em>dèmos</em>, ou le peuple assemblé, se mue en plèbe, ou le peuple émeutier, et que ces deux formes d’expression et d’action peuvent être légitimes, nécessaires et complémentaires, selon les contextes et les rapports de force.</p>
<p>Dans mon livre sur les Black Blocs et dans <a href="https://editionslibre.org/produit/prevente-comment-la-non-violence-protege-l-etat-peter-gelderloos/" target="_blank" rel="noopener">ma préface du livre de Peter Gelderloos</a>, j’explique aussi que le recours à la force par le peuple peut être légitime, selon des critères de justice, du bien et du mal, de liberté et d’égalité, même si c’est illégal selon les critères juridiques de l’État. Ce débat est alimenté, présentement, par la lutte des antifascistes, alors que des progressistes s’émeuvent qu’il soit proposé de « frapper un nazi », alors qu’il faudrait — nous dit-on — argumenter rationnellement avec eux. De la défense de la vitrine de McDo à la défense des nazis, certains progressistes choisissent décidément bien mal leurs « victimes » à défendre.</p>
<p>Il est aussi possible être légitime de perturber une assemblée qui semble démocratique, précisément parce que ses conséquences peuvent être injustes, voire désastreuses, même si le processus de décision est démocratique. Ainsi, une assemblée générale d’actionnaires d’une compagnie dont les activités détruisent la planète incarne — en principe — l’idéal de la démocratie directe, mais elle mérite d’être perturbée puisque le sujet de la délibération a pour conséquence la destruction de la planète. Selon moi, une assemblée de racistes mérite d’être perturbée, de même qu’une assemblée de misogynes, etc. (même si, évidemment, il faut considérer chaque action selon son contexte).</p>
<p>En d’autres mots : l’histoire de la démocratie directe et de la lutte entre l’agoraphilie et l’agoraphobie est aussi l’histoire de carnavals turbulents, de charivaris, des émeutes, des révoltes et des insurrections.</p>
<hr/>
<ol>
<li id="post-9985-footnote-1">John Clark, trop peu connu en français, est un spécialiste d’Élisée Reclus et a écrit de nombreux livres, dont <em>The Impossible Community</em>. Il participe aussi activement au milieu anarchiste de la Nouvelle-Orléans. Pour découvrir ses positions, voir ce texte, à saveur polémique : John Clark, « The domination of the text: Morris’s reading of the <em>Impossible Community</em> », <em>Anarchist Studies</em>, vol. 26, no. 2, 2018. <a href="#post-9985-footnote-ref-1">↑</a></li>
<li id="post-9985-footnote-2">Pour en savoir plus, voir leur chapitre « Anarcho-écologistes et défis de survie : réflexions (auto)critiques », dans l’ouvrage collectif, <em>Nous sommes ingouvernables : les anarchistes au Québec aujourd’hui</em>, Montréal, Lux, 2013. <a href="#post-9985-footnote-ref-2">↑</a></li>
</ol>
