title: The full-stack employee
url: https://medium.com/@chrismessina/the-full-stack-employee-ed0db089f0a1
hash_url: 74fc476c089a9330cd01e083af0214bd

<h4 name="24bb" id="24bb" class="graf--h4 graf--first">What is a full stack employee?</h4><p name="cd93" id="cd93" class="graf--p graf--empty"><br></p><p name="dda0" id="dda0" class="graf--p">Just as there are <a href="http://www.laurencegellert.com/2012/08/what-is-a-full-stack-developer/" data-href="http://www.laurencegellert.com/2012/08/what-is-a-full-stack-developer/" class="markup--anchor markup--p-anchor" rel="nofollow">full-stack engineers</a> and <a href="http://a16z.com/2015/01/22/the-full-stack-startup/" data-href="http://a16z.com/2015/01/22/the-full-stack-startup/" class="markup--anchor markup--p-anchor" rel="nofollow">full-stack startups</a>, the full-stack employee has a powerful combination of skills that make them incredibly valuable. They are adept at navigating the rapidly evolving and shifting technological landscape. They make intuitive decisions amidst information-abundance, where sparse facts mingle loosely with data-drenched opinions. Full stack employees are capable of speaking design lingo, know that using <a href="http://www.comicsanscriminal.com" data-href="http://www.comicsanscriminal.com" class="markup--anchor markup--p-anchor" rel="nofollow">Comic Sans is criminal</a>, and are adept at making mocks in Keynote, Sketch, or Skitch (if it comes to that). And they know <a href="http://www.helloerik.com/ux-is-not-ui" data-href="http://www.helloerik.com/ux-is-not-ui" class="markup--anchor markup--p-anchor" rel="nofollow">the difference between UI and UX</a>.</p><p name="1434" id="1434" class="graf--p">They can cross the aisle to talk to engineering and can make sense of algorithms, programming, and instinctively understand that scaling the backend isn’t the same as scaling the frontend. Though they may not code for production, they understand what <a href="http://github.com" data-href="http://github.com" class="markup--anchor markup--p-anchor" rel="nofollow">GitHub</a> and <a href="http://stackoverflow.com" data-href="http://stackoverflow.com" class="markup--anchor markup--p-anchor" rel="nofollow">StackOverflow</a> are for, and can brute force a copy-paste script to perform basic analysis on a CSV file. If they must.</p><p name="1549" id="1549" class="graf--p">They’re on the latest social apps, and know how to self-promote. Tastefully (most of the time; for the rest, there’s Snapchat). They use narrative and storytelling to involve their audience, but have watched enough three minute Kickstarter videos to know that they need to get to their point in less time than it takes to watch an Instagram video, if not a Vine. Attention is the currency of the age.</p><p name="db32" id="db32" class="graf--p">Full stack employees have an insatiable appetite for new ideas, best practices, and ways to be more productive and happy. They’re curious about the world, what makes it work, and how to make their mark on it. It’s this aspect above others that defines and separates the full stack employee from previous generations. Full stack employees can’t put blinders on once they land a job; instead they must stay up on developments in their industry and others, because they know that <a href="https://www.cl.cam.ac.uk/techreports/UCAM-CL-TR-760.pdf" data-href="https://www.cl.cam.ac.uk/techreports/UCAM-CL-TR-760.pdf" class="markup--anchor markup--p-anchor" rel="nofollow">innovation is found at the boundaries between disciplines</a>, not by narrowly focusing in one sphere.</p><h4 name="21e4" id="21e4" class="graf--h4">What it’s like to be a full stack employee</h4><p name="5dc7" id="5dc7" class="graf--p graf--empty"><br></p><p name="096f" id="096f" class="graf--p">Being a full stack employee isn’t necessarily easier or harder; it’s different. With always-on connectedness via their mobile devices, the boundaries between work and non-work blur, creating an implicit expectation that there’s never a time too late for a Slack chat or Google Hangout. This may or may not work out well. YMMV.</p><p name="f6d8" id="f6d8" class="graf--p">With constant internet access comes constant distraction (tragically in the form of another time-wasting listicle on being more productive). And since much of their work involves slicing through thick ambiguity — they’re given to radical clarity in certain lifestyle choices, from adopting <a href="https://vimeo.com/111171647" data-href="https://vimeo.com/111171647" class="markup--anchor markup--p-anchor" rel="nofollow">monolithic, monochromatic wardrobes</a> to <a href="http://www.soylent.me" data-href="http://www.soylent.me" class="markup--anchor markup--p-anchor" rel="nofollow">functional culinary choices</a>:</p><figure name="0070" id="0070" class="graf--figure"><div class="aspectRatioPlaceholder is-locked" style="max-width: 640px; max-height: 640px;"><div class="aspect-ratio-fill"></div><a href="https://instagram.com/p/0VrCxnS3r2/?taken-by=soylent" data-href="https://instagram.com/p/0VrCxnS3r2/?taken-by=soylent" class="graf-imageAnchor"><img class="graf-image" data-image-id="1*pUZ443PNRFeJRX4p1YJWQw.jpeg" data-width="640" data-height="640" src="https://d262ilb51hltx0.cloudfront.net/max/1067/1*pUZ443PNRFeJRX4p1YJWQw.jpeg"></a></div><figcaption class="imageCaption"><a href="https://instagram.com/p/0VrCxnS3r2/?taken-by=soylent" data-href="https://instagram.com/p/0VrCxnS3r2/?taken-by=soylent" class="markup--anchor markup--figure-anchor" rel="nofollow">Photo</a> by Soylent</figcaption></figure><p name="039b" id="039b" class="graf--p">Being full stack is an exercise in shifting between opposite poles. While there’s often less support for individual work and a greater expectation of self-sufficiency (i.e. setting their own hours, using their own devices for work, etc), they’re also expected to collaborate and work in groups effectively. Previously, you’d have an IT manager select the technology for a large team, but with the increasing reliance on self-provided mobile devices, individuals are left to figure out how to communicate across and connect over different platforms. Indeed, <a href="http://slack.com" data-href="http://slack.com" class="markup--anchor markup--p-anchor" rel="nofollow">Slack</a>, the winningest enterprise tool <em class="markup--em markup--p-em">du jour</em>, <a href="https://slack.com/integrations" data-href="https://slack.com/integrations" class="markup--anchor markup--p-anchor" rel="nofollow">integrates with <em class="markup--em markup--p-em">everything</em></a>, <a href="http://www.economist.com/news/business/21647612-once-dominant-software-giant-determined-prove-life-begins-again-40-opening" data-href="http://www.economist.com/news/business/21647612-once-dominant-software-giant-determined-prove-life-begins-again-40-opening" class="markup--anchor markup--p-anchor" rel="nofollow">opposite Microsoft’s latter-day strategy</a> of privileging its own platform over all others. These days, if you haven’t integrated with everyone else’s API, you’re already behind. And that’s true of full stack employees too — they must have at least passing knowledge of all the latest apps lest they fall behind and as a result, out of the loop.</p><p name="b7b3" id="b7b3" class="graf--p graf--last">Yet full stack employees are expected to deeply understand their domain, but also dynamically deal with shifting priorities and expectations. While not an altogether new phenomenon, the flat nature of many organizations means that pull can come from the top or the bottom, and it’s up to the individual to prioritize one over the other. To evaluate these requests, the FSE stretch across traditional organization boundaries, while not get stretched <em class="markup--em markup--p-em">too</em> thin. They need to be informed about what everyone else is doing without micromanaging them, and not get uncomfortable working in roles unfamiliar to them: product manager, designer, communicator, strategist, advertiser, consultant, technologist, user advocate, marketer… et cetera and so on!</p></div></div></section><section name="1683"><div class="section-divider layoutSingleColumn"><hr class="section-divider"></div><div class="section-content"><div class="section-inner layoutSingleColumn"><h4 name="58d5" id="58d5" class="graf--h4 graf--first">Why it’s great to be a full stack employee</h4><p name="584e" id="584e" class="graf--p graf--empty"><br></p><p name="1d98" id="1d98" class="graf--p">Despite the challenges of being a full stack employee, there are many upsides. For one, they have more freedom to work the way they want, where they want (with services like <a href="http://teleport.org/" data-href="http://teleport.org/" class="markup--anchor markup--p-anchor" rel="nofollow">Teleport</a> helping them find inexpensive places to work), when they want. They can use the <a href="http://www.producthunt.com/chrismessina" data-href="http://www.producthunt.com/chrismessina" class="markup--anchor markup--p-anchor" rel="nofollow">latest tools</a>, as they’re expected to be self-sufficient and self-directed. They also have a broader range and variety of experiences owing to the collaborative, interdisciplinary nature of their work. They have increasing influence across the organization, as their voice is raised in more conversations, and carry a deeper personal responsibility for the company’s success, and are invested in the entire team’s success.</p><h4 name="58f9" id="58f9" class="graf--h4">What does this mean for employers and managers?</h4><p name="67e1" id="67e1" class="graf--p graf--empty"><br></p><p name="1520" id="1520" class="graf--p">A competitive market for full stack employees has considerable implications for companies and managers. First, are you set up to successfully attract and retain these individuals? Second, have you defined the style(s) of work that are suited for your team, or how you support remote work? Third, do you provide flexible work hours, or support for alternative scheduling options? And fourth, what about support for health and wellness or <a href="http://www.nytimes.com/2015/04/08/upshot/silicon-valley-perks-for-some-workers-struggles-for-parents.html?_r=0" data-href="http://www.nytimes.com/2015/04/08/upshot/silicon-valley-perks-for-some-workers-struggles-for-parents.html?_r=0" class="markup--anchor markup--p-anchor" rel="nofollow">family time</a>?</p><p name="0ee1" id="0ee1" class="graf--p">Google clearly <a href="https://www.google.com/about/careers/lifeatgoogle/" data-href="https://www.google.com/about/careers/lifeatgoogle/" class="markup--anchor markup--p-anchor" rel="nofollow">sets the bar</a> for employee health, morale, and attitude, but also demands a great deal of accountability from them. Googlers are able to work however, whenever, and wherever leads to their greatest productivity, but are also expected to be generally available for quick, unscheduled pow-wows. Is your team ready for this?</p><figure name="2fee" id="2fee" class="graf--figure postField--outsetLeftImage"><div class="aspectRatioPlaceholder is-locked" style="max-width: 525px; max-height: 350px;"><div class="aspect-ratio-fill" ></div><a href="http://brt.hr/DEJX5W" data-href="http://brt.hr/DEJX5W" class="graf-imageAnchor"><img class="graf-image" data-image-id="1*owoFpIPvgICBPLFvEAp8Qw.jpeg" data-width="6594" data-height="4401" src="https://d262ilb51hltx0.cloudfront.net/max/800/1*owoFpIPvgICBPLFvEAp8Qw.jpeg"></a></div><figcaption class="imageCaption"><a href="https://download.unsplash.com/photo-1422479516648-9b1f0b6e8da8" data-href="https://download.unsplash.com/photo-1422479516648-9b1f0b6e8da8" class="markup--anchor markup--figure-anchor" rel="nofollow">Photo</a> by <a href="http://brt.hr/DEJX5W" data-href="http://brt.hr/DEJX5W" class="markup--anchor markup--figure-anchor" rel="nofollow">Breather</a></figcaption></figure><p name="bdff" id="bdff" class="graf--p">If you haven’t tried it before, it may be useful to spend some time coworking to get a taste for what a full stack employee work environment is typically like. In <a href="http://brt.hr/DEJX5W" data-href="http://brt.hr/DEJX5W" class="markup--anchor markup--p-anchor" rel="nofollow">these environments</a>, people of all kinds of backgrounds come together in a common space to work around and with each other. They’re often online, connected on Slack or some other collaborative conversational platform (or several; note: <a href="https://medium.com/message/doomed-to-repeat-it-fb03757dfcca" data-href="https://medium.com/message/doomed-to-repeat-it-fb03757dfcca" class="markup--anchor markup--p-anchor"><em class="markup--em markup--p-em">email is dead</em></a>). Most coworking spaces are setup for ad hoc collaboration, with the right mix of virtual and physical tooling (whiteboards, projectors, conference rooms, video conferencing gear, etc). All of these support virtual team communication and collaboration.</p><p name="2a1d" id="2a1d" class="graf--p">Perhaps unintuitively, the most necessary shifts for employers and managers is towards <a href="http://chadfowler.com/blog/2014/01/19/empathy/" data-href="http://chadfowler.com/blog/2014/01/19/empathy/" class="markup--anchor markup--p-anchor" rel="nofollow">empathy</a> — both <em class="markup--em markup--p-em">for</em> this new kind of employee, but also from them, in making specific demands on how they communicate and collaborate, and how expectations are set between you and them. Just because they demand a high degree of flexibility and autonomy doesn’t mean that they get to dictate the criteria by which their work is evaluated. That’s still the role of the manager.</p><h4 name="4255" id="4255" class="graf--h4">What of the future of work?</h4><p name="3bd2" id="3bd2" class="graf--p">It’s too much to suggest that the future of work will be lead by full stack employees, but there is a significant trend in this direction, at the very least driven by the recent emphasis on entrepreneurship globally and Millennial work trends. Certainly the nature of work is changing, and the highest value employees are those who can handle ambiguity and synthesizing enormous amounts of information into strategically useful tactics.</p><p name="2714" id="2714" class="graf--p graf--last">Moreover, we’re only a decade into, and before, the presence of working robots. As robots take over repetitive tasks like <a href="http://www.ap.org/content/press-release/2015/ap-ncaa-to-grow-college-sports-coverage-with-automated-game-stories" data-href="http://www.ap.org/content/press-release/2015/ap-ncaa-to-grow-college-sports-coverage-with-automated-game-stories" class="markup--anchor markup--p-anchor" rel="nofollow">writing sports news stories</a> or <a href="http://www.adweek.com/news/technology/6-clues-google-will-turn-uber-self-driving-home-delivery-service-160425" data-href="http://www.adweek.com/news/technology/6-clues-google-will-turn-uber-self-driving-home-delivery-service-160425" class="markup--anchor markup--p-anchor" rel="nofollow">driving</a> and <a href="http://www.businessinsider.com/google-self-driving-car-delivery-robots-2013-12" data-href="http://www.businessinsider.com/google-self-driving-car-delivery-robots-2013-12" class="markup--anchor markup--p-anchor" rel="nofollow">package delivery</a>, humans will need to re-articulate the roles they’re best suited for. Likely among them will be roles where human sensibilities and synthesis are at the fore, or where human language, nuance, and empathy are necessary to perform complex or sensitive tasks. The full stack employee will help us transition to this future, as they will be key to the new hybrid economy.</p></div></div></section>
