title: La décroissance ou le sens des limites
url: https://www.monde-diplomatique.fr/publications/manuel_d_economie_critique/a57054
hash_url: 752a9951a5f0f45e243b2f6792c5c288

<p><span class="mot-lettrine"><span class="lettrine">L</span>e</span> projet de la décroissance n’est ni celui d’une autre croissance («<small class="fine"> </small>verte<small class="fine"> </small>», par exemple), ni celui d’un autre développement («<small class="fine"> </small>soutenable<small class="fine"> </small>», «<small class="fine"> </small>social<small class="fine"> </small>», «<small class="fine"> </small>solidaire<small class="fine"> </small>», etc.). Il s’agit de construire une autre société, une société d’abondance frugale ou de prospérité sans croissance. Autrement dit, ce n’est pas d’emblée un projet économique, fût-ce d’une autre économie, mais un projet sociétal qui implique de remettre en cause la domination de l’économie sur nos imaginaires politiques.</p>

<p>Faire de la décroissance une variante du développement durable constitue dès lors un contresens historique. Choisi presque par hasard, en raison du succès d’un numéro de la revue écologiste <i>Silence</i> de février 2002 qui reprenait cette expression (utilisée pour la première fois dans son sens actuel en 1994, comme titre de la traduction française d’un recueil d’essais de l’économiste américain d’origine roumaine Nicholas Georgescu-Roegen), le terme «<small class="fine"> </small>décroissance<small class="fine"> </small>» s’est d’abord imposé comme un slogan. Il a rapidement offert une bannière de ralliement à tous ceux qui, venus de l’écologie politique et de la critique culturaliste du développement, ressentaient la nécessité, face à la proclamation du fameux TINA (<i>There is no alternative</i> ou «<small class="fine"> </small>Il n’y a pas d’autre solution<small class="fine"> </small>») par l’ancienne première ministre britannique Margaret Thatcher (1979-1990), de rompre avec la langue de bois du développement durable – cet oxymore consensuel qu’utilisent les apôtres de la religion de la croissance.</p>
<blockquote class="exergue">Parler d’«<small class="fine"> </small>acroissance<small class="fine"> </small>», comme on parle d’athéisme</blockquote>
<p>Le mot ne doit donc pas être pris au pied de la lettre : décroître pour décroître serait aussi absurde que croître pour croître. Bien entendu, les décroissants entendent améliorer la qualité de vie, celle de l’air, de l’eau et d’une foule de choses que la croissance pour la croissance a détruites. Pour parler de façon rigoureuse, il faudrait sans doute utiliser le terme «<small class="fine"> </small>acroissance<small class="fine"> </small>», comme on parle d’athéisme. L’enjeu est d’ailleurs très exactement celui-ci : l’abandon d’une foi et d’une religion, celles du progrès et du développement. La décroissance n’est donc ni la <a href="https://www.monde-diplomatique.fr/publications/manuel_d_economie_critique/a57289#recession" class="spip_in">récession</a> (ralentissement de la croissance) ni la <a href="https://www.monde-diplomatique.fr/publications/manuel_d_economie_critique/a57289#depression" class="spip_in">dépression</a> (croissance négative).</p>

<p>S’agirait-il dans ces conditions d’un autre paradigme économique, contestant l’orthodoxie néoclassique, comparable à ce que fut le keynésianisme en son temps <i>(lire «<small class="fine"> </small><a href="https://www.monde-diplomatique.fr/publications/manuel_d_economie_critique/a57053" class="spip_in">L’introuvable New Deal européen</a><small class="fine"> </small>») </i><small class="fine"> </small>? Certains partisans de la décroissance ont exploré cette voie. Pour d’autres se dessine une priorité différente : sortir de l’idée que les choix humains sont réductibles à des calculs individuels plus ou moins conscients, pour reconstruire une société écologiquement soutenable et socialement juste. Si des politiques économiques différentes de celles inspirées par la doxa néolibérale ont été possibles par le passé, dans une société de croissance sans croissance – situation actuelle des pays industrialisés – ces politiques ne sont plus possibles sans aggraver la crise écologique.</p>
<h3 class="spip">Symbole fétiche</h3>

<p>Les débats récents sur la pertinence des indicateurs de richesse ont eu le mérite de rappeler l’inconsistance du produit in­térieur brut (<a href="https://www.monde-diplomatique.fr/publications/manuel_d_economie_critique/a57289#PIB" class="spip_in">PIB</a>) comme indicateur per­mettant de mesurer le bien-être <i>(lire «<small class="fine"> </small><a href="https://www.monde-diplomatique.fr/publications/manuel_d_economie_critique/a57031" class="spip_in">«<small class="fine"> </small>La croissance, c’est la prospérité<small class="fine"> </small>»</a>), </i>alors qu’il constitue le symbole fétiche de la société de croissance. On ne s’est pas assez avisé, à cette occasion, que le problème n’est pas de nature économique : c’est l’économie elle-même qui pose problème. La définition de cette discipline a varié dans le temps. Pour les économistes classiques, cette science expliquait comment la richesse est produite, répartie et consommée. Plus tard, leurs successeurs néoclassiques ont prétendu étudier l’utilisation optimale de ressources nécessairement rares <i>(voir «<small class="fine"> </small><a href="https://www.monde-diplomatique.fr/publications/manuel_d_economie_critique/a57047" class="spip_in">Un foisonnement d’écoles de pensée</a><small class="fine"> </small>»)</i>. Cette définition très large a fait tomber tous les objets du désir humain (le crime, l’amour, la santé, etc.) dans l’escarcelle de l’économie. Sauf que si tout est économique, rien ne l’est plus<small class="fine"> </small>!</p>
<p>Réenchâsser l’économie dans le social et retrouver le sens des limites, comme le préconise la décroissance, sont les conditions permettant d’aboutir à la prospérité sans croissance et d’éviter ainsi l’effondrement de la civilisation humaine. </p>
