title: The Amish understand a life-changing truth about technology the rest of us don’t
url: https://qz.com/1275194/the-amish-understand-a-life-changing-truth-about-technology-the-rest-of-us-dont/
hash_url: 8a35346cb2dfd227c04913dffe2d97bf

<p>The Amish have negotiated a pact with modernity. Whereas much of the contemporary world sees technological progress as inevitable, <a href="https://qz.com/1242331/musk-and-zuckerberg-are-fighting-over-whether-we-rule-technology-or-it-rules-us/">even a moral imperative,</a> the Amish ideal lives in the past, circa 1850.</p>
<p>It’s not that the Amish view technology as inherently evil. No rules prohibit them from using new inventions. But they carefully consider how each one will change their culture before embracing it. And the best clue as to what will happen comes from watching their neighbors.</p>
<p>“The Amish use us as an experiment,” says Jameson Wetmore, an engineer turned social researcher at the <a href="https://sfis.asu.edu/">Arizona State University’s School for the Future of Innovation in Society</a>. “They watch what happens when we adopt new technology, and then they decide whether that’s something they want to adopt themselves.”</p>
<p class="inline-ad" id="inline-1275194-1"/><p>After observing a given technology’s effect on outside society, Wetmore explains, each Amish community can vote on whether to accept or reject it. If a person is seriously ill, checking into a hospital is acceptable. So is accepting a ride in a Ford F-150. But the Amish refuse to own television or automobiles because they’ve decided those technologies erode their community and neighborliness.</p>
<p>For the rest of us, the cost of technological convenience may be coming due. Wetmore, who has <a href="https://cspo.org/legacy/library/1104251605F53294166SV_lib_WetmoreAmishTech.pdf">studied the Amish intensively (pdf),</a> suggests that contemporary society needs to take a new approach to technology—one that weighs the value of our new tools before welcoming them into our lives. Quartz spoke with Wetmore about the lessons that the Amish, a religious group of just 200,000 in the US, hold for the rest of the world.</p>
<p><em>The following interview has been condensed and edited for clarity.</em></p>
<p><strong>Quartz: </strong><strong>What have you noticed about Americans’ relationship with technology, and how that’s changing?</strong></p>
<p class="inline-ad" id="inline-1275194-2"/><p>One of my favorite stories is about the World Fair in the 1930s. The motto of the 1933 World Fair in Chicago was “<a href="http://www.encyclopedia.chicagohistory.org/pages/225.html">Science Finds, Industry Applies, Man Conforms.</a>”</p>
<p>It was really a very prevalent idea that technology was going to save us all. Basically, we needed to worship it if we were going to have any chance of survival. This was just out of the Great Depression. There were a lot of really destitute people. Governments and companies were saying that technology can lead us out of this. It may not always be comfortable, but we have to ride it out.</p>
<p><img class="wp-image-1275563 alignright" src="https://qz.com/wp-content/uploads/2018/05/800px-chicago_worlds_fair_a_century_of_progress_expo_poster_1933_2.jpg?quality=80&amp;strip=all&amp;w=640" alt=""/></p>
<p>That is the clear push coming into the 1930s and into the 1940s and 1950s. Household technologies are all the rage. When you hit the 1960s and 1970s, there is this shift. I think the hallmarks of that shift are the dropping of the atomic bomb, and then of course you have Ralph Nader’s <em><a href="https://www.nytimes.com/2015/11/27/automobiles/50-years-ago-unsafe-at-any-speed-shook-the-auto-world.html">Unsafe at Any Speed</a></em>, and you also have Rachel Carson’s <a href="http://www.rachelcarson.org/SilentSpring.aspx"><em>Silent Spring</em></a>.</p>
<p class="inline-ad" id="inline-1275194-3"/><p>Any idea that technology is an unmitigated good begins to be questioned.</p>
<p>I think today Americans have a much more nuanced view of things. I think the number of people who think technology is an unmitigated good is continuing to shrink. At the same time, I think most of us haven’t abandoned the idea that we have a lot of problems out there and technology is certainly going to have to play a role in solving them.</p>
<p><strong>I have a very different reaction to, say, brake pads or air conditioning than technologies such as social media. How do you categorize technologies?</strong></p>
<p>Technologies are always part of bigger systems. If you abstract out a small artifact, then you’re really not understanding the role of that technology.  I think you’re right, most people don’t think about brake pads, but that’s also sort of like saying people don’t think about the on-off button of their television set. If you were to think about the role of car transportation in our lives, that’s enormous. It plays a hugely significant pivotal role akin, I would say, to television or social media.</p>
<p class="inline-ad" id="inline-1275194-4"/><p>It’s interesting that the Amish have different districts, and each district has different rules about what’s allowed and what’s not allowed. Yet it’s very clear there are two technologies that, as soon as the community accepts them, they are no longer Amish. Those technologies are the television and the automobile.</p>
<p><strong>That’s fascinating.</strong></p>
<p>They particularly see those two as having a fundamental impact on their society and daily lives.</p>
<p><strong>What would you characterize as the common thread between those two technologies?</strong></p>
<p class="inline-ad" id="inline-1275194-5"/><p>I think a huge part is that they shape our relationships with other people. The reason the Amish rejected television is because it is a one-way conduit to bring another society into their living rooms. And they want to maintain the society as they have created it. And the automobile as well. As soon as you have a car, your ability to leave your local community becomes significantly easier.</p>
<p>You no longer have to rely on your neighbor for eggs when you run out. You can literally take half an hour and run to the store. In a horse and buggy, when you don’t have your own chickens, that’s a half-day process.</p>
<figure id="image-1282017" class="progressive-image inline-image  alignnone zoomable size-medium"><picture><img src="https://qz.com/wp-content/uploads/2018/05/screenshot-2018-05-18-07-52-06.png?w=50" class="progressive-image-thumbnail"/><img data-srcset="https://qz.com/wp-content/uploads/2018/05/screenshot-2018-05-18-07-52-06.png?w=320 320w, https://qz.com/wp-content/uploads/2018/05/screenshot-2018-05-18-07-52-06.png?w=640 640w, https://qz.com/wp-content/uploads/2018/05/screenshot-2018-05-18-07-52-06.png?w=940 940w, https://qz.com/wp-content/uploads/2018/05/screenshot-2018-05-18-07-52-06.png?w=1600 1600w, https://qz.com/wp-content/uploads/2018/05/screenshot-2018-05-18-07-52-06.png?w=3200 3200w" data-src="https://qz.com/wp-content/uploads/2018/05/screenshot-2018-05-18-07-52-06.png?w=942" sizes="(max-width: 320px) 320px, 640px" class="progressive-image-large" alt="Screenshot 2018-05-18 07.52.06"/></picture><figcaption class="inline-image-caption"><i class="icon-camera"/>The Indiana Amish sharing the road with their “English” neighbors.<span class="inline-image-credit has-space"> (Jameson Wetmore)</span></figcaption></figure><p><strong>You’ve said before that technology is “value-laden.” What values do you believe are inherent in technology that the average iPhone user doesn’t think about?</strong></p>
<p>There has been a concerted effort to say that technologies are value-free. That they are simply piles of metal and wire and computer chips, and really the only thing that matters is the people who use them. This is sort of debunked. When any technology is designed, it is usually designed with purpose and goals. Values underlie those purposes and goals.</p>
<p>Think about the origins of Facebook. This was not a value-free technology. The goal was to connect people. That’s a value a lot of people held and a lot of people flocked to it because they shared that value.</p>
<p><span class="pull-quote"><span class="quote-line"> </span><span>When any technology is designed, it is usually designed with purpose and goals. Values underlie those purposes and goals.</span><span class="quote-line"> </span></span>But technologies also change the equation. We have this long-running conversation about whether people kill people or guns kill people. It ends up being the person with a gun can kill a lot more people, a lot faster than a person without a gun. I’m not saying that the person involved doesn’t play a role, but it is the combination of the two. The value system changes when technology enters into it.</p>
<p>And the other thing is we don’t think about the impact technology might have on our lives beyond the initial big idea. So the automobile was sold to us with this idea of a freedom we never had before. It wasn’t necessarily sold to us with the idea of significantly increasing teenage pregnancy. And I don’t believe it was designed for that purpose in mind. But it<a href="https://madeinamericathebook.wordpress.com/2012/07/16/sex-and-american-car/"> allowed the value of premarital sex to be much easier to pursue, </a>and, as a result, people pursued it. A big part of the sexual revolution was just the fact that young people could escape their parents with a car in ways they never could before.</p>
<p><strong>So can we anticipate unintended consequences way the Amish do, or are these systems just too complex to go much beyond first-order effects?</strong></p>
<p>The Amish use us as an experiment. They watch what happens when we adopt new technology, and then decide whether that’s something they want to adopt themselves. I asked one Amish person why they didn’t use automobiles. He simply smiled and turned to me and said, “Look what they did to your society.” And I asked what do you mean? “Well, do you know your neighbor? Do you know the names of your neighbors?” And, at the time, I had to admit to the fact that I didn’t.</p>
<p>And he pointed out that my ability to simply bypass them with the windows closed meant I didn’t have to talk to them. And as a result, I didn’t.</p>
<p><span class="pull-quote"><span class="quote-line"> </span><span>“I asked one Amish person why they didn’t use automobiles. He simply smiled and turned to me and said, ‘Look what they did to your society.'”</span><span class="quote-line"> </span></span>His argument was that they were looking at us to decide whether or not this was something they wanted to do or not. I think that happens in our society as well. We certainly have this idea of alpha and beta testing. There are people very, very excited to play that role. I don’t know if they always frame themselves as guinea pigs, but that’s what they are.</p>
<p><strong>So how do the Amish decide on new technologies?</strong></p>
<p>For the Amish, there are no rules prohibiting new technologies. So typically what will happen is one member of the community will say, “You know, I’m fed up with axes. I’m using the chainsaw.”</p>
<p>So maybe he goes out and begins to use a chainsaw. You might get some stern looks from neighbors, but officially it’s not prohibited. Every six months, the [Amish district councils] sit down and discuss. <em>People are beginning to use chainsaws in our communities: Is this what we want?</em> And then they have a conversation about it.</p>
<p>They discuss the values, but they also discuss a little bit about the person already using it: whether or not it’s something they think would be beneficial for their society as a whole. There are times where they decide absolutely that this is a new technology we need.</p>
<p>The classic example is that the Amish value farming as a job. More than anything else, the ideal Amish person is a farmer. And when the US government local government begin introducing regulations about milk safety in the 1960s and 1970s, all of a sudden [their milk] didn’t meet those regulations. The Amish technique didn’t allow it. <em>[The rules required dairy producers to constantly agitate the milk, chill it to a certain temperature and deliver it once per day to the local milk distributor.]</em></p>
<figure id="image-1282013" class="progressive-image inline-image  alignnone zoomable size-medium"><picture><img src="https://qz.com/wp-content/uploads/2018/05/screenshot-2018-05-18-07-51-09-e1526657493933.png?w=50" class="progressive-image-thumbnail"/><img data-srcset="https://qz.com/wp-content/uploads/2018/05/screenshot-2018-05-18-07-51-09-e1526657493933.png?w=320 320w, https://qz.com/wp-content/uploads/2018/05/screenshot-2018-05-18-07-51-09-e1526657493933.png?w=640 640w, https://qz.com/wp-content/uploads/2018/05/screenshot-2018-05-18-07-51-09-e1526657493933.png?w=940 940w, https://qz.com/wp-content/uploads/2018/05/screenshot-2018-05-18-07-51-09-e1526657493933.png?w=1600 1600w, https://qz.com/wp-content/uploads/2018/05/screenshot-2018-05-18-07-51-09-e1526657493933.png?w=3200 3200w" data-src="https://qz.com/wp-content/uploads/2018/05/screenshot-2018-05-18-07-51-09-e1526657493933.png?w=643" sizes="(max-width: 320px) 320px, 640px" class="progressive-image-large" alt="Screenshot 2018-05-18 07.51.09"/></picture><figcaption class="inline-image-caption"><i class="icon-camera"/>A tank and propane-powered milk agitator on an Amish farm.<span class="inline-image-credit has-space"> (Wetmore)</span></figcaption></figure><p>The Amish sat down and thought long and hard about this. Some Amish communities said: <em>Nope, we’re done. We can’t interface with these English people anymore.</em> And they began to make cheese. Other Amish communities said, <em>No, we want to make sure we stay in milk production</em>. <em>This is really important to us, so we’re going to create some systems a little different from everyone else, but we’re going to create some refrigeration systems that run on propane so it won’t hook up to the electrical grid.</em></p>
<p>But the Amish said the Sabbath was something they would not change. They would not compromise their day of rest. They worked with local milk wholesalers and arranged to have their milk picked up early Saturday and Saturday night, so they would have Sunday free. They were willing to compromise and they thought about their values.</p>
<p><strong>I’m trying to imagine an analogy in our society for something like Facebook. Is it the process, or is it the values behind that process that matter?</strong></p>
<p>I think it’s both. One thing it’s taken me awhile to understand is that I don’t think the Amish believe in progress. I don’t think the Amish believe there is a perfect world in the future. I think that is something that drives a lot of our society: the idea there must be progress and there is a place we need to get to.</p>
<p>[For us], I think we’re willing to do a lot more experimentation and have a lot more failure, to be fair. It’s pretty crazy if you stop to think about it to realize that car travel is so important to us, that were willing to sacrifice 30,000 to 40,000 lives a year for it.</p>
<p>Even I can’t imagine a world without that.</p>
<p><strong>What do you think is the real clear downside to the approach the Amish have adopted of dealing with technology in the modern world?</strong></p>
<p>We have to admit, regardless of whether you’re really frustrated with technology or even call yourself a Luddite, technology has done some incredible and amazing things to our world. All things being equal, it’s hard to say decreasing infant mortality and radically increasing the life expectancy of people isn’t in some ways good.</p>
<p>I think if you’re like the Amish, it’s not a goal you are going to be working for. You’ll be satisfied with much lower life expectancies. At the same time, they benefit from the risks we’ve taken in our society. For the most part, they’re not going to run to the local doctor for a cold. But if one of their people gets a nasty disease or develops cancer, they will use the latest Western medical devices and approaches in order to help cure that. To some extent, they got a little bit of the best of both worlds.</p>
<p>They have the ability to keep themselves separate, and try to enjoy a much slower lifestyle than us. At the same time, they can jump into our world occasionally when there are big problems.</p>
<p><strong>Do you think the opposite is happening where people in our society want to jump into their world? Not become Amish per se, but people are trying to replicate some of those characteristics.</strong></p>
<p>I wrote an article a couple years ago that we’re all becoming a little bit more Amish. Again, the Amish don’t always simply reject a technology, but they have very specific rules about how it is to be used.</p>
<p>What really fascinated me over the last few years is the number of people who have developed rules about their cell phone usage. The federal government doesn’t really regulate cell phone usage at all. Some state governments regulate whether you can use it while driving, but nobody says you are not allowed to use your cell phone at the dinner table.</p>
<p><span class="pull-quote"><span class="quote-line"> </span><span>The Amish don’t always reject a technology, but they have very specific rules about how it is to be used.</span><span class="quote-line"> </span></span>Yet it’s very hard to find a person who hasn’t at least considered making a rule for themselves and, of course, sometimes for their family, that dinner time is a time for direct family communication. That communication is more important, at least for that time period, than mobile phone communication.</p>
<p>And so people have constructed their own rules to make sure that they really prioritize what they value which is that time to be together, face to face.</p>
<p>And this is our way of negotiating with technology. Rarely do we as individuals outright reject technology, but we carefully calibrate the role that it plays in our lives.</p>
<p>I sometimes do a poll. I hold up my mobile phone and ask how many people love this technology. I usually get 75% of the people raise their hands. And I say, who hates his technology. And I usually get 75% of the people raising their hands. The overlap is definitely there.</p>
<p><strong>It’s clear that our lives are changing. Where do you think we’re going to end up in the next ten or even 50 years in terms of our relationship with technology?</strong></p>
<p>I would urge people to to read this amazing science fiction short story by EM Forster called “<a href="http://archive.ncsa.illinois.edu/prajlich/forster.html">The Machine Stops.”</a> It was written in 1908.</p>
<p>In the story, basically everyone is online 24 hours a day, and everyone lives underground in their own little caves. Nobody interacts physically with anyone anymore. It’s the story of one young man who wants to break out of this.</p>
<p>It is really disturbing that someone over 100 years ago predicted what we might do with the technology. That they could see the kernels of that. Now, I don’t think we’re going to end up where this is, but the fact that you can see the shapes of it today is still amazing to me.</p>
<p>One of the things I’ll be curious about is that there there seem to be people who are much happier online than interacting with people face-to-face. If that kind of communication becomes privileged, if it becomes that you can make more money that way, if it’s cheaper that way, then more people may be drawn to that kind of life.</p>
<p><strong>You see trend lines moving in that direction?</strong></p>
<p>I’m less interested in making predictions about the future, more interested in noting that there are different scenarios possible and encouraging people to consider what is the role they want to live in.</p>
<p>At the beginning of the age of the automobile, nobody said, <em>All right: 30,000 people a year are going to die. Is that a decision we want to make?</em> What did happen is a very intense discussion about whether a car should be allowed on the road and who should be at fault when a car drives over a four-year-old in the street.</p>
<p><img class="size-hero-m wp-image-1275566 aligncenter" src="https://qz.com/wp-content/uploads/2018/05/new-york-times-nov-23-1924.jpg?quality=80&amp;strip=all&amp;w=640" alt=""/></p>
<p>In the 1930s, we ended up as a society deciding that four-year-olds should be the one to blame. We began to train people even before they began to speak about how to cross the street and how to avoid it in the street. We redesigned our world to be safe for automobiles and dangerous for children.</p>
<p>Those are the conversations we’re having today.</p>
<p><strong>I never thought about it that way.</strong></p>
<p>In 1915, the safest place for your kid was the street. That’s where everyone played in New York City. Strangers might come and go, but there was always a neighbor looking out the window. We had parks, of course, but the proliferation of city parks came after we decided an automobile should be allowed to take over the streets, and we had to find a place to take our children. So we redesigned our cities to make them safer for automobiles.</p>
<p><strong>So how are the Amish faring in the modern world?</strong></p>
<p>The Amish go through this period called r<em>umspringa, </em>or running about. Between 15 to 20 years old, your community will choose to turn a blind eye if you go out to explore the English world. Maybe you get a job at McDonald’s. Maybe you even buy a used car. You may still live at home, and maybe have your car behind the family barn, so you don’t embarrass your parents. Basically, the Amish are given a chance to explore our world. They are making an informed decision. In a sense, when are they truly deciding to become Amish, they are rejecting our world.</p>
<p><span class="pull-quote"><span class="quote-line"> </span><span>In the 1960s and 1970s, 75% of Amish children would decide to become Amish adults. The most recent statistics show that’s up to 95%.</span><span class="quote-line"> </span></span>Sociologically, it’s a really important part of their culture that they allow young people to spend some time in our world. They have to decide: Am I going to become Amish? It’s an incredibly important decision because if they choose not to become Amish, they can come and go as they please. They probably can’t live in their parents’ house anymore, but they’re welcome to come back and celebrate birthdays with their family.</p>
<p>If they choose to become Amish and <em>then</em> leave the Amish church, then they are shunned. They’re no longer allowed to come and go. Nobody in the community is allowed to speak to them ever again. That’s true with your parents and siblings and everyone else who were in the Amish church. And this is their way of saying: Look, you’re either going to make a commitment to us or not, but that commitment has to be complete.</p>
<p>When sociologists were really diving into the Amish culture in the 1960s and 1970s, 75% of Amish children would decide to become Amish adults. The most recent statistics show that 95% are now choosing to join the Amish Church.</p>
<p>More and more Amish kids are spending time in our world and deciding that’s not what they want. I suspect at the heart of a lot of it is the pace of change, and the perhaps to some extent the value system of our world becoming even more distant from the Amish world than it was just 20 or 30 years ago.</p>
<p><strong>Does that surprise you?</strong></p>
<p>You know, I always find that number surprising. Even now, it’s hard to fathom. Yeah, you’ve grown up Amish all your life, but there’s a lot of amazing things in our world. To decide to not be a part of it, I would think there would be more that would want to join our world. To some extent, it’s a bit of an indictment I think.</p>
<p>The Amish have always rejected our world, but now they’re doing it in record numbers!</p>
<p><strong>You mentioned that the Amish can have their cake and eat it too because they move in and out of the modern world. Can we have our cake and eat it too, to some extent, if we’re careful at making decisions about new technologies?</strong></p>
<p>To understand what’s going happening with technology, we will always have to experiment. And we’re always going to have to experiment on real people.</p>
<p>This is an issue that hits close to home here. Less than a mile from where I’m standing [in Phoenix, Arizona], Elaine Herzberg was <a href="https://qz.com/1232570/a-self-driving-uber-just-killed-a-woman-in-arizona-as-uber-suspends-its-autonomous-tests/">killed</a> by an autonomous Uber vehicle. I fully recognize the only way we’re going to get automated vehicles running in this world is to test them on city streets. Now, if we were to sit back and think about the values of the society here, we might say that testing those vehicles at 10 PM at night outside of a concert hall where a huge amount of alcohol had been served was not the best place to be testing. Perhaps testing in a school zone when children are present is not the best place to test an autonomous vehicle.</p>
<p>But those are decisions that local people here did not have the chance to make. There are better and worse ways to do it. It doesn’t have to be tested on everyone all at once.</p>
