title: La procédure parlementaire, le déficit démocratique français
url: http://www.jslefebvre.eu/analyses/2018/04/03/la-procedure-parlementaire-le-deficit-democratique-francais/
hash_url: b79a7138034bc164c56d8fb73a8cdecb

<p class="p1"><span class="s1">Examen en commission, amendements, passage en plénière, vote, navette parlementaire. Mon collègue égraine les étapes de la fabrication d’une loi en France. Nous sommes dans les locaux du journal à Paris et sa mission de ce début d’après-midi est de former les correspondants bruxellois à ces subtilités. L’objectif est simple. Permettre à chaque journaliste de comprendre aussi les enjeux des autres rubriques et ainsi faciliter les collaborations. </span></p>
<p class="p1"><span class="s1">C’est ainsi. Je connais mieux les arcanes du pouvoir européen que ceux de mon propre pays. Je peux vous citer nombre d’arrêts de la Cour de justice de l’UE, le Conseil constitutionnel ne m’est que vaguement familier. <a href="https://www.contexte.com/article/relations-interinstitutionnelles/les-trilogues-ces-raccourcis-de-la-democratie-europeenne_23550.html">Un trilogue</a> me parait être une évidence, alors que <a href="https://fr.wikipedia.org/wiki/Commission_mixte_paritaire">l’existence des CMP</a> reste un mystère. </span></p>
<p class="p1"><span class="s1">Dans les grandes lignes, les procédures françaises et européennes sont relativement similaires. Après tout, que ce soit à Paris ou à Bruxelles, une des missions premières d’un député est d’amender les textes qu’on lui propose. </span></p>
<p class="p1"><span class="s1">Or, au fur et à mesure que Samuel avance dans son propos, mes yeux s’écarquillent. </span></p>
<h2 class="p1"><span class="s1"><b>Un jeu déséquilibré </b></span></h2>
<p class="p1"><span class="s1">Chaque petite astuce du Palais Bourbon est faite pour qu’à la fin… ce soit le gouvernement qui l’emporte. Aucun doute n’est permis. L’exécutif a toutes les cartes en main pour réduire au strict minimum l’influence des députés. Attention, je ne dis pas que le Parlement européen est un bastion de courage politique, loin de là. Mais au moins, il existe une vraie autonomie du travail des parlementaires, condition indispensable pour pouvoir infléchir un texte.</span></p>
<p class="p1"><span class="s1">À Paris, quand un projet de loi arrive à l’Assemblée nationale, il est examiné pendant une semaine en commission parlementaire, puis en séance publique la semaine suivante. Et voilà. En quinze jours, c’est plié. Honnêtement, comment imaginer que les députés puissent se faire une idée claire, réfléchir aux conséquences de telle ou telle mesure en si peu de temps ? Faire le poids face à des ministres qui disposent de services administratifs spécialisés pour les alimenter en analyses et arguments est mission impossible. La technocratie écrasera forcément le politique, chose qui n’a pas l’air de déranger quand cela se fait à Paris.  </span></p>
<p class="p1"><span class="s1">Sans forcément passer entre six et douze mois sur une loi comme à Bruxelles (les enjeux d’équilibre ne sont pas les mêmes), un juste milieu ne serait-il pas possible ? Pour permettre de mûrir les réflexions des députés qui ne sont pas omniscients en terme de connaissances sur les différents dossiers. Autant vous dire que depuis cette formation, je suis devenu un fervent parti partisan du Sénat, qui permet d’allonger légèrement le débat. Même si ses chances d’arriver à modifier un texte sont limitées et variables (rappelons-le, l’Assemblée l’emporte en cas de désaccord). </span></p>
<p class="p1"><span class="s1">Dans les débats actuels autour de la réforme constitutionnelle, Emmanuel Macron souhaite revoir la procédure parlementaire, pour aller encore plus vite. Je commence à me poser des questions sur l’utilité même dans ce cas, de conserver un Parlement. Soyons sérieux. Ou il suffirait juste de lui demander de répondre par oui ou non. </span></p>
<h2 class="p1"><span class="s1"><b>Maitre des cartes et des horloges </b></span></h2>
<p class="p1"><span class="s1">L’autre point qui m’a fait tomber de ma chaise, la question des amendements. À Bruxelles, les députés en déposent autant qu’ils le souhaitent, sont les seuls à pouvoir le faire, et les périodes pour pouvoir le faire sont clairement définies. </span></p>
<p class="p1"><span class="s1">À Paris, en plus du fait que le gouvernement peut lui-aussi en soumettre, il a le droit de le faire quand il veut. Si, si. Même en dehors des délais, et rien l’empêche d’en proposer un de trois pages, complexe au possible, quelques heures avant le vote. Cela ne peut fonctionner que si vous misez sur la docilité de votre majorité, pas trop regardante sur ce qu’elle vote. </span></p>
<p class="p1"><span class="s1">Soyons honnêtes. Au niveau européen, la Commission tente bien de convaincre certains députés de déposer tel ou tel amendement. Mais rien de comparable. C’est le jeu normal de l’influence du pouvoir, et un jeu complexe car il faut ensuite convaincre une majorité d’élus de soutenir la proposition. L’exécutif ne peut miser sur la loyauté d’un seul parti, puisqu’aucun n’a la majorité. </span></p>
<p class="p1"><span class="s1">Enfin, que dire quand on voit que l’Assemblée nationale ne détermine qu’une semaine par mois son propre ordre du jour… Deux semaines par mois, c’est le gouvernement qui décide sur quoi les députés vont travailler. On est très loin de la conférence des présidents du Parlement européen, qui décide souverainement de son agenda. </span></p>
<p class="p1"><span class="s1">Le pouvoir législatif français est clairement placé sous tutelle de l’exécutif alors qu’ils devraient être indépendants l’un de l’autre. </span></p>
<p class="p1"><span class="s1">Un hémicycle est là pour contrôler, soupeser, mettre sur le grill les projets législatifs de l’exécutif. Or, l’Assemblée nationale ne dispose que de très peu d’outils pour cela. Car même si un texte passe avec des amendements qui déplaisent au gouvernement, ce dernier peut revenir dessus en demandant un vote bloqué : l’Assemblée doit se prononcer de nouveau sur le texte en prenant seulement en compte les modifications approuvées par l’exécutif. Vous brisez alors toute la nuance nécessaire à un débat parlementaire puisque vous jouer la carte “loyauté” de la majorité envers le président de la République. </span><span class="s1"> </span></p>
<p><span class="s1">Finalement, les Français ont bien compris tout ce petit jeu – sans forcément en connaître les détails – en montrant bien peu d’entrain à voter aux législatives. Le pouvoir ne réside pas dans leur Assemblée, mais dans la superstructure composée de l’Elysée, Matignon et les ministères. Si un tel système pouvait fonctionner (et apparaître légitime) dans les années 60, il apparait complètement dépassé pour répondre aux enjeux actuels. Entre deux élections présidentielles, les citoyens, à travers leurs représentants, n’ont aucune prise sur l’orientation des décisions via le fonctionnement normal des institutions. La déficit démocratique est béant. </span></p>
<h2 class="p1"><span class="s1"><b>Souvenir de 2016</b></span></h2>
<p class="p1"><span class="s1">En écrivant ces lignes, cela m’a fait penser à une anecdote qui remonte à 2016 et qui montre bien la différence de culture politique, entre un régime (même embryonnaire) de système parlementaire, et le pouvoir français. Le Premier ministre de l’époque, Manuel Valls s’est rendu au Parlement européen, et s’est exprimé face au groupe des sociaux-démocrates. </span></p>
<p class="p1"><span class="s1">Son intervention et la séance de questions-réponses est restée dans les mémoires puisque le chef du gouvernement français a passé son temps à s’emporter contre les interrogations de sa propre famille politique européenne. Manuel Valls a même piqué une colère car les députés mettaient trop de temps à son goût pour voter le PNR, le fameux registre des passagers des compagnies aériennes créé pour permettre de mieux repérer les terroristes en vadrouille. Certains élus jugeaient même la proposition dangereuse, car pas assez protectrice pour la vie privée des citoyens. </span></p>
<p class="p1"><span class="s1">Tout s’explique maintenant. Manuel Valls pensait parler à des exécutants. Eux se comportaient en représentants du pouvoir législatif.</span></p>
