title: Le dogme de la "startup nation" à l’attaque du service public
url: https://blogs.mediapart.fr/dominique-g-boullier/blog/070618/le-dogme-de-la-startup-nation-l-attaque-du-service-public
hash_url: ee1a15eed46e2fd9cef9b41ee81036cb

<p>La dernière mode de la « start-up nation » semble en passe de faire des ravages dans les services publics. C’est la mission de la DITP (Direction Interministérielle à la Transformation Publique) notamment qui veut lancer un conseil scientifique auquel je refuse de participer et je m’en explique en détail ici. Une nouvelle génération équipée de slogans empruntés au monde des start-ups semble prête à imposer sa loi et à rééduquer tous nos services publics, tout cela de façon aussi dynamique qu’implacable. Les véritables start-uppers devraient prendre garde à ce véritable hold-up sur leur culture qui vise à enrégimenter tous ces acteurs au service d’une campagne idéologique qui cible désormais les services publics. On aurait tort de ne considérer les anglicismes et les tics de langage comme une simple marque de connivence, ils sont tous porteurs d’une représentation du monde qui prétend désormais s’imposer aux services publics. Pourtant, les services publics en ont vu des attaques depuis 40 ans de la révolution libérale. Distinguons pour faire vite trois époques et représentons-les par trois figures politiques qui ont été les plus offensives à chaque génération : Thatcher, Blair et Macron (autres candidats bienvenus !), le rasoir à trois lames du libéralisme. La filiation entre ces époques doit être reconnue car le suivant n’a jamais perdu la trace déjà faite par son prédécesseur. Dans tous les cas, des modes de calcul et des modes de management nouveaux se sont imposés dans les services publics, modes déjà fort discutables et destructeurs dans les entreprises privées mais transposés avec enthousiasme dans les contextes totalement différents des services publics.</p>
<p><b>Le rasoir à trois lames du libéralisme: Thatcher, Blair et Macron</b></p>
<p/>
<p>Avec Thatcher, au début des années 80 (et avec Reagan aux USA), les dogmes de la privatisation massive de nombreux services publics et de la baisse des impôts qui oblige à des réduire les coûts, comme la rationalisation des choix budgétaires, à la même époque en France, font des ravages, tout autant que les attaques frontales contre le mouvement syndical. Une première logique comptable très basique s’impose, mais elle prend la forme d’une doctrine du New Public Management qui distille les modèles marchands dans la gestion des services publics à partir de la fin des années 80, la diffusion de l’informatique personnelle va aider à la diffuser. Depuis cette époque, l’austérité, autre nom de la démolition des services publics, a été systématiquement perpétuée, avec des périodes d’assouplissement très courtes et sans alternative. TINA est toujours bien vivant et se maintient comme l’argument fatal, désormais mâtiné « d’efficacité » invoquée comme une évidence non discutable.  La supposée spirale infernale du déficit et de la dette devient l’argument clé et incontournable, qui entraine une misère de la pensée plutôt tragique, qui vise surtout à se débarrasser du principe même de débat politique, de démocratie au profit d’une « morale de comptable ».</p>
<p>Avec Tony Blair, cette offensive massive et collective se transforme en troisième voie, qui promeut la flexibilité généralisée du marché du travail étendue aux services publics, qui ne nécessite pas des attaques frontales mais un travail constant de sape de la sécurité des emplois publics au cœur même des contrats de travail. Le pilotage fin des performances de chacun, censé être « responsable » de son destin pour rendre son « capital social » plus « compétitif », entre désormais dans les pratiques ordinaires du management public. Le « benchmarking » est l’élément clé qui permet de tout comparer, même l’incomparable, avec des périmètres et des environnements (internationaux par exemple) à géométrie variable selon les objectifs (et l’Allemagne sert d’argument comparatif type). L’outil n’est plus seulement le tableur mais le tableau de bord, qui évolue en temps réel et devient coordonné à toutes les autres unités (pas encore appelées « business units » dans les services publics mais presque). L’évaluation individuelle généralisée et le reporting, tout est bon pour nourrir des ERP désormais aux commandes de la gestion des ressources humaines comme de toutes les activités, à partir des années 2000, même si on se rend compte, quand on les a pratiqués, qu’il est bien plus complexe de piloter une gestion de carrière (cf. le système Louvois !) et des relations d’équipe qu’un process fonctionnel.</p>
<p>Avec Macron, l’austérité est toujours là, la flexibilité et la précarité individualisée aussi, et la brutalité de l’offensive actuelle est même justifiée par le fait que la France a résisté aux passages des deux premières lames du rasoir libéral (alors que Schroeder a fait le travail en Allemagne). Le programme de startupisation veut instiller à toute force le germe de l’innovation dans les services publics comme nouveau dogme indiscutable, ce qui peut paraître inédit. Mais on ne peut ignorer que cet impératif de « mobilisation générale » (Supiot) se fait non pas à coût constant mais à coûts sans cesse réduits (comme le voulaient Thatcher ou Blair) et avec un stress d’adaptation à des politiques qui sont devenues parfois aussi changeantes que dans les entreprises soumises à la loi des investisseurs. On se doute qu’il n’est pas simple de faire adhérer des agents du service public à un discours de modernité et d’innovation dans un tel contexte qui ne doit jamais être interrogé alors que tous vivent douloureusement la dégradation continue de la qualité de leur propre travail et donc du service au public. Désormais, il ne suffit pas d’être adaptable et réactif, il faut se « mobiliser » dans des « projets », ce que Boltanski et Chiappello avaient déjà très bien décrit dans "le nouvel esprit du capitalisme" qui a cependant mis du temps à percoler dans l’idéologie manageriale des services publics.</p>
<p><b>Le startupisme financiarisé comme modèle?</b></p>
<p>Et pour cela, un seul modèle tout prêt à l’emprunt, celui des plates-formes et des start-ups. On aurait pu penser que « l’état plate-forme » serait devenu le slogan de Macron et de toute l’administration, sous l’influence de l’élite économique et des réseaux de consultants qui gravitent autour de lui. J’avais signalé comment l’ouvrage de Colin et Verdier sur « l’âge de la multitude » vantait de façon quasi obscène la performance des plates-formes, à l’époque (2012) où Uber émergeait avec la philosophie de barbare qu’on connait (et dont les auteurs se réjouissaient puisque cela allait enfin bousculer toutes les rentes) et où les GAFA devenaient les maitres du monde, les nouveaux suzerains auprès desquels tous les gouvernements faisaient figure de vassaux. En fait, il semble quand même que la mode ait un peu fané la réputation de ces plates-formes et qu’il vaille mieux vanter le modèle start-up. Et tous ces termes ne sont pas anecdotiques, car ils portent des métaphores, des fictions qui deviennent vraies par la capacité de storytelling autoréalisatrice de la plupart des « leaders du monde libre », comme on disait. La réputation étant devenue la valeur clé pour toute cette économie financiarisée à haute volatilité spéculative (Orléan), les administrations se moulent dans ces discours et les adoptent ou les abandonnent parfois à la vitesse de l’éclair (mais parfois continuent étonnamment à les mobiliser, comme « la nouvelle économie », arnaque des années de la bulle internet). Car ce sont les signaux envoyés aux investisseurs qui comptent et l’emploi systématique de l’anglais, des termes d’un monde imaginaire, celui des start-ups, visent à faire preuve de connivence et de séduction par rapport à ces investisseurs, comme le montre très bien Michel Feher (le temps des investis).</p>
<p>Par principe, « start-up » sera considéré comme un terme positif, « tendance », attractif pour les investisseurs et devra aussi le devenir pour les services publics, qui doivent eux aussi entrer dans la compétition pour la séduction des investisseurs… ou leur être vendus ! Que se cache-t-il dans ce mantra, dans ce mème, de la startup qui doit être puissant au point de devenir notre modèle à suivre ? On pourrait penser que c’est la prise de risque, l’esprit d’entreprise, cet entrepreneur à la mode de Schumpeter, qui tente de nouvelles combinaisons et qu’il faut bien distinguer des capitalistes, des détenteurs et apporteurs de capitaux, qui, selon Schumpeter lui-même, n’ont pas à être rémunérés plus que de mesure puisque tout le risque est pris par l’entrepreneur. Certes, il en existe, j’en connais, j’en ai fait partie avant la vogue des start-ups (on appelait cela « créateurs d’entreprise » et on se réunissait en clubs du même nom). Mais désormais, l’entrepreneur doit jouer d’emblée dans la cour des grands, des gens sérieux, celle des capitaux dit risqueurs mais qui, il faut bien l’avouer, ont tellement de liquidités qu’ils ne risquent plus grand-chose si ce n’est l’ennui. Et ça change tout, ce basculement dans la start-up financière dont le seul critère et le seul chant de victoire tient à la levée de fonds alors que nous étions tout heureux avec notre premier client, un vrai qui paye cash. Avec ces levées de fonds, on peut faire à peu près ce qu’on veut une fois qu’on a fait le pitch et le tour de table qui convient, c’est-à-dire avant tout de la communication et de la réputation pour attirer encore et encore les investisseurs, quitte à brûler tout le cash obtenu pendant quelques années et à condition de revendre juste avant que le désastre et la vacuité totale du marché envisagé soient trop visibles. Tout cela est enseigné dans les écoles de commerce, dans les incubateurs aussi, et si la performance des porteurs de projets en matière de pitch a progressé de façon vertigineuse, on ne peut pas en dire autant de leur créativité.</p>
<p>Est-ce bien ce type de modèle qu’on veut importer dans le service public ? Je pense que certains seraient ravis de brûler tout ce cash aussi mais je les connais, les responsables des services publics, ils n’oseraient pas se goinfrer aussi effrontément, car ils n’ont pas ce « greed » (appétit financier) qui est devenu la qualité morale dominante semble-t-il. Ils seraient même capables de faire des économies en prévision des mauvais jours ou choisiraient de vrais investissement durables pas toujours visibles, alors qu’il faut savoir avant tout faire du « community management » et provoquer le buzz. Oui, il existe une obscénité de la finance qui se transmet à certains startupers (même à certains de mes étudiants, c’est dire mon impuissance !) qui veulent déjà montrer le niveau de vie des dirigeants mythiques des licornes alors qu’ils n’ont que les cornes des escargots. Suis-je trop dur ? Certainement pour certains véritables entrepreneurs que je connais aussi, qui font figure de résistant(e)s avec leurs valeurs de partage, de coopération, de créativité, d’excellence technique et de service du bien commun. Mais non pour une partie des startupers qu’on a gavés, intoxiqués à coup de levée de fonds toujours plus performantes. Première recommandation donc à destination des nouveaux idéologues du service public startupisé : faites le ménage linguistique et précisez que, lorsque vous parlez de start ups, vous parlez d’entreprise, d’esprit d’entreprise et non de spéculation et de tour de table. Vous verrez que vous serez déjà plus convaincants, surtout auprès du service public.</p>
<p><b>Recette 1: table rase</b></p>
<p>Il restera quand même à préciser pourquoi la créativité ou la gestion de projet devraient obligatoirement être importées des entreprises. Les solutions (car, à la manière de Morozov, on parle de « solutions » et de « méthodes » mais quasiment jamais de visions) qui sont proposées sur le site « comment-faire » du gouvernement sont un vrai régal de ce point de vue et nous servirons de test ( on peut le consulter sur <a href="http://comment-faire.modernisation.gouv.fr/" class="external" target="_blank">http://comment-faire.modernisation.gouv.fr/</a>). Toutes les recettes apprises dans les écoles de commerce ou de design sont présentées comme si cela devait garantir la créativité. En tous cas, première certitude, les agents eux-mêmes ne seront pas les acteurs de ce changement. En effet, on y parle de projets mais jamais de ce qui se fait déjà, de ce qui a été proposé, de qui a été refusé, et de ce qui, après ces expériences frustrantes, a démoralisé toute une partie du personnel, parfois sévèrement, comme dans l’éducation nationale que je connais un peu plus. Il faut d’ailleurs examiner les cas recensés sur le site pour constater que malgré le modèle proposé, les équipes citées en exemples ont toujours réussi à faire appel à leurs expériences pour réussir à produire quelque chose de crédible. Ainsi à la préfecture d’Ile de France, pour imaginer un nouveau « welcome desk manager » (oui, c’est un autre pays, l’Ile de France, qui parle une autre langue), les participants ont mentionné qu’il existait déjà plusieurs solutions dans leurs services pourtant très retardataires à n’en pas douter. Ressources étonnantes qui ne figurent pas dans les méthodes innovantes proposées : une histoire, une mémoire, une généalogie, une trace de tout ce qui a été tenté et de tout ce qu’on peut apprendre, des réussites comme des échecs. Voilà un des syndromes de l’idéologie startupiste (qu’il faut distinguer du travail des vrais startupers) : l’inculture historique (soit technologique, soit marchande, soit du milieu ciblé), qui se traduit dans un principe de  « table rase » ( ce qui aboutit à des vexations notoires dans les jurys de startups en quête de financement quand ils s’entendent rappeler que untel s’est planté avec la même solution dans le pays voisin, ou à une époque précédente).</p>
<p>Or, qui dit service public, dit mémoire, par définition, celle qui se constitue sur des référents stables, qui doivent même garantir la cohérence d’une politique publique au-delà des lubies des derniers élus, qui ne font que passer de toutes façons. Cette mémoire est disqualifiée comme un conservatisme évidemment, comme une « résistance », comme le dit le secrétaire d’état au numérique qui dit qu’il faut « combattre les résistances à l’IA » !  Vu comme ça, il est certain que ça ne donnera guère envie aux agents de participer car toute remarque serait interprétée comme une résistance qu’il faut combattre a priori. Or, ce sont ces objections issues de l’expérience des métiers qui peuvent au contraire permettre d’apprendre. Le terme de « société apprenante » est aussi parfois employé mais dès lors qu’on commence par faire table rase de l’expérience de chacun, il est clair qu’on n’apprendra guère et qu’on changera de mode pour mieux reproduire les mêmes erreurs. Car il ne s’agit pas de dire que tout va bien, que le management des services publics français est ce qui se fait de mieux ! Mais on peut choisir d’explorer les possibles y compris dans leur traitement historique et non prétendre faire appel au sauveur suprême du dogme startupiste. Il est d’ailleurs étonnant de voir comment aucune proposition pour gérer le changement n’est pris en compte dans toutes ces méthodes : la magie du design thinking doit opérer seule. Comme si les services n’avaient jamais réfléchi à des projets nouveaux ! Certes, ils n’appelaient pas leur calendrier ou échéancier « road map », ce qui change tout, évidemment. Ils faisaient des présentations, alors qu’ils doivent désormais faire des » pitch ». On mesure le ridicule du « linguistic turn » (oui, on peut faire aussi pédant dans les sciences sociales, je l’admets!)</p>
<p><b>Recette 2: créativité oui! controverse non!</b></p>
<p>Un autre exemple intéressant des retours d’expérience présentés sur le site, cette fois-ci à propos d’un projet de prospective de la CNIL (la prospective étant sans doute ce qui a consommé et épuisé le plus grand nombre de méthodes créatives pour déboucher à tous les coups sur les mêmes scénarios à trois options qui oriente toujours vers la moyenne).  Mais les équipes de la CNIL introduisent un caillou dans la chaussure du sprinteur qu’est la nation start-up : elles créent des personas (autre mot magique du design de l’expérience utilisateur, que j’enseigne par ailleurs !), mais des personas qui sont dotées du pouvoir de critique et qui entrent donc dans une controverse, ou tout au moins un débat. Mais la pédagogie des controverses voire celle des simulations que j’ai pratiquées à Sciences Po auprès de Bruno Latour, ne fait pas du tout partie de l’outillage proposé par le site. Au contraire, il faut toujours prétendre savoir où l’on va avec comme seul feedback opérationnel les retours utilisateurs (ce qui n’est déjà pas si mal, et j’ai passé ma vie à défendre ces méthodes) qui peuvent cependant être aisément exploités contre les agents eux-mêmes. Mais je n’ai jamais confondu les sujets des tests que je mettais en place avec le statut de citoyen ou d’agent des personnes qui allaient faire marcher les systèmes.</p>
<p>A ce moment, il faudrait en fait basculer dans une procédure…politique !! Voilà un gros mot qui fâche alors que l’on était censé communier dans le culte de l’innovation ! Car on peut développer une interface géniale et très « user friendly » d’une application et avoir des retours très satisfaits de ces clients futurs ou réels alors même que l’application crée un désastre économique (comme Uber), écologique (comme certaines applis de vélo irresponsables) ou moral (comme tout ce qui rend « addict » au clic suivant, qui vous « nudge » (influence) sans que vous vous en rendiez compte). Où se trouve la boite à outils des controverses, des débats publics, du bien commun qui exige débat, contradiction et souci, souci constant des développeurs eux-mêmes à propos de la finalité de leur travail. Car oui, même les geeks et startupers sont responsables et se rendent compte qu’on leur fait parfois produire des dispositifs d’asservissement. Aucune réponse sur la plate-forme « comment-faire » à ce sujet : heureusement, ce sont les acteurs eux-mêmes qui soulèvent le problème, en inventant des personas qui contestent, qui refusent, qui divergent ! La disparition du politique, voici le second syndrome du dogme startupiste. Puisqu’il est question de transformer la France en « start up nation », on voit rapidement le risque élevé.</p>
<p><b>Recette 3: passage à l'acte</b></p>
<p>Cela rappelle furieusement le mode de gouvernance des réseaux numériques : « rough consensus and running code ». Il faudrait raconter à tous les décideurs des services publics et donc aux élus aussi, comment se passent véritablement les décisions à l’IETF ou à l’ICANN (voir Badouard et  Musiani). Ils verraient alors à quel point les cultures politiques ont disparu pour faire place à un impératif quasi fusionnel autour des promesses de la technologie et surtout au passage à l’acte, celui du producteur de code. Il s’agit bien d’un passage à l’acte au sens psychanalytique, qui suspend toute élaboration du désir pour lui substituer la réactivité de la pulsion, dont on ne peut produire aucune réflexivité et qui ne supporte pas l’idée même d’un débat, d’un colloque, soit-il singulier. « Ça » pousse et « ça » agit à travers nous avec une inconséquence inévitable, qui est au fond le profil moderne par excellence qui a débouché notamment sur la catastrophe écologique contemporaine. Le climat a été détruit par les décisions inconséquentes du capitalisme industriel prédateur des ressources naturelles, le climat mental et politique est en cours de destruction par le capitalisme financier numérique prédateur de nos traces et de notre attention. Ce qui ne veut pas dire que rien n’est possible. Au contraire, cela pousse à imaginer de nouveaux possibles, de nouvelles combinaisons, réellement innovantes mais pour le bien commun. Pour cela, il faut en débattre, rendre tous nos systèmes d’information non seulement « computable » mais « debattable », ce qui, soit dit en passant, était le programme de Leibniz lui-même dans son « calculemus » ! Lorsque les gouvernements imposent des débats aux plateformes numériques toutes puissantes, cela se résume à des excuses comme l’a fait Zuckerberg. C’est dire à quel point le sens politique du débat, pourtant vital pour la démocratie, a été perdu au profit d’un modèle du confessionnal. On peut donc continuer à passer à l’acte à condition de s’excuser, ce qui revient à ajouter un nouveau terme au slogan du monde numérique « rough consensus, running code… and apologies » !</p>
<p>Spéculation, table rase et passage à l’acte, voilà déjà trois dimensions du dogme start-upiste décalque des impératifs catégoriques de la finance (et bien loin du réel de beaucoup de start-up d’entrepreneurs véritables). Tout cela devrait nous inciter à la prudence avant tout transfert sauvage dans les services publics de recettes qui, par ailleurs, n’ont jamais été sérieusement évaluées. La culture de l’évaluation qu’on impose au forceps aux services publics à coup de ratios parfois encore plus stupides que dans les entreprises, semble s’arrêter à la porte des start-ups, à l’exception des moments de vérité que sont les levées de fonds (quand je dis vérité, je pense évidemment manipulations des signaux, jusque dans les business plans).</p>
<p><b>Recette 4: court-termisme (quick wins en français)</b></p>
<p>Une dernière dimension me parait totalement absente des discours sur l’adaptation des services publics, celle de la vision. Elle est en quelque sorte le contre point de la mémoire et de la table rase. On pourrait en effet rester indulgent devant le mépris de la mémoire (et donc du passé) si la vision du futur était assez puissante et convaincante. Or, les outils mis à disposition se caractérisent par l’absence d’aide ou de recommandations pour élaborer cette vision. Un projet n’est pas une vision, il est organisé dans le temps pour provoquer un changement mais, de même qu’un projet n’est pas nécessairement habité par un désir (et j’en ai vu beaucoup), il n’est pas souvent habité par une vision. Elle comporte une prise de risque sans aucun doute mais non pas celle à finalité spéculative, autoréférentielle, qui ne valorise que « les coups » à court terme. Au contraire, et encore plus dans les services publics, la vision doit reposer sur une perspective de construction à long terme, avec un ancrage dans des valeurs et dans les transformations sociales et politiques que l’innovation peut porter.</p>
<p>Et dans ce cas, ce ne sont pas les conseils de « prospective » qui vont permettre de relancer cette vision. Car on les réduit à décliner des futurs techniquement possibles alors qu’il s’agit d’imaginer des avenirs et mieux encore des « devenirs » et comme le dit D. Haraway des « devenirs avec ». Car le futur des experts est toujours hors sol alors que le changement désirable ne peut que se construire ensemble comme « devenir avec ». Et là encore, les discours, les tenant-lieu de visions sont incroyablement stéréotypés : la fameuse compétitivité, par exemple, tue tout désir car elle est pulsion de mort qui doit nous mordre la nuque (peur de perdre, stress généralisé) et qui tue tout « devenir avec » puisque c’est la guerre de tous contre tous qui se profile en arrière-plan de cette absence de vision. Le lavage de cerveau libéral des quarante dernières années a réussi à présenter ces principes comme le summum du calcul rationnel et de l’utilitarisme. C’est là une tromperie de premier ordre, car ce court termisme des prédateurs ne peut déboucher que sur la dévoration du plus faible, et aucune startup ne peut être sûre que son tour ne viendra pas.</p>
<p><b>Recette 5: metoo (l'autre!) et tyrannie du retard</b></p>
<p>Or, l’impératif de vision à long terme et de « devenir avec » (les usagers, les talents et les envies des agents) est au cœur du service public et si l’on considère qu’il est absent, ce n’est certainement pas en installant une dénégation de la responsabilité à long terme et de vision, attribuée aux start-ups, que l’on va remédier à la situation. Au bout du compte, c’est avant tout la pression de l’innovation <b>technologique</b> qui semble être le seul moteur d’innovation. Cette pression vient souvent d’une comparaison de la compétitivité de la France par rapport aux autres pays équivalents. Or, cette « tyrannie du retard » que j’avais dénoncée dès 1984, conduit à des tunnels cognitifs, à des dépendances de sentier et à une faiblesse de vision catastrophique. « Faire comme les autres » (l’autre syndrome « me too »!) ne devrait jamais constituer une qualité alors que c’est la différence qui devrait être le marqueur d’un potentiel d’innovation réussie.</p>
<p>De ce point de vue, le RGPD (Règlement Général de Protection des Données personnelles) est un marqueur utile pour notre avenir, pour notre devenir européen. Car la défense des services publics, sans austérité, sans new management des tableaux de bord et sans startupisation, peut devenir une chance unique d’exister face aux deux tout puissants modèles concurrents : chinois du capitalisme à dictature et californien du far west libéral. Oui, les régulations qui permettront de faire vivre le modèle des services publics européens sont la condition sine qua non d’une innovation responsable, qui parie sur l’effondrement des plateformes titanesques tellement dépendantes de leur réputation (si on les aide un peu à tomber quand même). Ce socle réglementaire permettra de redonner de l’ambition et du pouvoir aux services publics et à leurs agents. C’est à cette condition qu’ils pourront s’approprier les évolutions du numérique. Cela ne veut en aucune façon dire que l’on se satisfait de l’existant, déjà détruit par les deux lames du rasoir libéral qui sont déjà passées (l’austérité à la Thatcher et le pilotage à la Blair) auxquelles on voudrait rajouter une troisième lame, celle de la startupisation.</p>
<p><b>Un design organisationnel pluriel et coopératif est possible</b></p>
<p>Car il existe plusieurs façons de faire pour cette appropriation des technologies, c’est même la condition pour une appropriation !  Et l’on peut s’inspirer des expériences existantes en France et à l’étranger pour imaginer un « design organisationnel » différent dans lequel devra se couler la technologie. L’innovation est largement autant dans ces méthodes pour associer et convaincre de la possibilité du changement que dans l’idée géniale, nécessairement technologique. On peut comprendre que ce ne soit pas le point fort des start-ups qui, par définition, émergent hors des institutions existantes. Les agents des services publics connaissent les points de blocage et se focaliseront plus facilement sur cette créativité organisationnelle parce qu’ils sont à l’intérieur des services et savent qu’on ne peut pas repartir de zéro. Comment leur redonne-t-on confiance dans leur propre esprit d’initiative, alors qu’on a passé des années à les décourager pour des raisons de procédure, pour des rivalités de clocher ou pour des réductions de moyens systématiques ? Que peuvent-nous dire les pratiques des start-ups pour changer cela ? Quasiment rien, car leur objet, leur situation, leurs cultures, leurs contraintes ne sont pas du tout de cet ordre. Ce n’est que la volonté délibérée de construire un dogme startupiste artificiel qui conduit à promouvoir leurs méthodes hors de leur milieu comme solution radicale, avant tout pour humilier un peu plus le service public et le persuader que, incapable de créativité, il doit trouver ses solutions dans le monde idéal des entreprises.</p>
<p>Je terminerai sur un exemple déjà ancien pour illustrer ces scénarios organisationnels si différents. En France, jusque dans les années 2000 au moins (je n’ai pas vérifié depuis), les données d’accidentologie étaient collectées localement (police et gendarmerie) et transférées au niveau national. Les contrôles de vitesse, eux, étaient programmés par les préfets qui décidaient des localisations par périodes d’au moins deux heures. Tous les fonctionnaires avec qui je travaillais me précisaient qu’ils n’avaient aucune prise sur le choix des emplacements (qui leur paraissaient parfois fantaisistes ou archi prévisibles) et qu’ils ne pouvaient pas quitter leur position quand bien même il était évident qu’ils étaient repérés et que les automobilistes se prévenaient les uns les autres avec des appels de phares. A la même époque en Angleterre, les équipes de « trafic police » que j’ai observées, dans chaque comté, disposaient d’un agent spécialisé dans le traitement des données, que les équipes collectaient localement, non limitées à l’accidentologie mais rassemblant tous les types d’infraction ou de données pertinentes ( prenant en compte les emplacements des bars et leur fréquentation par exemple). Ce « data scientist » avant l’heure pouvait proposer, à partir de ces données et des modèles qu’il testait, de lancer des campagnes d’action locales et de placer par exemple les contrôles de vitesse à certains endroits ou à certains moments. Et les équipes en discutaient (oui !) et adoptaient collectivement la stratégie locale qu’elles allaient mettre en œuvre localement. Ils devenaient un « collectif apprenant », une « intelligence collective » quand bien même ils n’utilisaient pas tous l’informatique et qu’ils n’avaient été formés au « design thinking » !</p>
<p> Voilà un exemple de « design organisationnel » totalement différent entre la France et l’Angleterre, avec des données et des visées pourtant assez similaires mais qui peut tout changer en termes d’appropriation du changement. Et comme on le voit, ce n’est pas une logique de projet qui préside car on oublie trop souvent que le principal travail des agents des services publics est de faire fonctionner les services, sur une base parfois très routinière mais pourtant essentielle à cette maintenance de la qualité, dans la durée et non plus pour « faire un coup ». Cela dit encore une fois à quel point le modèle du dogme startupiste est inadapté pour les services publics. Les membres d’une start up se choisissent ou se recrutent à très court terme, pour des missions, ou comme autoentrepreneurs, même dans les startups, mais ils peuvent disparaitre du jour au lendemain sans que cela pénalise d’autres que leurs (maigres) clients, adopteurs précoces. Les services publics que l’on somme d’innover (l’hôpital, le système de transport, l’école, le service des jardins des ordures d’une ville, etc.) ne peuvent jamais s’arrêter ou partir de zéro, car s’ils le faisaient, la situation deviendrait insupportable pour les usagers-citoyens. Il faut donc travailler en conciliant maintenance et innovation. Cela signifie qu’il vaut mieux ne pas faire perdre leur temps aux agents, s’appuyer au maximum sur leur expertise et les mobiliser sur des projets qui vont transformer durablement leur façon de travailler et le service au public. Et cela peut prendre du temps, en tous cas, certainement plus de temps que celui de l’immédiateté qu’on valorise quand on parle des startups (ce qui n’est d’ailleurs pas vérifié dans la pratique très souvent).</p>
<p>Voilà donc pourquoi le conseil de transformation numérique ne peut accepter de travailler dans un cadre conceptuel et politique aussi restreint et orienté par l’idéologie de la troisième lame libérale, l’idéologie startupiste. Il doit poser comme préalable le rejet des trois lames du rasoir libéral qui rase les services publics pour les réduire à une variable d’ajustement pour un supposé respect des injonctions dogmatiques de l’Europe sur la dette. Voilà pourquoi je refuse de participer à ses travaux malgré (ou plutôt à cause de) mon souci profond pour la qualité du service public français et des conditions de travail de ses agents.</p>
