title: Can Elon Musk and Tesla Reinvent the Way Cars Are Made?
url: https://www.nytimes.com/2018/06/30/business/tesla-factory-musk.html
hash_url: ef9ebc78ecafa1640e5afc6fbdbd0622

<div class="css-18sbwfn StoryBodyCompanionColumn"><div class="css-1h6whtw"><p class="css-1i0edl6 e2kc3sl0">FREMONT, Calif. — Just outside the north wing of Tesla’s sprawling electric-car plant here, an unusual structure has taken shape in the last few weeks: a tent, about 50 feet high and several hundred feet long, its taut gray canvas membrane supported by aluminum columns.</p><p class="css-1i0edl6 e2kc3sl0">Its purpose is as notable as its hasty construction. The semi-permanent structure houses a third assembly line — part of a desperate effort to speed up production of the Model 3, the car that Elon Musk, Tesla’s chief executive, has said is critical to the company’s financial health and immediate future.</p><p class="css-1i0edl6 e2kc3sl0">Just two years ago, Mr. Musk envisioned 2018 as a breakthrough moment. Having established the brand’s cachet with high-end offerings — the Model S luxury sedan and the Model X sport-utility vehicle — Tesla would begin churning out more affordable Model 3 sedans. With a high-speed, high-tech assembly process, the company’s sales would soar more than fivefold, to half a million vehicles.</p></div></div>
<div class="css-18sbwfn StoryBodyCompanionColumn"><div class="css-1h6whtw"><p class="css-1i0edl6 e2kc3sl0">It hasn’t turned out that way. Tesla had trouble mass-producing both battery packs and cars. By the end of nearly three months of production after Tesla started assembling the Model 3 last summer, just 260 had rolled off the line, and Mr. Musk said the company faced a prolonged period of “manufacturing hell.” He had hoped to produce 20,000 Model 3s a month by December, but a mere 2,425 were completed in the final three months of 2017.</p></div></div>
<div class="css-18sbwfn StoryBodyCompanionColumn"><div class="css-1h6whtw"><p class="css-1i0edl6 e2kc3sl0">Since then, Tesla has raced to iron out kinks in the assembly process, mainly by scrapping some complicated robotic machines that proved ill suited to certain tasks, and hiring hundreds of workers to replace them. On the factory floor, it’s a frantic race to reach Mr. Musk’s goals, one that has taken a toll on some employees. But if the gamble pays off, it will be a big step toward Tesla’s audacious ambitions: not just to be a mass-market automaker, but also to reinvent the way autos are made.</p><p class="css-1i0edl6 e2kc3sl0">“We believe in rapid evolution,” Mr. Musk said in an interview. “It’s like, find a way or make a way. If conventional thinking makes your mission impossible, then unconventional thinking is necessary.”</p><p class="css-1i0edl6 e2kc3sl0">And indeed, Mr. Musk is trying to do things that have never been done. General Motors, Nissan, BMW, Ford and others have produced electric cars, but have been unable to shrink costs enough to make them both affordable and profitable. Mr. Musk, in contrast, has promised investors and customers that Tesla will be able to produce the Model 3 in high volumes, sell versions for as little as $35,000 and ring up hefty profits.</p><p class="css-1i0edl6 e2kc3sl0">Once the Model 3 is rolling, Mr. Musk sees Tesla moving on to produce electric vehicles of all shapes and sizes — pickups, semitrailer trucks, and a fast and roomy car for families called the Model Y. The company’s mission, Mr. Musk has said on numerous occasions, is to lead the transition to emissions-free transportation and to change the world.</p></div></div>
<div class="css-18sbwfn StoryBodyCompanionColumn"><div class="css-1h6whtw"><p class="css-1i0edl6 e2kc3sl0">A recent daylong tour of the Fremont plant revealed how Tesla is trying to break with standard auto-industry practices all along the Model 3 assembly lines. It is searching for ways to shorten the time that robots take to weld parts. It is even making seats, a component most car companies leave to specialized suppliers. And it is doing this while trying to root out bottlenecks and glitches in the manufacturing process.</p><p class="css-1i0edl6 e2kc3sl0">In the final assembly area, for example, Tesla originally used robotic arms to install the Model 3 seats. But the machinery was slow and inconsistent in tightening the bolts that secure the seats and connecting the wiring that supplies power to them. About a month ago, company officials said, that work station was modified so that robots move the seats into place and workers handle bolts and the fitting of delicate electronic connectors.</p></div></div>
<div class="css-18sbwfn StoryBodyCompanionColumn"><div class="css-1h6whtw"><p class="css-1i0edl6 e2kc3sl0">Mr. Musk doesn’t have an office at the plant, but Tesla says he has been sleeping there — on the floor in someone else’s office, or on a couch — while working to streamline Model 3 production. At 3 a.m. on Thursday, the time Tesla made him available for a telephone interview, he said he was trying to fix a glitch in the part of the plant where the Model 3 is painted. “The carrier that the car is on is coming out of the paint booth slightly too fast for the sensor to recognize it, and it’s tripping the sensor even though everything is fine,” he explained.</p><p class="css-1i0edl6 e2kc3sl0">Tesla engineers are trying to reprogram the sensor so it can operate at the accelerated pace. For now, he said, “we have somebody standing there just pressing the ‘O.K.’ button to restart it.”</p><p class="css-1i0edl6 e2kc3sl0">The scramble to ramp up quickly has put a strain on the company. Several senior executives, some involved in manufacturing, have left. While investor optimism has remained high — Tesla’s market capitalization puts it neck and neck with General Motors as the most valuable American car company — its bonds are rated in junk territory, and the delay in bringing in revenue from Model 3 sales has analysts worried Tesla will continue to use up cash and face the prospect of having to raise additional capital later this year.</p><p class="css-1i0edl6 e2kc3sl0">“At some point, investors are going to say, ‘If you don’t have a viable economic model, we’re not going to continue to give you cash,’” Toni Sacconaghi, an analyst at Sanford C. Bernstein &amp; Company, said in a recent conference call with clients.</p></div></div>
<div class="css-18sbwfn StoryBodyCompanionColumn"><div class="css-1h6whtw"><h2 class="css-lkc1qz eqpy7av0">The Perils of Automation</h2><p class="css-1i0edl6 e2kc3sl0">Having made his fortune as a Silicon Valley entrepreneur — including a nine-figure sum from his early involvement in the online-payment service PayPal — Mr. Musk was convinced that technology and vision could together conquer new frontiers, whether in space exploration (with his SpaceX venture) or everyday transportation. Replacing gasoline tanks with batteries was just a start. He was determined to reconceive their production as well, based on 21st-century advances in automation.</p></div></div>
<div class="css-18sbwfn StoryBodyCompanionColumn"><div class="css-1h6whtw"><p class="css-1i0edl6 e2kc3sl0">Established car companies master the process with assembly-line workers, and then find ways for machines to take over some of the work. Tesla did the opposite. It designed a highly automated production line populated by more than a thousand robots and other assembly machines.</p><p class="css-1i0edl6 e2kc3sl0">Ron Harbour, a partner at the consulting firm Oliver Wyman, noted that in his annual survey rating auto plants worldwide, the most efficient ones use a lot of manual labor. “The most automated ones are at the bottom of the list,” he said.</p><p class="css-1i0edl6 e2kc3sl0">In some instances, Tesla’s gamble on automation has paid off. A separate production line that makes the Model S and the Model X has a series of 14 stations, with 17 workers, in the area where battery packs and electric motors are married to the vehicles’ underbodies. For the Model 3, that function involves just five work stations and no workers at all, said Lars Moravy, the company’s director of chassis engineering.</p><p class="css-1i0edl6 e2kc3sl0">For other tasks, the reliance on robots has proved a headache. For months, Tesla engineers struggled to get a robot to guide a bolt through a hole accurately to secure part of the rear brake. They found a maddeningly simple solution: Instead of using a bolt with a flat tip on its threaded end, engineers switched to a bolt with a tapered point, known as a “lead-in,” that can be guided through the hole even if the robot is a millimeter off dead center, Mr. Moravy said.</p><p class="css-1i0edl6 e2kc3sl0">In a very tangible sense, Tesla views its production line as a laboratory for untested techniques. In recent weeks, company executives concluded they could produce Model 3 underbodies with fewer spot welds than they had been using. The car is still held together by about 5,000 welds, but engineers concluded that some 300 were unnecessary and reprogrammed robots to assemble the steel underbody without them.</p></div></div>
<div class="css-18sbwfn StoryBodyCompanionColumn"><div class="css-1h6whtw"><p class="css-1i0edl6 e2kc3sl0">“It’s unusual to be doing that at this point in time when the car is already launched,” said Mr. Harbour, a veteran manufacturing expert who has visited most of the world’s major auto plants. “Normally you’d make changes like that in the prototype stage.”</p><p class="css-1i0edl6 e2kc3sl0">In another bid to push the limits of technology, Tesla at times pulls robots off the line and tests them operating at speeds greater than specified by the supplier, said Charles Mwangi, Tesla’s director of body engineering.</p><p class="css-1i0edl6 e2kc3sl0">“We are actually breaking them to see what the maximum limit is,” Mr. Mwangi said. The idea is to find ways of accelerating production without spending capital on new machinery. In the future, rather than adding more machines to increase output, “we can just dial up our equipment,” he said.</p><p class="css-1i0edl6 e2kc3sl0">The willingness to experiment with the production process even as cars are rolling off the line is perhaps the most significant way Tesla is defying the industry’s conventional wisdom. Automakers like Toyota, Honda and G.M. engineer manufacturing lines that can churn out cars or trucks at a rate of about one a minute, and essentially lock in the basic assembly process once they start production. While they make tweaks to improve quality or worker safety, they generally make major changes or introduce new techniques only every few years, when an old model is phased out and before production of a new one begins.</p><p class="css-1i0edl6 e2kc3sl0">“The first step in auto quality is stability,” Mr. Harbour said. “Once you get a stable process that works, you can go back and make improvements.”</p><p class="css-1i0edl6 e2kc3sl0">Tesla, by contrast, is tinkering with its production lines on the fly, and the tent is a stark illustration of that approach.</p></div></div>
<div class="css-18sbwfn StoryBodyCompanionColumn"><div class="css-1h6whtw"><p class="css-1i0edl6 e2kc3sl0">Beneath the peaked canvas, Tesla has hastily set up a third Model 3 production line. Like the other two, it handles final assembly, when trim and other finishing touches are put on the car. (Tesla did not include the tent on the tour of the plant.)</p><p class="css-1i0edl6 e2kc3sl0">Adding a new assembly line, even temporarily, is a rare and risky move in the auto industry. A line set up hastily, in an untested environment, might not achieve the quality Tesla promises.</p><p class="css-1i0edl6 e2kc3sl0">Two assembly lines inside the plant already exist to handle at least some of those tasks but they have proved troublesome and perform the work more slowly than Mr. Musk had hoped, in part because Tesla used robots for tasks that are better left to human workers.</p><p class="css-1i0edl6 e2kc3sl0">Tesla engineering executives acknowledge that the company overestimated the rate at which it could produce cars, and designed a production system that proved to be too complicated — a problem that Mr. Musk lamented at the company’s June shareholder meeting.</p><p class="css-1i0edl6 e2kc3sl0">“One of the biggest mistakes we made was trying to automate things that are super easy for a person to do, but super hard for a robot to do,” he said. “And when you see it, it looks super dumb. And you are like, wow! Why did we do that?”</p></div></div>
<div class="css-18sbwfn StoryBodyCompanionColumn"><div class="css-1h6whtw"><p class="css-1i0edl6 e2kc3sl0">Most automakers operate a single line to make two, three or sometimes four different vehicles, because using a second line would force them to invest in duplicate tooling and cut into profit margins.</p><p class="css-1i0edl6 e2kc3sl0">And a third assembly line, outside the walls of a plant? “I’ve never heard anything like this, ever,” Mr. Harbour said.</p><p class="css-1i0edl6 e2kc3sl0">Mr. Musk said the capital costs of the line in the tent were minimal because the company used equipment it already owned. (On Twitter he had called it “scrap we had in warehouses.”)</p><p class="css-1i0edl6 e2kc3sl0">“It does everything that the other assembly lines do but with fewer people, lower labor costs and much higher uptime,” he said. “Our unit cost for vehicles is lower on that line than on the other lines, and we’re seeing higher initial quality.”</p><p class="css-1i0edl6 e2kc3sl0">Whether that remains the case as Tesla speeds up production will be revealed in a few months if the company reports a profit, as Mr. Musk has promised.</p><h2 class="css-lkc1qz eqpy7av0">‘A Constant Pressure to Build’</h2><p class="css-1i0edl6 e2kc3sl0">For many years the Fremont plant was a joint venture of Toyota and General Motors known as New United Motor Manufacturing Inc., or Nummi. After G.M.’s bankruptcy, the factory closed in 2010 and the site was acquired by Tesla.</p><p class="css-1i0edl6 e2kc3sl0">Today, the four-million-square-foot plant alongside a busy freeway sees a steady stream of deliveries and tractor-trailers departing with new vehicles. Each afternoon, line workers in matching black pants with a white Tesla logo on one leg stream out of the plant and descend upon packed parking lots in the sprawling, bayside suburb.</p></div></div>
<div class="css-18sbwfn StoryBodyCompanionColumn"><div class="css-1h6whtw"><p class="css-1i0edl6 e2kc3sl0">Workers feel the pressure to speed output. In interviews away from the plant, several said they had been putting in 10- and 12-hour days, sometimes six days a week. They report that turnover among line workers is high, and that sometimes supervisors join the line during extended shifts.</p><p class="css-1i0edl6 e2kc3sl0">Jose Moran, a five-year Tesla veteran who for the last 10 months has worked as a Model 3 quality-team lead, said the already taxing production demands of previous models had intensified. “It’s a constant ‘How many cars have we built so far?’ — a constant pressure to build, especially with the Model 3,” he said. “It gets desperate sometimes, especially right now.”</p></div></div>
<div class="css-18sbwfn StoryBodyCompanionColumn"><div class="css-1h6whtw"><p class="css-1i0edl6 e2kc3sl0">One challenge that workers see is the rapid influx of new workers. The company aims to hire about 400 employees a week to help accelerate Model 3 production. After Tesla’s most recent earnings announcement in early May, Mr. Musk said he hoped eventually to have three shifts a day, essentially running the assembly line around the clock.</p><p class="css-1i0edl6 e2kc3sl0">“Everyone I talk to has only been here for two weeks, a month, and those people don’t last long,” said Jonathan Galescu, a Model X body repair technician who has worked at the plant for four years.</p><p class="css-1i0edl6 e2kc3sl0">Mr. Harbour, the manufacturing expert, says automakers typically give new workers several weeks of training before putting them into production work. Bringing in large numbers of new workers can hurt quality because they may not perform their work properly or fail to notice when problems crop up.</p><p class="css-1i0edl6 e2kc3sl0">New workers at the Fremont plant get three days of training before going to work on a production line. This includes a day of computerized virtual training on doing their jobs safely, and a day of instruction on the area to which they will be assigned.</p></div></div>
<div class="css-18sbwfn StoryBodyCompanionColumn"><div class="css-1h6whtw"><p class="css-1i0edl6 e2kc3sl0">Worker safety at the Fremont plant has come under scrutiny after a nonprofit news organization, the Center for Investigative Reporting, <a class="css-1g7m0tk" href="https://www.revealnews.org/article/tesla-says-its-factory-is-safer-but-it-left-injuries-off-the-books/" title="" target="_blank" rel="noopener noreferrer">cataloged a series of injuries</a> suffered by Tesla factory workers. California’s job safety watchdog is <a class="css-1g7m0tk" href="https://www.nytimes.com/2018/04/20/business/tesla-plant-safety.html" title="" target="_blank" rel="noopener noreferrer">investigating</a> a recent incident that left a worker hospitalized with a broken jaw.</p></div></div>
<div class="css-18sbwfn StoryBodyCompanionColumn"><div class="css-1h6whtw"><p class="css-1i0edl6 e2kc3sl0">Michael Catura, a 33-year-old battery-pack line worker who has been with Tesla for four years, said he had suffered hand, shoulder and elbow injuries because the company had sometimes dispensed with rotating workers to different jobs around the factory floor.</p><p class="css-1i0edl6 e2kc3sl0">“We need to make sure people are thoroughly trained,” he said, and not just getting “cookie-cutter training.”</p><p class="css-1i0edl6 e2kc3sl0">Mr. Moran, Mr. Galescu and Mr. Catura are involved in efforts by the United Automobile Workers — a group reviled by Mr. Musk — to organize the plant.</p><p class="css-1i0edl6 e2kc3sl0">Asked to comment on the intensity and the safety of Tesla’s workplace, a company spokeswoman said, “We care deeply about the well-being of our employees.” Tesla’s efforts reduced the injury rate by 25 percent last year, she said, and “with each passing month, we improve it further.”</p><h2 class="css-lkc1qz eqpy7av0">‘A Mind-Blowing Amount’</h2><p class="css-1i0edl6 e2kc3sl0">In early June, Mr. Musk said Tesla was making 3,500 Model 3 sedans a week, and vowed to reach 5,000 a week by the end of June. In the interview on Thursday, he voiced confidence that it was nearing that elusive goal, the pace he has said is needed for the company to turn a profit.</p></div></div>
<div class="css-18sbwfn StoryBodyCompanionColumn"><div class="css-1h6whtw"><p class="css-1i0edl6 e2kc3sl0">Tesla has already spent heavily on the Model 3 assembly process, and modifications mean machinery purchased for hundreds of millions of dollars is likely to be discarded. Mr. Musk essentially acknowledged this point after the earnings announcement when he said he did not expect the gross margin on the Model 3 — the share of revenue retained after the cost of goods sold — to reach the 25 percent target until early next year, six to nine months later than previously forecast.</p></div></div>
<div class="css-18sbwfn StoryBodyCompanionColumn"><div class="css-1h6whtw"><p class="css-1i0edl6 e2kc3sl0">Max Warburton, an analyst at Sanford C. Bernstein, estimates that Tesla spent about $2 billion to set up the Model 3 production line. “This is vastly more than we’ve seen any other car company spend on new capacity,” he said, adding, “$2 billion is a mind-blowing amount to spend on a second assembly line at an existing plant.”</p><p class="css-1i0edl6 e2kc3sl0">For now, Tesla generates most of its revenue from the Model S and the Model X, which are priced at about $70,000 and up. Combined, their global sales add up to about 100,000 vehicles a year — too few to offset the billions Tesla has been spending to build its gigantic battery factory in Nevada, develop new cars and a semi truck, and equip its car plant.</p><p class="css-1i0edl6 e2kc3sl0">That means the company’s future hinges on the assembly lines Tesla has set up to produce the Model 3 — and whether the company can make them hum.</p></div></div>
