title: The Tyranny of Convenience
url: https://www.nytimes.com/2018/02/16/opinion/sunday/tyranny-convenience.html
hash_url: f1701e80d54a5ff895f50690a2d3fb94

<p class="css-y7bwlq e2kc3sl0">You might date the beginning of this period to the advent of the Sony Walkman in 1979. With the Walkman we can see a subtle but fundamental shift in the ideology of convenience. If the first convenience revolution promised to make life and work easier for you, the second promised to make it easier to <em class="css-2fg4z9 ehxkw330">be you. </em>The new technologies were catalysts of selfhood. They conferred efficiency on self-expression.</p><p class="css-y7bwlq e2kc3sl0">Consider the man of the early 1980s, strolling down the street with his Walkman and earphones. He is enclosed in an acoustic environment of his choosing. He is enjoying, out in public, the kind of self-expression he once could experience only in his private den. A new technology is making it easier for him to show who he is, if only to himself. He struts around the world, the star of his own movie.</p><p class="css-y7bwlq e2kc3sl0">So alluring is this vision that it has come to dominate our existence. Most of the powerful and important technologies created over the past few decades deliver convenience in the service of personalization and individuality. Think of the VCR, the playlist, the Facebook page, the Instagram account. This kind of convenience is no longer about saving physical labor — many of us don’t do much of that anyway. It is about minimizing the mental resources, the mental exertion, required to choose among the options that express ourselves. Convenience is one-click, one-stop shopping, the seamless experience of “plug and play.” The ideal is personal preference with no effort.</p><p class="css-y7bwlq e2kc3sl0">We are willing to pay a premium for convenience, of course — more than we often realize we are willing to pay. During the late 1990s, for example, technologies of music distribution like Napster made it possible to get music online at no cost, and lots of people availed themselves of the option. But though it remains easy to get music free, no one really does it anymore. Why? Because the introduction of the iTunes store in 2003 made buying music even more convenient than illegally downloading it. Convenient beat out free.</p><p class="css-y7bwlq e2kc3sl0">As task after task becomes easier, the growing expectation of convenience exerts a pressure on everything else to be easy or get left behind. We are spoiled by immediacy and become annoyed by tasks that remain at the old level of effort and time. When you can skip the line and buy concert tickets on your phone, waiting in line to vote in an election is irritating. This is especially true for those who have never had to wait in lines (which may help explain the low rate at which young people vote).</p><p class="css-y7bwlq e2kc3sl0">The paradoxical truth I’m driving at is that today’s technologies of individualization are technologies of mass individualization. Customization can be surprisingly homogenizing. Everyone, or nearly everyone, is on Facebook: It is the most convenient way to keep track of your friends and family, who in theory should represent what is unique about you and your life. Yet Facebook seems to make us all the same. Its format and conventions strip us of all but the most superficial expressions of individuality, such as which particular photo of a beach or mountain range we select as our background image.</p><p class="css-y7bwlq e2kc3sl0">I do not want to deny that making things easier can serve us in important ways, giving us many choices (of restaurants, taxi services, open-source encyclopedias) where we used to have only a few or none. But being a person is only partly about having and exercising choices. It is also about how we face up to situations that are thrust upon us, about overcoming worthy challenges and finishing difficult tasks — the struggles that help make us who we are. What happens to human experience when so many obstacles and impediments and requirements and preparations have been removed?</p>
